# Generated by Makefile. Do not edit.

commit 9e943da16748ed7a39c7bee47e20373c8a7d818a
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Fri Aug 1 09:34:15 2014 -0400

    Release 1.10.1

 NEWS         | 8 ++++++++
 configure.ac | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit e223bb7c7a9ac94773d296eb90117d7e247f0356
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Jul 31 19:38:12 2014 +0200

    doap: add <programming-language>

 libpeas.doap | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 37e14f636a9cae5efa615b1e6372b6d2175b7bf4
Author: Olav Vitters <olav@vitters.nl>
Date:   Wed Jul 30 20:31:48 2014 +0200

    doap category core

 libpeas.doap | 1 +
 1 file changed, 1 insertion(+)

commit a5bce456109604b0490551a6914e386741a32a05
Author: Garrett Regier <Garrett.Regier@riftio.com>
Date:   Tue Jul 22 15:17:18 2014 -0400

    Bug 732155 - Fix initializing Python loader from Python application
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732155

 loaders/python/peas-plugin-loader-python.c | 15 +++++++++++++--
 tests/libpeas/extension-py.c               | 27 +++++++++++++++++++++++----
 2 files changed, 36 insertions(+), 6 deletions(-)

commit 3fe26b14fa61ab0a70ab7bbe4938ea2650ca39c3
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Wed Jul 9 23:20:33 2014 +0000

    Updated Greek translation

 po/el.po | 54 ++++++++++++++++++++++++++++--------------------------
 1 file changed, 28 insertions(+), 26 deletions(-)

commit ef46ba44998c220ed5e379132ad006f52ba86ad1
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Wed Jun 25 09:19:59 2014 -0700

    Silence an ImportError to stderr in the Python tests

 tests/libpeas/extension-py.c | 19 ++++++++++++++++---
 1 file changed, 16 insertions(+), 3 deletions(-)

commit c6e8c60dd9411fd2d1e08e1c71e1b4712174564e
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Jun 24 10:48:32 2014 -0700

    Remove INSTALL file

 INSTALL | 370 ----------------------------------------------------------------
 1 file changed, 370 deletions(-)

commit 0eb39743b0b241649305b854436d7aee7f199ed2
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Jun 24 11:04:10 2014 -0700

    Do not test the properties for Python extensions
    
    Because Python extensions are no longer wrapped testing
    the properties is just pointless.

 tests/libpeas/extension-py.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit cc66e626301848f0cc6d0fecebd7b705aebd0188
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Jun 24 11:01:10 2014 -0700

    Be more explicit about when a plugin loader is not enabled
    
    Also silence a warning when we have already warned.

 libpeas/peas-engine.c        | 9 ++++++---
 tests/libpeas/engine.c       | 4 ++--
 tests/libpeas/extension-py.c | 2 --
 3 files changed, 8 insertions(+), 7 deletions(-)

commit f8c034e1de7044b51b395afd012570ba3330cbbb
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Jun 24 10:59:41 2014 -0700

    Have silent subprocess tests inherit stderr for easier debugging
    
    For the engine shutdown test we cannot inherit stderr as it
    prints to stderr.

 tests/libpeas/extension-py.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 977aaa4f70e265f0b50d33a89949a2f5fbbe9062
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Jun 24 10:49:07 2014 -0700

    Fix error message when popping log hooks fails

 tests/testing-util/testing-util.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 6b0c65f7598cfd178bf53d5cd4e9f08458de84dc
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu May 29 19:00:51 2014 -0700

    Simplify installing gettext in the python plugin loader
    
    Also check for an error after installing.

 loaders/python/peas-plugin-loader-python.c | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

commit 2116c93a1394021037c6a2f68d4ad65c173f5366
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu May 29 18:42:23 2014 -0700

    Chain-up to finalize in the peas plugin loader

 libpeas/peas-plugin-loader.c | 2 ++
 1 file changed, 2 insertions(+)

commit 3bebe412722d5dff4bc908aee3b6345406ba7c60
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu May 29 18:40:33 2014 -0700

    Prevent and warn when trying to enable multiple loaders
    
    Using multiple plugin loaders will cause memory leaks due to
    both the python 2/3 and seed binding using toggle refs. Also
    mixing python version will never work.

 libpeas/peas-engine.c        | 34 +++++++++++++++++++++++++++++++---
 peas-demo/peas-demo.c        |  2 ++
 tests/libpeas/extension-py.c |  3 +++
 3 files changed, 36 insertions(+), 3 deletions(-)

commit a7f3641d007b60c47334a269a4970a5791994201
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Wed Apr 2 15:47:28 2014 +0000

    W32: Allow shared libs to be built
    
    This requires -no-undefined flag and resolving all dependencies at link-time by
    linking plugins to libpeas and libpeas-gtk as needed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727499

 configure.ac                                               | 4 ++--
 loaders/python/Makefile.am                                 | 5 +++--
 loaders/python3/Makefile.am                                | 5 +++--
 loaders/seed/Makefile.am                                   | 5 ++++-
 peas-demo/plugins/helloworld/Makefile.am                   | 6 +++++-
 peas-demo/plugins/secondtime/Makefile.am                   | 5 ++++-
 tests/libpeas-gtk/plugins/builtin-configurable/Makefile.am | 6 +++++-
 tests/libpeas-gtk/plugins/configurable/Makefile.am         | 6 +++++-
 tests/plugins/builtin/Makefile.am                          | 4 +++-
 tests/plugins/has-dep/Makefile.am                          | 4 +++-
 tests/plugins/loadable/Makefile.am                         | 4 +++-
 tests/plugins/self-dep/Makefile.am                         | 4 +++-
 12 files changed, 43 insertions(+), 15 deletions(-)

commit e143c854f197e16e409057755f8117ad32a277f4
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Wed Apr 2 18:26:56 2014 +0200

    Fix i18n support by adding back ENABLE_NLS.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727501

 configure.ac | 2 ++
 1 file changed, 2 insertions(+)

commit 2a75bc92149e4874c956b4e6ae3b01160cab9c8d
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Mon Mar 3 13:33:29 2014 -0800

    Small function pointer cleanup

 tests/libpeas/testing/testing-extension.c |  7 ++++---
 tests/libpeas/testing/testing-extension.h | 14 +++++++-------
 2 files changed, 11 insertions(+), 10 deletions(-)

commit 3dca4f330c8b734b28523137ee99cf66733d53a5
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Mon Mar 3 13:33:04 2014 -0800

    Use AM_CPPFLAGS instead of INCLUDED
    
    INCLUDES is deprecated and AM_CPPFLAGS should be used instead.

 libpeas-gtk/Makefile.am                                |  2 +-
 libpeas/Makefile.am                                    | 18 +++++++++---------
 loaders/python/Makefile.am                             |  2 +-
 loaders/python3/Makefile.am                            |  2 +-
 loaders/seed/Makefile.am                               |  2 +-
 peas-demo/Makefile.am                                  | 12 ++++++------
 peas-demo/plugins/helloworld/Makefile.am               |  2 +-
 peas-demo/plugins/secondtime/Makefile.am               |  2 +-
 tests/libpeas-gtk/Makefile.am                          |  2 +-
 .../plugins/builtin-configurable/Makefile.am           |  2 +-
 tests/libpeas-gtk/plugins/configurable/Makefile.am     |  2 +-
 tests/libpeas-gtk/testing/Makefile.am                  |  2 +-
 tests/libpeas/Makefile.am                              |  2 +-
 tests/libpeas/introspection/Makefile.am                |  2 +-
 tests/libpeas/plugins/extension-c/Makefile.am          |  2 +-
 tests/libpeas/testing/Makefile.am                      |  2 +-
 tests/plugins/builtin/Makefile.am                      |  2 +-
 tests/plugins/has-dep/Makefile.am                      |  2 +-
 tests/plugins/loadable/Makefile.am                     |  2 +-
 tests/plugins/self-dep/Makefile.am                     |  2 +-
 tests/testing-util/Makefile.am                         |  2 +-
 21 files changed, 34 insertions(+), 34 deletions(-)

commit 56ecb688daca272b631459cc03dfcec42e314431
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Mon Mar 3 13:30:21 2014 -0800

    Remove extra semicolon in G_DEFINE_*

 libpeas-gtk/peas-gtk-disable-plugins-dialog.c | 2 +-
 libpeas-gtk/peas-gtk-plugin-manager-store.c   | 2 +-
 libpeas-gtk/peas-gtk-plugin-manager-view.c    | 2 +-
 libpeas-gtk/peas-gtk-plugin-manager.c         | 2 +-
 libpeas/peas-engine.c                         | 2 +-
 libpeas/peas-extension-base.c                 | 2 +-
 libpeas/peas-extension-set.c                  | 2 +-
 libpeas/peas-extension-wrapper.c              | 2 +-
 libpeas/peas-object-module.c                  | 2 +-
 libpeas/peas-plugin-loader-c.c                | 2 +-
 libpeas/peas-plugin-loader.c                  | 2 +-
 loaders/python/peas-plugin-loader-python.c    | 2 +-
 loaders/seed/peas-extension-seed.c            | 2 +-
 loaders/seed/peas-plugin-loader-seed.c        | 2 +-
 peas-demo/peas-demo-window.c                  | 2 +-
 15 files changed, 15 insertions(+), 15 deletions(-)

commit 4c2e25aeec777f05b1b4f6cc33942ac7db731ef6
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Wed Jan 22 22:33:25 2014 -0800

    Bug 699338 - Only show plugin tooltip for errors

 libpeas-gtk/peas-gtk-plugin-manager-view.c | 20 +++++++-------------
 1 file changed, 7 insertions(+), 13 deletions(-)

commit 64eeb3cc3e4d08453e53f50b7e2d572d43145ab5
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Nov 28 07:39:17 2013 -0800

    Bug 686606 - Add a few translator comments

 data/glade/libpeas-gtk.xml.in | 1 +
 peas-demo/peas-demo.c         | 1 +
 2 files changed, 2 insertions(+)

commit c217df0b6e19187a27a188072d46f0e2026a26a7
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Apr 6 18:07:13 2014 +0200

    doap: update URLs

 libpeas.doap | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 8e7660e56c0882015d46fa6f063faccfcd36132a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Mon Mar 31 11:01:32 2014 +0200

    Release 1.10.0

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 6ff6fcc3e22d887e2a2326d1274eddea1d505ece
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 14 16:23:15 2014 +0100

    python: Fix coding style to match
    
    Commit 2680b37802f0364b6eac1f5bf0f1f3bbb2552133 didn't use the
    same coding style as the rest of the file.

 loaders/python/peas-plugin-loader-python.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 2680b37802f0364b6eac1f5bf0f1f3bbb2552133
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 14 12:19:50 2014 +0100

    python: Name the GC timeout
    
    So that it can show up with its own name in profiling outputs.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726327

 loaders/python/peas-plugin-loader-python.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 9484364713f86bf8b8590378fd5fbeb436851025
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 10 18:04:00 2014 +0100

    Fix unclickable dialogue when parent is modal
    
    When the parent of the about or preferences dialogue is modal,
    you can't click on anything in the dialogue unless it is modal as
    well.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724053

 libpeas-gtk/peas-gtk-plugin-manager.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 873b582c89900734103e96b7ce89bfe20a85019b
Author: Shankar Prasad <prasad.mvs@gmail.com>
Date:   Wed Feb 5 16:28:46 2014 +0530

    updated kn.po

 po/kn.po | 25 +++++++++++--------------
 1 file changed, 11 insertions(+), 14 deletions(-)

commit f5f8bc1f4a82e5faede3fe20cad7889da414c25c
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Wed Nov 13 00:20:12 2013 -0800

    Do not wrap PyGObject extensions
    
    PyGObject already wraps them so it is unneeded.

 loaders/python/Makefile.am                 |   2 -
 loaders/python/peas-extension-python.c     | 163 -----------------------------
 loaders/python/peas-extension-python.h     |  62 -----------
 loaders/python/peas-plugin-loader-python.c |  17 +--
 loaders/python3/Makefile.am                |   2 -
 tests/libpeas/extension-py.c               |  12 +--
 6 files changed, 13 insertions(+), 245 deletions(-)

commit 730edb65d6da0ebd0bd7065aeb9435b31d304b08
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Nov 12 23:56:39 2013 -0800

    Remove support for gjs-based Javascript plugins
    
    There have been changes to the gjs bindings and as the issue
    has only recently been noticed it is assumed that support for
    them is not highly desired.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=711356

 .gitignore                                         |   7 -
 configure.ac                                       |  44 +--
 libpeas/peas-extension-base.c                      |   4 +-
 loaders/Makefile.am                                |   4 -
 loaders/gjs/Makefile.am                            |  25 --
 loaders/gjs/peas-extension-gjs.c                   | 427 ---------------------
 loaders/gjs/peas-extension-gjs.h                   |  60 ---
 loaders/gjs/peas-plugin-loader-gjs.c               | 396 -------------------
 loaders/gjs/peas-plugin-loader-gjs.h               |  55 ---
 peas-demo/peas-demo.c                              |   1 -
 peas-demo/plugins/Makefile.am                      |   4 -
 peas-demo/plugins/gjshello/Makefile.am             |   7 -
 peas-demo/plugins/gjshello/gjshello.js             |  36 --
 peas-demo/plugins/gjshello/gjshello.plugin         |   8 -
 tests/libpeas/Makefile.am                          |   6 -
 tests/libpeas/extension-gjs.c                      |  57 ---
 tests/libpeas/plugins/Makefile.am                  |  13 +-
 .../plugins/extension-gjs-nonexistent.plugin       |   8 -
 tests/libpeas/plugins/extension-js/Makefile.am     |  31 --
 .../plugins/extension-js/extension-js.plugin       |   8 -
 tests/libpeas/plugins/extension-seed/Makefile.am   |   8 +
 .../extension-seed.gschema.xml}                    |   2 +-
 .../extension-seed.js}                             |   0
 .../plugins/extension-seed/extension-seed.plugin   |   8 +
 24 files changed, 25 insertions(+), 1194 deletions(-)

commit 85960307ff553a4c81c57e98fce141d1ad2f985a
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Nov 12 23:47:03 2013 -0800

    Remove invalid doc section

 docs/reference/libpeas-sections.txt | 2 --
 1 file changed, 2 deletions(-)

commit 666be5335dbc6b120207ae513d592387a76d9003
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Nov 12 22:46:41 2013 -0800

    Fix warning

 tests/libpeas/engine.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit d66094c5aaa494bf7246d857f2e93c1e404e8222
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Nov 12 23:00:22 2013 -0800

    Print a critical warning when attempting to mix Python versions
    
    This prevents people from trying to load python3 plugins using
    a python2 program and vice versa.

 loaders/python/peas-plugin-loader-python.c | 14 ++++++++++
 tests/libpeas/extension-py.c               | 44 ++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

commit 9a7c426a5f7b463e7d82c7ee3e801f3b4925299e
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Nov 12 22:55:31 2013 -0800

    Add a test for already an initialized python

 tests/libpeas/extension-py.c | 48 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)

commit ef1d7f6ae4aa5733bcbb21ed6f0b8bc5c210059e
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Nov 12 22:54:01 2013 -0800

    Only disable python warning redirections when not initialized
    
    Python programs would want them to still be redirected.

 loaders/python/peas-plugin-loader-python.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 438c2c12ebb71f2fc0e419c2fc9239d16601e76b
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Nov 12 22:52:51 2013 -0800

    Fix incorrect free
    
    When prgname is NULL we would try to free a constant string.

 loaders/python/peas-plugin-loader-python.c | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

commit 37a8556065119c0e8d1a495b88dd54a869cbfaf6
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Nov 12 22:50:08 2013 -0800

    Fix memory leak in python plugin loader

 loaders/python/peas-plugin-loader-python.c | 2 ++
 1 file changed, 2 insertions(+)

commit ada8c28f719b28396535fdac6b163ea49580fe77
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Nov 12 22:49:51 2013 -0800

    Various cleanups

 libpeas/peas-engine.c                      | 48 +++++++++++++-----------------
 loaders/python/peas-plugin-loader-python.c | 19 +++++++-----
 2 files changed, 32 insertions(+), 35 deletions(-)

commit aa7941ccba50b75e4c7a6be1acc57a6ae9113f0f
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Nov 12 22:47:56 2013 -0800

    Assert that the plugin loaders are actually freed on shutdown
    
    Useful to know that no extra refs are hanging around.

 libpeas/peas-engine.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 8f9958f458e8e83268a4215352b592f2e1873c3a
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Nov 12 22:47:05 2013 -0800

    Add a since tag to peas_engine_prepend_search_path()

 libpeas/peas-engine.c | 2 ++
 1 file changed, 2 insertions(+)

commit 4046f3b76877a43b12727ee024735f728bd4c774
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Nov 12 22:46:41 2013 -0800

    Assert an expectation of test_engine_get_default()

 tests/libpeas/engine.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 954fe54d4f704f6ba5d18507a4cf2d111806ec4b
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Nov 12 22:45:48 2013 -0800

    Print a debug message when a plugin loader is finalized
    
    It is useful to know that they are actually being freed.

 libpeas/peas-plugin-loader.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 81992ffb17501a989c69a18e5e28058b0b3bb091
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Nov 12 22:45:04 2013 -0800

    Assert if an engine is alive after g_test_run()
    
    This can happen when adding new tests.

 tests/testing-util/testing-util.c | 3 +++
 1 file changed, 3 insertions(+)

commit 6bba3128ca694ebc3e06b4e84e6c6562aa545f95
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Nov 12 22:44:15 2013 -0800

    Use g_test_trap_subprocess() instead of g_test_trap_fork()
    
    g_test_trap_fork() is deprecated.

 configure.ac           |  2 +-
 tests/libpeas/engine.c | 32 ++++++++++++++++++++------------
 2 files changed, 21 insertions(+), 13 deletions(-)

commit 6fbfff562cc26809366643d1b96430220c77631c
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Nov 12 22:42:10 2013 -0800

    Merge python2 and python3 extension tests
    
    This will avoid further duplication when adding new tests.

 tests/libpeas/Makefile.am                          |   2 +
 .../libpeas/{extension-python.c => extension-py.c} |  47 +++++---
 tests/libpeas/extension-python3.c                  | 123 ---------------------
 tests/libpeas/testing/testing-extension.c          |   3 +-
 tests/libpeas/testing/testing-extension.h          |  11 +-
 5 files changed, 47 insertions(+), 139 deletions(-)

commit 49a6e95f688547a27e93e7ae988ed3028af48e93
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Nov 12 22:38:31 2013 -0800

    Remove autogenerated INSTALL file

 .gitignore |   1 +
 INSTALL    | 106 ++++++++++++++++++++++++++++++++++++++++++++++++++-----------
 2 files changed, 88 insertions(+), 19 deletions(-)

commit ef587d928cfee0221c93f808e0b088a55ef05fee
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sun Nov 3 15:47:35 2013 -0800

    No longer use deprecated pygobject API

 loaders/python/peas-extension-python.c     | 16 ++++++++--------
 loaders/python/peas-plugin-loader-python.c | 25 +++++++++++++------------
 2 files changed, 21 insertions(+), 20 deletions(-)

commit b71fe27f2466cb57ad38eb4c58768d1d9ef27c8d
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sun Nov 3 15:30:23 2013 -0800

    Use the new gobject-introspection annotations
    
    And fix warnings given by the newer version.

 configure.ac                 |  2 +-
 libpeas/peas-engine.c        | 10 +++-------
 libpeas/peas-extension-set.c |  8 +++-----
 libpeas/peas-extension-set.h |  4 +++-
 libpeas/peas-extension.h     |  4 +++-
 5 files changed, 13 insertions(+), 15 deletions(-)

commit ad1d30d5bc008e82f23fa4eeb3a0e339998f6dec
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sun Nov 3 15:28:14 2013 -0800

    Fix a few warnings

 libpeas/peas-i18n.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d5e82ec19e0bc584d5d7562ab5e3a53bdc79549b
Author: Pavol Klačanský <pavol@klacansky.com>
Date:   Thu Sep 19 20:06:25 2013 +0200

    Updated slovak translation

 po/sk.po | 25 +++++++++++--------------
 1 file changed, 11 insertions(+), 14 deletions(-)

commit 9ed645a5833df63daf4654f41fd121761003e157
Author: Daniel Șerbănescu <cyber19rider@gmail.com>
Date:   Tue Sep 17 09:43:49 2013 +0200

    Updated Romanian Translation

 po/ro.po | 81 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 40 insertions(+), 41 deletions(-)

commit 596db299943eaee7ef696c6b16137fd27a106b38
Author: Seán de Búrca <leftmostcat@gmail.com>
Date:   Mon Aug 26 15:22:13 2013 -0600

    Fix autogen with latest gnome-common
    
    Side-by-side use of IT_PROG_INTLTOOL and AM_GNU_GETTEXT is not supported.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706835

 configure.ac | 3 ---
 1 file changed, 3 deletions(-)

commit 3adafa89e479867f247b3f60abb6aed4b1be5968
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Fri Jun 14 11:41:17 2013 -0700

    Release 1.9.0

 NEWS         | 9 +++++++++
 configure.ac | 2 +-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit c2f2567789d3e4dcbed8f90732e4a3e46b1e4789
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Fri Jun 14 10:44:27 2013 -0700

    Remove use of deprecated gtk_widget_{push,pop}_composite_child()

 libpeas-gtk/peas-gtk-plugin-manager.c | 2 --
 1 file changed, 2 deletions(-)

commit b149223d4d5a7bd240b174484609f21ceff820db
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Fri Jun 14 10:30:17 2013 -0700

    Bug 699214 - Fix out-of-bounds memset in _valist_to_parameter_list

 libpeas/peas-helpers.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8c715585ceb371254de7c02bb24d2031dfe3fbe7
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:   Wed Jun 5 14:24:09 2013 +0500

    Tajik updated

 po/tg.po | 37 +++++++++++++++++++++----------------
 1 file changed, 21 insertions(+), 16 deletions(-)

commit 9538f54887deab6952efabce4261c30d9c7f7d9a
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Fri May 31 15:45:00 2013 -0700

    Bump required Gjs version to 1.37.1
    
    This is needed for the API change to gjs_log_exception().

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cff159bccc584494059670dd24120522988199ff
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue May 21 14:42:06 2013 -0700

    Fix tests after glib string change
    
    The strings used to use `really dumb quote' and now use
    'dumb quotes'.
    
    https://git.gnome.org/browse/glib/commit/?id=4b94c0831e449374ce769cb4938a28b3dca59a43

 tests/libpeas-gtk/testing/testing.c       | 2 +-
 tests/libpeas/extension-set.c             | 2 +-
 tests/libpeas/testing/testing-extension.c | 6 +++---
 3 files changed, 5 insertions(+), 5 deletions(-)

commit 0231a7001ad476e758db025cab3bd3bc6d99f5b7
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:   Wed May 8 21:03:50 2013 +0200

    Adapt to new gjs interface
    
    Also bump the gjs dependency to 1.36.0. The dependency is in
    reality even higher but gjs has unfortunately not bumped its
    version since the interface changed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=699950

 configure.ac                     | 2 +-
 loaders/gjs/peas-extension-gjs.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 8c54d0ee9c929d9141f74a0c047fed2e28347aa3
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sat Apr 27 04:36:13 2013 -0700

    Fix Gjs plugin loader
    
    The garbage collection now takes a runtime instead of a contex
    so just use Gjs's gc method to do the right thing and jsvals
    cannot be compared anymore.

 loaders/gjs/peas-extension-gjs.c     | 2 +-
 loaders/gjs/peas-plugin-loader-gjs.c | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 4b9d5ec3f560ed7f43eb9f16ce825b229c35b60e
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sat Apr 27 04:34:43 2013 -0700

    Remove use of push and pop composite child
    
    These are now deprecated.
    
    https://git.gnome.org/browse/gtk+/commit/?id=c6ab5157358bc364eede018acc14de976add195c

 libpeas-gtk/peas-gtk-plugin-manager.c | 4 ----
 1 file changed, 4 deletions(-)

commit 79b939f83c158fbcd48c0681f6f39257c3f56d23
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sat Apr 27 12:17:56 2013 +0200

    [PeasUIConfigurable] use the right return value

 libpeas-gtk/peas-gtk-configurable.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 330f7402eac7760cc5bfa582711dc2eb0c22188a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Tue Mar 26 08:38:32 2013 +0100

    Release 1.8.0

 NEWS         | 10 ++++++++++
 configure.ac |  6 +++---
 2 files changed, 13 insertions(+), 3 deletions(-)

commit dbc76737fa462e1b1c40da2c1972675522cfc57d
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:   Tue Mar 19 22:40:03 2013 +0100

    [l10n] Added Tadjik translation

 po/LINGUAS |   1 +
 po/tg.po   | 135 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 136 insertions(+)

commit 98f85751cb7488416b3361349cd8a107116b963c
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sat Mar 16 23:59:26 2013 -0700

    Enable python3 in the demo

 peas-demo/peas-demo.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d4e17b138aecd820368c127e88a6d025caa866d2
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sun Mar 17 01:04:19 2013 +0000

    Converted Portuguese translation to New Spelling (Novo AO)

 po/pt.po | 44 ++++++++++++++++++++++----------------------
 1 file changed, 22 insertions(+), 22 deletions(-)

commit ae485e3916777da3f007f0bf48b5b4fc878112fd
Author: Thomas Bechtold <thomasbechtold@jpberlin.de>
Date:   Sat Mar 16 12:30:34 2013 +0100

    Allow also python-config

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8c0958dd1b5c86ca1691d5bcb8da2931155d6c8e
Author: Thomas Bechtold <thomasbechtold@jpberlin.de>
Date:   Sat Mar 16 10:45:24 2013 +0100

    Allow also python2.5-config, python2.6-config and python2.7-config
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695957

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aad7b113d17ffc8cf89da50b116809e191b780d9
Author: Daniel Martinez <dmartinez@src.gnome.org>
Date:   Wed Feb 20 23:24:16 2013 +0100

    Added Aragonese translation

 po/LINGUAS |   1 +
 po/an.po   | 138 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 139 insertions(+)

commit ffd54f79bdb71d8a5ddcd96259ddf727a183901e
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Feb 14 03:38:19 2013 -0800

    Do not abort if a warning occurs during testing_show_widget()

 tests/libpeas-gtk/testing/testing.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 7415d654a6b10252c4da5b6e926a92c8f9ea1e72
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Feb 14 03:35:48 2013 -0800

    Fix a few typos

 libpeas-gtk/peas-gtk-plugin-manager.c      | 4 ++--
 libpeas/peas-plugin-info.c                 | 1 -
 loaders/python/peas-plugin-loader-python.c | 4 ++--
 tests/libpeas/testing/testing.c            | 3 ++-
 4 files changed, 6 insertions(+), 6 deletions(-)

commit 2a367a4228a211078c2c042440dccc6efe516455
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Feb 14 03:30:57 2013 -0800

    Store icons as a GIcon when possible
    
    This allows stock id icons to work.

 libpeas-gtk/peas-gtk-plugin-manager-store.c       |  88 ++++++++++--------
 libpeas-gtk/peas-gtk-plugin-manager-store.h       |   4 +-
 libpeas-gtk/peas-gtk-plugin-manager-view.c        |  20 ++--
 tests/libpeas-gtk/plugin-manager-store.c          | 108 ++++++++++++++--------
 tests/libpeas-gtk/plugins/valid-stock-icon.plugin |   2 +-
 5 files changed, 136 insertions(+), 86 deletions(-)

commit 0db03f62b97efdef5fa76bd3a4603bbdd3290f7c
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Feb 14 02:58:38 2013 -0800

    Fix building python plugin loaders

 configure.ac                | 11 ++++++++---
 loaders/python/Makefile.am  |  5 +++--
 loaders/python3/Makefile.am |  5 +++--
 3 files changed, 14 insertions(+), 7 deletions(-)

commit ff48b37e609008d7cbefb1c913c89ceabd68276f
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Feb 14 00:38:04 2013 -0800

    Make calling testing_init() required
    
    Also encapsulate the order in which {g,gtk}_test_init()
    must be called.

 tests/libpeas-gtk/plugin-manager-store.c  |  2 +-
 tests/libpeas-gtk/plugin-manager-view.c   |  2 +-
 tests/libpeas-gtk/plugin-manager.c        |  2 +-
 tests/libpeas-gtk/testing/testing.c       | 10 +++++-----
 tests/libpeas-gtk/testing/testing.h       | 15 ++++++++-------
 tests/libpeas/engine.c                    |  2 +-
 tests/libpeas/extension-c.c               |  2 +-
 tests/libpeas/extension-gjs.c             |  2 +-
 tests/libpeas/extension-python.c          |  2 +-
 tests/libpeas/extension-python3.c         |  2 +-
 tests/libpeas/extension-seed.c            |  2 +-
 tests/libpeas/extension-set.c             |  2 +-
 tests/libpeas/plugin-info.c               |  2 +-
 tests/libpeas/testing/testing-extension.c |  2 --
 tests/libpeas/testing/testing.c           | 11 ++++++-----
 tests/libpeas/testing/testing.h           |  3 ++-
 tests/testing-util/testing-util.c         |  8 +++++---
 17 files changed, 37 insertions(+), 34 deletions(-)

commit 9539be96f9b0df1e0afe8191945585334dc53631
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sun Nov 4 07:38:46 2012 -0800

    Remove g_type_init() calls
    
    But call it in testing_util_init() if GLib < 2.35.0.

 tests/libpeas-gtk/plugin-manager-store.c | 2 --
 tests/libpeas-gtk/plugin-manager-view.c  | 2 --
 tests/libpeas-gtk/plugin-manager.c       | 2 --
 tests/libpeas/engine.c                   | 2 --
 tests/libpeas/extension-c.c              | 1 -
 tests/libpeas/extension-gjs.c            | 2 --
 tests/libpeas/extension-python.c         | 1 -
 tests/libpeas/extension-python3.c        | 1 -
 tests/libpeas/extension-seed.c           | 2 --
 tests/libpeas/extension-set.c            | 2 --
 tests/libpeas/plugin-info.c              | 2 --
 tests/testing-util/testing-util.c        | 4 ++++
 12 files changed, 4 insertions(+), 19 deletions(-)

commit c6db987fbfca725fac644f56a5634070a265811b
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sun Nov 4 07:33:43 2012 -0800

    Remove LDADD and SOURCES repetion from tests
    
    Use a global LDADD for the basic tests.
    Do not need to specify SOURCES when name matches executable.

 tests/libpeas-gtk/Makefile.am | 11 +----------
 tests/libpeas/Makefile.am     | 35 ++++++++++-------------------------
 2 files changed, 11 insertions(+), 35 deletions(-)

commit 0e7754c0c3b57ef8662f4da6eca20cb7891451d5
Author: Gheyret Kenji <gheyret@gmail.com>
Date:   Sun Jan 27 14:06:48 2013 +0900

    Updated Uyghur translation
    
    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

 po/ug.po | 84 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 43 insertions(+), 41 deletions(-)

commit 039568ecec9765410fbdad14cea2e8f44dd0811f
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sun Jan 6 11:54:30 2013 +0100

    Post-release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 779dd629b089831f642d67f1b22f52a3ec545349
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sun Jan 6 11:49:27 2013 +0100

    Release 1.7.0

 NEWS         | 11 ++++++++++-
 configure.ac |  4 ++--
 2 files changed, 12 insertions(+), 3 deletions(-)

commit f197ca8efb9888e883239ef8675a0b30c16fd071
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sun Jan 6 11:41:53 2013 +0100

    Remove outdated mention of pygi from README

 README | 9 +--------
 1 file changed, 1 insertion(+), 8 deletions(-)

commit 590b5e1c3f11b4c5d6b15826aec05caeafaf9258
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Thu Jan 3 14:08:24 2013 +0100

    Support py2 and py3 at the same time
    
    This patch reworks the build system so that we use the same sources to
    build both a python2 loader and a python3 loader. The python 2 one
    keeps the same name for backward compatibility, while the python 3 one
    is explicitely called "python3".
    Supporting py2 and py3 in the same build is tricky since the existing
    autotools support is limited, so we make some assumptions:
     - there are separate --enable-python2 and --enable-python3 flags,
       --enable-python has been removed
     - the py3 loader is in a separate dir but compliles the files from the
       py2 loader
     - for py2 we only check the binary and the python2-config tool, while
       for py3 we use the proper AM_PATH_PYTHON macro
     - for py2 we manually detect pyexecdir, hopefully with the same logic
       used by the AM_PATH_PYTHON macro
     - we do not check for Python.h header anymore since it is not strictly
       needed and autoconf caching makes it difficult
     - for we build the demos only for python3 (unit tests instead are
       replicated for both)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=691081

 .gitignore                                         |   7 ++
 configure.ac                                       | 134 +++++++++++++--------
 loaders/Makefile.am                                |   6 +-
 loaders/python/Makefile.am                         |   8 +-
 loaders/python3/Makefile.am                        |  34 ++++++
 peas-demo/plugins/Makefile.am                      |   2 +-
 peas-demo/plugins/pythonhello/pythonhello.plugin   |   2 +-
 tests/libpeas/Makefile.am                          |  13 +-
 tests/libpeas/extension-python3.c                  | 124 +++++++++++++++++++
 tests/libpeas/plugins/Makefile.am                  |   7 +-
 tests/libpeas/plugins/extension-python/Makefile.am |  31 ++++-
 ...python.gschema.xml => extension-py.gschema.xml} |   2 +-
 .../plugins/extension-python/extension-py.plugin   |   8 ++
 .../{extension-python.py => extension-py.py}       |   0
 .../extension-python/extension-python.plugin       |   8 --
 .../plugins/extension-python3-nonexistent.plugin   |   8 ++
 tests/libpeas/testing/testing-extension.c          |   1 +
 17 files changed, 324 insertions(+), 71 deletions(-)

commit 519d9ebe0608c855ea84a1050036c93eda7dacbe
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sat Jan 5 00:55:13 2013 +0100

    Prevent python from generating binary files
    
    Do not generate .pyc and __pycache__ files in the tests: they are not
    needed and break distcheck

 tests/Makefile.plugin             | 4 ----
 tests/testing-util/testing-util.c | 3 +++
 2 files changed, 3 insertions(+), 4 deletions(-)

commit 7a8f01e7621c9a0a508139d0966db56a33ce295b
Author: TmTFx <f.t.public@gmail.com>
Date:   Fri Dec 28 22:21:01 2012 -0200

    Updated Friulian translation

 po/LINGUAS |   1 +
 po/fur.po  | 138 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 139 insertions(+)

commit a512d6969988e22af4d122c4a63472a26948f0ea
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Mon Dec 10 15:42:58 2012 +0530

    Updated Kannada Translations

 po/kn.po | 42 ++++++++++++++++++++++++------------------
 1 file changed, 24 insertions(+), 18 deletions(-)

commit 5d3d80236701eb1ca3f0f9b530294b37ce16b5e6
Author: ManojKumar Giri <mgiri@redhat.com>
Date:   Mon Dec 3 16:48:38 2012 +0530

    Updated Odia Translation with FUEL implementation.

 po/or.po | 141 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 141 insertions(+)

commit 7e060519edfc523c58f9a9bb8261a61f5a63e148
Author: ManojKumar Giri <mgiri@redhat.com>
Date:   Mon Dec 3 16:43:22 2012 +0530

    Added Odia Language into the List.

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit b6daa71b0bbf3d6da7b84f3d125b7e4da598bb21
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sun Nov 25 19:17:49 2012 +0900

    Release 1.6.2

 NEWS | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 184bd94264bc4dbf5a34315e9153fe8b62f746e7
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Nov 22 08:03:26 2012 -0500

    Fix another gjs single-include issue instance
    
    The tests have the same problem as the loader itself and the last commit
    missed that.  Fix it too.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=688617

 tests/libpeas/extension-gjs.c | 1 +
 1 file changed, 1 insertion(+)

commit 2307c53e037f781ab081f909a48c8f354c5ddf44
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Nov 21 22:28:16 2012 -0500

    Workaround gjs single-include issue
    
    gjs features single-include guards for the headers in gjs/ with
    gjs/gjs-module.h being the only header you are supposed to include.
    
    Unfortunately, the headers in gi/ (which do not appear to have their own
    master include file) individually include files from gjs/.
    
    We can workaround the issue by first #include <gjs/gjs-module.h> which
    will skip the single-include guard on the files the second time they get
    included (from the headers in gi/).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=688617

 loaders/gjs/peas-extension-gjs.c | 1 +
 1 file changed, 1 insertion(+)

commit 773c252f16ee7c2f676cc79b21c782cd7faddede
Author: Richard Stanislavský <kenny.vv@gmail.com>
Date:   Mon Oct 22 19:56:42 2012 +0200

    Added slovak translation

 po/LINGUAS |   1 +
 po/sk.po   | 152 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 153 insertions(+)

commit 3d8065285d5ec91b5af3999bc0acfb7eb4e99d84
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Tue Oct 16 08:22:13 2012 +0200

    Post release bump version

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b1a0b4299d8d2c0b599b34766848e0cc082b1a94
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Tue Oct 16 08:20:57 2012 +0200

    Release 1.6.1

 NEWS | 8 ++++++++
 1 file changed, 8 insertions(+)

commit f0da0bf1a1bb84e9b1dc1fe763b5f2395ed9a078
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Sun Oct 14 23:53:28 2012 +0530

    Added kn.po, updated Kannada translation and added kn to LINGUAS file

 po/LINGUAS |   1 +
 po/kn.po   | 136 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 137 insertions(+)

commit 252e2f4ead0fbf1d2b439f38b718f419e07c803d
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:   Thu Aug 16 17:02:31 2012 +0200

    Better SIGINT handling for python signals module
    
    Even though PyInitialize_Ex does not initialize signal handlers,
    the python signal module does install a handler for SIGINT when
    the handler for SIGINT is set to SIG_DFL on importing the signal
    module.
    
    To avoid applications not handling SIGINT we set a custom SIGINT
    handler (if the current SIGINT handler is SIG_DFL) before
    initializing the python interpreter. This signal handler when
    invoked simply chains to the default SIGINT handler.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682014

 loaders/python/peas-plugin-loader-python.c | 38 ++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

commit f127c377636ab59703da122ce0d7090b30dba116
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Tue Sep 25 15:51:15 2012 +0200

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 13088279bfe60418bd0abe7f0b5710e73cf6aa5a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Tue Sep 25 15:48:41 2012 +0200

    Release 1.6.0

 NEWS         | 19 +++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 20 insertions(+), 1 deletion(-)

commit 90823c2b8ef1965af4371b3f688ea436caa7b8e4
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sun Sep 23 15:58:36 2012 +0300

    Updated Latvian translation

 po/lv.po | 44 ++++++++++++++++++++++----------------------
 1 file changed, 22 insertions(+), 22 deletions(-)

commit aad8faca9c704e74316a18010b1716927e644de0
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Fri Sep 21 06:20:00 2012 -0700

    Remove the vala demo plugin
    
    The vala plugin keeps breaking the build to Vala breaking
    API so just remove it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684457

 .gitignore                                         |  1 -
 configure.ac                                       | 51 -----------------
 peas-demo/plugins/Makefile.am                      |  4 --
 peas-demo/plugins/valahello/Makefile.am            | 22 --------
 .../valahello/peasdemo-vala-hello-plugin.vala      | 65 ----------------------
 peas-demo/plugins/valahello/valahello.plugin       |  6 --
 6 files changed, 149 deletions(-)

commit 9c6f6565ab814b9ce3f4ef5b98c15a318bc09aef
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Fri Sep 21 06:17:38 2012 -0700

    Add min required and max allowed version for glib and Gdk

 configure.ac | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 3342c070eb2f1f1b45631f8d1b4e119118a209f0
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Fri Sep 21 06:16:18 2012 -0700

    Free the string passed to g_test_add() immediately

 tests/libpeas/testing/testing-extension.c | 29 ++++++++++++-----------------
 1 file changed, 12 insertions(+), 17 deletions(-)

commit af77e3eb2cfe12ccff41448db660825ba7713d2d
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Jul 17 11:55:13 2012 -0700

    Add peas_plugin_info_get_external_data() to the docs

 docs/reference/libpeas-sections.txt | 1 +
 1 file changed, 1 insertion(+)

commit 08fdffcf316b2617497acd4b13ac2afe4f665fca
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:   Fri Sep 21 18:33:20 2012 +0700

    Updated Thai translation

 po/th.po | 63 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 36 insertions(+), 27 deletions(-)

commit 7bda85922a1908e5479a4bb48f020702adff8625
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Fri Sep 21 11:47:00 2012 +0530

    hindi update by Chandan Kumar

 po/hi.po | 108 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 57 insertions(+), 51 deletions(-)

commit 5d83ed0b8f9d04b6264e59b76b303ad0e9091d81
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Sep 4 18:51:48 2012 +0200

    Updated Polish translation

 po/pl.po | 28 +++++++++++++++-------------
 1 file changed, 15 insertions(+), 13 deletions(-)

commit 00f789dbd73fc810c38498a6fd5bda24c4b75382
Author: Muhammet Kara <muhammetk@acikkaynak.name.tr>
Date:   Tue Sep 4 06:33:05 2012 +0300

    [l10n]Updated Turkish translation

 po/tr.po | 77 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 40 insertions(+), 37 deletions(-)

commit 95ac0bf0537b70f12eebf2c2a6bd879bb108d0e0
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sat Sep 1 12:29:30 2012 +0200

    Updated Galician translations

 po/gl.po | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

commit 9411cb193aa48530eea577e993810e00a2458312
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Tue Aug 28 00:34:47 2012 +0530

    Implemented FUEL entries to Assamese translation

 po/as.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 17a2d574b7709ca630b958adf410631b6b3d7bd9
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Thu Aug 16 14:04:03 2012 +0530

    Added Marathi Translations

 po/LINGUAS |   1 +
 po/mr.po   | 141 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 142 insertions(+)

commit b1fa237557c85ca77d737c045feb2a87f8ef0eb4
Author: Sayak Sarkar <sayak.bugsmith@gmail.com>
Date:   Tue Aug 14 16:08:00 2012 +0530

    Added Bengali India Translations

 po/LINGUAS  |   1 +
 po/bn_IN.po | 140 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 141 insertions(+)

commit afe27d7fe0eddb50b9787ae2941885fdda3e3139
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Mon Aug 6 14:16:25 2012 +0530

    Updated gujarati file

 po/gu.po | 80 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 41 insertions(+), 39 deletions(-)

commit d94b839ba094b63c614173c015ee9bbc2269191c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Tue Jul 17 23:09:58 2012 +0200

    Release 1.5.0

 NEWS         | 19 +++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 21 insertions(+), 2 deletions(-)

commit a4e55fd3dcf7bf37ce9cc21c87a2bbb68ce6fdff
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Jul 17 11:41:43 2012 -0700

    Warn if activate or deactivate are not implemented
    
    https://bugzilla.gnome.org/show_bug.cgi?id=679508

 libpeas/peas-activatable.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 6e58e0fbf059f137bfcfef070968191f2ea42655
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Jul 17 11:41:09 2012 -0700

    Fix style issues in python test plugin
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678339

 tests/libpeas/plugins/extension-python/extension-python.py | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 3c1ac8d343034dd33105ed0f675d5b4afd4ea813
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Jul 17 09:14:25 2012 -0700

    Find extension construct properties also in interface prerequisites
    
    Based on patch by Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=679995

 libpeas/peas-helpers.c                             | 55 ++++++++++++++++++++--
 tests/libpeas/introspection/Makefile.am            |  2 +
 ...s.c => introspection-properties-prerequisite.c} | 17 ++++---
 .../introspection-properties-prerequisite.h        | 52 ++++++++++++++++++++
 .../introspection/introspection-properties.c       |  6 ++-
 tests/libpeas/plugins/extension-js/extension-js.js |  1 +
 .../plugins/extension-python/extension-python.py   |  2 +
 tests/libpeas/testing/testing-extension.c          | 20 ++++++++
 8 files changed, 140 insertions(+), 15 deletions(-)

commit cda8a098b68f6c3448e90cb917a36c1df6c2bfe5
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Jul 17 08:45:14 2012 -0700

    Use G_VALUE_INIT in the GJS and Seed plugin loaders

 loaders/gjs/peas-plugin-loader-gjs.c   | 2 +-
 loaders/seed/peas-plugin-loader-seed.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 1f7785e5e6ab2bbaf4b8905c728f3ad77b62aa80
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Jul 17 08:43:21 2012 -0700

    Fix interface sorting in GJS and Seed

 loaders/gjs/peas-plugin-loader-gjs.c   | 29 ++++++++++++++++++++++-------
 loaders/seed/peas-plugin-loader-seed.c | 29 ++++++++++++++++++++++-------
 2 files changed, 44 insertions(+), 14 deletions(-)

commit 8b0230eaa8bb523ed146c9894d0f0deb0521fc75
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jul 6 11:56:28 2012 +0100

    Mention the section name for malformed .plugin files
    
    This would have saved me some time, trying to port an old plugin
    with the section "[Totem Plugin]" instead of "[Plugin]".
    
    https://bugzilla.gnome.org/show_bug.cgi?id=679507

 libpeas/peas-plugin-info.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1a534c2afa7d9cea434e2e17f2b6cde9528bb974
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Thu Jun 14 03:50:42 2012 +0300

    Updated Greek translation

 po/el.po | 84 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 43 insertions(+), 41 deletions(-)

commit 35de01f0531c8ad178d2b7e5f328f4ab8bf89389
Author: Andika Triwidada <andika@gmail.com>
Date:   Tue May 15 00:12:12 2012 +0700

    [l10n] Updated Indonesian translation

 po/id.po | 64 +++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 37 insertions(+), 27 deletions(-)

commit 7da9be405fd81180b9e11c85a764c5d439192bc4
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Mon Apr 16 08:23:42 2012 -0700

    Make position signed in peas_engine_insert_search_path()
    
    
    peas_engine_add_search_path() passes -1 as the position and g_list_insert()
    expects a gint not guint.

 libpeas/peas-engine.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 05c8e66b8dd2162812886e7cbfab07dfd68831d3
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Mar 29 02:34:53 2012 -0700

    Simplify valist to parameter list helper
    
    We only use it for interface types so there is no need to
    support object types and the type_struct is only ever used
    for the helper.

 libpeas/peas-engine.c        |  8 +------
 libpeas/peas-extension-set.c |  8 +------
 libpeas/peas-helpers.c       | 51 +++++++++-----------------------------------
 libpeas/peas-helpers.h       |  7 +-----
 4 files changed, 13 insertions(+), 61 deletions(-)

commit 672a2b04dcfd2badd81e3751b89ac5cb7b28efd1
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sun Feb 12 06:25:44 2012 -0800

    Set the default engine in init() and not constructor()
    
    We set the default engine in init() because if a plugin is loaded
    and it needs the default engine then a different engine would be returned
    as the default engine would not have been set yet.

 libpeas/peas-engine.c  | 27 ++++++++++++++-------------
 tests/libpeas/engine.c | 19 +++++++++++++++++++
 2 files changed, 33 insertions(+), 13 deletions(-)

commit fe328c40130806b125fad53c1bff9d7cd30d13be
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   Fri Apr 13 15:16:58 2012 +1000

    Add peas_engine_prepend_search_path()
    
    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=674029

 docs/reference/libpeas-sections.txt |  1 +
 libpeas/peas-engine.c               | 58 +++++++++++++++++++++++++++----------
 libpeas/peas-engine.h               |  3 ++
 3 files changed, 47 insertions(+), 15 deletions(-)

commit d17d295a885c6837e869936a6bea362147d70ea2
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sat Apr 7 06:49:08 2012 -0700

    Prioritize the initial GType when using peas_extension_call*()
    
    Otherwise the incorrect interface could be called if they
    have the same method name.

 libpeas/peas-extension.c | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

commit 3fb1feadcd4a6e5c96eabd2d63cd86876fdb3481
Author: Edward Sheldrake <ejsheldrake@gmail.com>
Date:   Tue Jan 31 14:48:30 2012 +0000

    Fix names in glade catalog
    
    Fix library name and gtk-doc book name in glade catalog.
    
    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=669114

 data/glade/libpeas-gtk.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 95c25a1e7d09a15cb9eae5f1299849b80ece0c82
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Mar 22 19:28:28 2012 -0700

    Added peas_plugin_info_get_external_data()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671934

 libpeas/peas-plugin-info-priv.h |  2 ++
 libpeas/peas-plugin-info.c      | 57 +++++++++++++++++++++++++++++++++++++++++
 libpeas/peas-plugin-info.h      |  3 +++
 tests/libpeas/plugin-info.c     |  3 +++
 tests/plugins/full-info.plugin  |  1 +
 5 files changed, 66 insertions(+)

commit 5448733c273349019091ef8e545ec2320ea19ad6
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Mar 22 19:27:33 2012 -0700

    Remove trailing whitespace

 libpeas/peas-extension-subclasses.c       | 2 +-
 tests/libpeas/testing/testing-extension.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c05e7b03473711bb2da1e74cafef45749fdb728b
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Wed Mar 21 21:59:05 2012 -0700

    Use proper property ids in object wrapper
    
    Otherwise object could have properties with the same ID.

 libpeas/peas-extension-subclasses.c | 18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)

commit 7bf3ff9a5f7c1300b8be5ffab24fcf090620439c
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Wed Mar 21 18:53:55 2012 -0700

    Test calling call_multi_args() with peas_extension_call()
    
    The other call tests test that it works with peas_extension_call().

 tests/libpeas/testing/testing-extension.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 6948aa2a9ca409a1ee968ee7e64cc56845df8e55
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Wed Mar 21 17:44:49 2012 -0700

    If calling the wrapper function fails set the return value to NULL
    
    This way for gjs, python and seed plugins if an error occurs while
    calling the function a pointer value would be set to NULL which
    should help prevent segfaults.

 libpeas/peas-extension-subclasses.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 3e69e16cbdf17d3bbd4b31f471a2de8c62659f14
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Wed Mar 21 17:17:15 2012 -0700

    Fix Seed exceptions so they have a filename

 loaders/seed/peas-plugin-loader-seed.c | 46 ++++++++++++++++++----------------
 1 file changed, 24 insertions(+), 22 deletions(-)

commit e040e650b2c359b429b800b1cc2ab6186e7ede8b
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Wed Mar 21 17:16:40 2012 -0700

    Check for an exception after calling a function in GJS plugins

 loaders/gjs/peas-extension-gjs.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 79fe7867c75e249fc3a26525a703e6b1339e7023
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sat Mar 17 11:15:46 2012 -0700

    Use G_VALUE_INIT

 configure.ac                                | 2 +-
 libpeas-gtk/peas-gtk-plugin-manager-store.c | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit d5a1abecff9109288658b8dc57d99d0452459270
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Mon Feb 13 06:13:44 2012 -0800

    Rename extension-c's CallablePlugin to ExtensionCPlugin

 tests/libpeas/plugins/extension-c/Makefile.am      |   2 -
 .../libpeas/plugins/extension-c/callable-plugin.c  | 137 ---------------------
 .../libpeas/plugins/extension-c/callable-plugin.h  |  53 --------
 .../plugins/extension-c/extension-c-plugin.c       | 111 ++++++++++++++++-
 .../plugins/extension-c/extension-c-plugin.h       |  22 +++-
 5 files changed, 126 insertions(+), 199 deletions(-)

commit 8858c90671633bbe21fc811eaee2c627cb18abf5
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sat Feb 11 12:38:09 2012 -0800

    Remove IAge from all .plugin files

 peas-demo/plugins/gjshello/gjshello.plugin                               | 1 -
 peas-demo/plugins/helloworld/helloworld.plugin                           | 1 -
 peas-demo/plugins/pythonhello/pythonhello.plugin                         | 1 -
 peas-demo/plugins/secondtime/secondtime.plugin                           | 1 -
 peas-demo/plugins/seedhello/seedhello.plugin                             | 1 -
 peas-demo/plugins/valahello/valahello.plugin                             | 1 -
 .../libpeas-gtk/plugins/builtin-configurable/builtin-configurable.plugin | 1 -
 tests/libpeas-gtk/plugins/configurable/configurable.plugin               | 1 -
 tests/libpeas-gtk/plugins/hidden.plugin                                  | 1 -
 tests/libpeas-gtk/plugins/invalid-custom-icon.plugin                     | 1 -
 tests/libpeas-gtk/plugins/invalid-stock-icon.plugin                      | 1 -
 tests/libpeas-gtk/plugins/valid-custom-icon/valid-custom-icon.plugin     | 1 -
 tests/libpeas-gtk/plugins/valid-stock-icon.plugin                        | 1 -
 tests/libpeas/plugins/disabled-loader.plugin                             | 1 -
 tests/libpeas/plugins/extension-c-nonexistent.plugin                     | 1 -
 tests/libpeas/plugins/extension-c/extension-c.plugin                     | 1 -
 tests/libpeas/plugins/extension-gjs-nonexistent.plugin                   | 1 -
 tests/libpeas/plugins/extension-js/extension-js.plugin                   | 1 -
 tests/libpeas/plugins/extension-python-nonexistent.plugin                | 1 -
 tests/libpeas/plugins/extension-python/extension-python.plugin           | 1 -
 tests/libpeas/plugins/extension-seed-nonexistent.plugin                  | 1 -
 tests/libpeas/plugins/info-missing-module.plugin                         | 1 -
 tests/libpeas/plugins/info-missing-name.plugin                           | 1 -
 tests/libpeas/plugins/invalid-loader.plugin                              | 1 -
 tests/libpeas/plugins/nonexistent-dep.plugin                             | 1 -
 tests/libpeas/plugins/nonexistent-loader.plugin                          | 1 -
 tests/libpeas/plugins/not-loadable.plugin                                | 1 -
 tests/libpeas/plugins/os-dependant-help.plugin                           | 1 -
 tests/plugins/builtin/builtin.plugin                                     | 1 -
 tests/plugins/full-info.plugin                                           | 1 -
 tests/plugins/has-dep/has-dep.plugin                                     | 1 -
 tests/plugins/loadable/loadable.plugin                                   | 1 -
 tests/plugins/min-info.plugin                                            | 1 -
 tests/plugins/self-dep/self-dep.plugin                                   | 1 -
 tests/plugins/unavailable.plugin                                         | 1 -
 35 files changed, 35 deletions(-)

commit 2d6ea307cf45af6b92b1cd708d0ee288aca0b3fe
Author: Olav Vitters <olav@vitters.nl>
Date:   Wed Mar 28 15:28:40 2012 +0200

    fix forgotten @ in pkgconfig file

 data/libpeas-1.0.pc.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2b4214d1a19f53828b2d7f47485a96e869d9cc7f
Author: Steve Frécinaux <code@istique.net>
Date:   Wed Mar 28 15:09:39 2012 +0200

    Post-release version bump for 1.4.1

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit dd890f1d3fa9422411590705f5b784edddd853e0
Author: Steve Frécinaux <code@istique.net>
Date:   Wed Mar 28 13:09:51 2012 +0200

    Bump the version number to 1.4.0

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 46083fde3480889750cfcbcfad21378ccd7a0a79
Author: Steve Frécinaux <code@istique.net>
Date:   Wed Mar 28 14:58:26 2012 +0200

    Add 'Virtual:' annotation in peas_engine_(un)load_plugin().
    
    This fixes the build of the Vala plugin, and fixes distcheck at the same
    time.

 libpeas/peas-engine.c | 2 ++
 1 file changed, 2 insertions(+)

commit 7e90505b05152da4e373376f580c3331f9539510
Author: Steve Frécinaux <code@istique.net>
Date:   Wed Mar 28 12:17:19 2012 +0200

    Fix critical warning when destroying a PeasPluginManagerView.
    
    The 'cursor-changed' signal is now (since gtk+ 3.4) emitted during
    the destruction of GtkTreeView, which leads us to call
    gtk_tree_view_get_selection() after the selection object has been freed,
    hence receiving a NULL we weren't expecting before.

 libpeas-gtk/peas-gtk-plugin-manager-view.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 8f75575197f5cdae2d3c9897c8161c4dfc4eb105
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Mon Mar 26 23:19:25 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 77 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 39 insertions(+), 38 deletions(-)

commit e2fc31ec5f3ea34b1fa9e4745932ad4bf82e6515
Author: Praveen Arimbrathodiyil <pravi.a@gmail.com>
Date:   Sat Mar 24 15:59:11 2012 +0530

    Malayalam translation by Manilal

 po/LINGUAS |   1 +
 po/ml.po   | 137 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 138 insertions(+)

commit 718e7ec28f19d4d7ed8bd0e7fea622e22881e7d8
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Wed Mar 21 09:17:20 2012 +0700

    Updated Vietnamese translation

 po/vi.po | 73 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 38 insertions(+), 35 deletions(-)

commit 2a748611f66ae686d0d2e2bc1a2995b430a7b490
Author: YunQiang Su <yqsu@src.gnome.org>
Date:   Wed Mar 21 01:10:04 2012 +0800

    update Simplified Chinese (zh_CN) translation

 po/zh_CN.po | 78 ++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 41 insertions(+), 37 deletions(-)

commit 551f096ebe98dcbb473b695eeffc778e42a47004
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Sun Mar 18 16:37:50 2012 +0200

    Uploaded Ukranian

 po/uk.po | 78 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 40 insertions(+), 38 deletions(-)

commit dde0b69801ab34bfeec1fc2530a89e900814d26e
Author: Abderrahim Kitouni <a.kitouni@gmail.com>
Date:   Sat Mar 17 21:34:58 2012 +0100

    Updated Arabic translation

 po/ar.po | 82 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 43 insertions(+), 39 deletions(-)

commit 1e8a3b668cca661a582341c2249059b38dd0d8f9
Author: António Lima <amrlima@gmail.com>
Date:   Sat Mar 17 11:38:07 2012 +0000

    Updated Portuguese translation

 po/pt.po | 77 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 40 insertions(+), 37 deletions(-)

commit de85c4e6ccca063b5ba4b0a407ed46558a5084f9
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Fri Mar 16 14:15:01 2012 +0000

    Updated British English translation

 po/en_GB.po | 74 +++++++++++++++++++++++++++++++------------------------------
 1 file changed, 38 insertions(+), 36 deletions(-)

commit c9ed906702f422066b0729bca8e8dabd3cfea330
Author: A S Alam <aalam@users.sf.net>
Date:   Thu Mar 15 20:09:57 2012 +0530

    update Punjabi Translation

 po/pa.po | 79 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 40 insertions(+), 39 deletions(-)

commit e39985731e1821ecb395b0342008e6a9da9cf6d3
Author: Anita Reitere <nitalynx@gmail.com>
Date:   Thu Mar 15 00:03:55 2012 +0200

    Updated Latvian translation.

 po/lv.po | 81 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 41 insertions(+), 40 deletions(-)

commit 60d2c53c76be16c85042d467557997e8821e915f
Author: Timo Jyrinki <timo@debian.org>
Date:   Mon Mar 12 11:10:11 2012 +0200

    Finnish translation update from http://l10n.laxstrom.name/wiki/Gnome_3.4 translation sprint

 po/fi.po | 73 +++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 52 insertions(+), 21 deletions(-)

commit 0bbfec215dd436c2f16f36b254c89178f8ec6078
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Mon Mar 12 12:37:23 2012 +0530

    Assamese translation completed

 po/as.po | 71 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 38 insertions(+), 33 deletions(-)

commit 8f26ade7a4f0e62ee741fdb662736dc80c57210c
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Mar 10 22:58:45 2012 +0900

    Updated Korean translation

 po/ko.po | 69 +++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 33 insertions(+), 36 deletions(-)

commit dd9b9b6f254ee49daf969024bdaf07da60dd228f
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:   Sat Mar 10 15:49:40 2012 +0330

    Updated Persian Translation

 po/fa.po | 73 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 37 insertions(+), 36 deletions(-)

commit fb9c50a572772a8f7f5923854edba41a9ac56541
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Thu Mar 8 22:45:41 2012 +0100

    Updated French translation

 po/fr.po | 80 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 42 insertions(+), 38 deletions(-)

commit ec4e7862ea79b0424f86304c1f66f2958d88a5e6
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Thu Mar 8 16:21:43 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 58 ++++++++++++++++++++++++++++++----------------------------
 po/zh_TW.po | 58 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 60 insertions(+), 56 deletions(-)

commit 46ac942e31c0d345f189b57ccbf2f81f7459ebdb
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Tue Mar 6 11:53:20 2012 +0100

    Updated Basque language

 po/eu.po | 63 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 33 insertions(+), 30 deletions(-)

commit 1fa8916ef769344937dd964f75024accb2ce09d0
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sat Mar 3 15:11:35 2012 +0100

    [l10n] Updated Italian translation

 po/it.po | 88 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 46 insertions(+), 42 deletions(-)

commit 82277b19193bc814b8e2fef34e2f082efe2f4651
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   Thu Mar 1 18:10:20 2012 +0200

    [l10n] Updated Estonian translation

 po/et.po | 34 ++++++++++++++++------------------
 1 file changed, 16 insertions(+), 18 deletions(-)

commit 23e6465c47810e614df12e30a59d6f1859e81672
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Wed Feb 29 03:40:56 2012 +0100

    Updated Hungarian translation

 po/hu.po | 81 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 42 insertions(+), 39 deletions(-)

commit 189cec79d5e35dbc8987ed9b4f99cbfaed616547
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Tue Feb 28 17:27:26 2012 +0530

    updated Tamil translation

 po/ta.po | 69 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 34 insertions(+), 35 deletions(-)

commit fc68cad6d3262d395255757a34a9f8d1eccff866
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sat Feb 25 09:42:45 2012 -0800

    Post-release version bump for 1.3.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ac0ab81e5f277cd66e48716b81625668e20e7253
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sat Feb 25 09:40:02 2012 -0800

    Release 1.3.0

 NEWS | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

commit 4c078ed83f2ac1e9b534998468fd1246257344d9
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Fri Feb 24 16:37:55 2012 +0400

    Updated Russian translation

 po/ru.po | 69 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 35 insertions(+), 34 deletions(-)

commit a6201d1ae39e6cbb5734c4366c27778e4034afa3
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Wed Feb 22 19:30:20 2012 +0200

    Updated Bulgarian translation

 po/bg.po | 50 +++++++++++++++++++++++---------------------------
 1 file changed, 23 insertions(+), 27 deletions(-)

commit 89f86d098481a03918f2b82cbaab06839aa5203b
Author: Adorilson Bezerra <adorilson@gmail.com>
Date:   Thu Feb 16 12:32:49 2012 -0200

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 77 ++++++++++++++++++++++++++-----------------------------------
 1 file changed, 33 insertions(+), 44 deletions(-)

commit bd1d1804f8e909688a213952f5dffd3aa13d160c
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Feb 21 11:33:59 2012 +0100

    Updated Galician translations

 po/gl.po | 75 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 39 insertions(+), 36 deletions(-)

commit 3568022de50d5ce6682bf38d5717d35947d52cd6
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Mon Feb 20 22:36:04 2012 +0100

    Updated Danish translation

 po/da.po | 56 +++++++++++++++++++++++++++++---------------------------
 1 file changed, 29 insertions(+), 27 deletions(-)

commit 5a1044ee4cacbdca804d773b13263a55f760948e
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Mon Feb 20 11:28:23 2012 +0100

    Updated Serbian translation

 po/sr.po       | 82 ++++++++++++++++++++++++++++++----------------------------
 po/sr@latin.po | 82 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 84 insertions(+), 80 deletions(-)

commit 9f3425e267236888993201ee517946dd3f5b972a
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Mon Feb 20 10:32:56 2012 +0100

    [l10n] Updated German translation

 po/de.po | 80 +++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 39 insertions(+), 41 deletions(-)

commit 3cbf3ff8fa855e51c759f4eb85b9464a2c43dc84
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Feb 19 23:38:55 2012 +0100

    Updated Norwegian bokmål translation

 po/nb.po | 20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)

commit af32c50cb946c544d6258e44cedbe57f81f7b551
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Feb 19 21:03:20 2012 +0100

    Updated Polish translation

 po/pl.po | 57 +++++++++++++++++++++++++++------------------------------
 1 file changed, 27 insertions(+), 30 deletions(-)

commit 1d70cd7e2d713b1c1b5d74c2123d83fc12868150
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sun Feb 19 00:46:30 2012 +0100

    Updated Swedish translation

 po/sv.po | 82 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 43 insertions(+), 39 deletions(-)

commit 5b41ffd40b549228268f80e718687307d7c36576
Author: Kasia Bondarava <kasia.bondarava@gmail.com>
Date:   Sat Feb 18 23:26:21 2012 +0300

    Updated Belarusian translation.

 po/be.po | 62 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 35 insertions(+), 27 deletions(-)

commit 1f01872e40dd2270dd52b635361407ad038e1130
Author: Praveen Illa <mail2ipn@gmail.com>
Date:   Sat Feb 18 22:55:58 2012 +0530

    Updated Telugu Translation

 po/te.po | 65 ++++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 37 insertions(+), 28 deletions(-)

commit f507151fb18c26b9ee76bd7cac80442cc8ed3225
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sat Feb 18 14:08:23 2012 +0100

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po | 75 +++++++++++++++++++++++++++++--------------------------
 1 file changed, 39 insertions(+), 36 deletions(-)

commit 644ec45d1377563afb840750119b44112342be07
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sat Feb 18 14:08:21 2012 +0100

    [l10n] Updated Catalan translation

 po/ca.po | 73 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 38 insertions(+), 35 deletions(-)

commit 322a0e3fc8a44b6d497f5ac64e68cc15824ae236
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Feb 18 10:39:14 2012 +0200

    Updated Hebrew translation.

 po/he.po | 59 +++++++++++++++++++++++++++++++----------------------------
 1 file changed, 31 insertions(+), 28 deletions(-)

commit 6f58c114761fe7c1b1f40a06af0752ce68a06542
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:   Sat Feb 18 16:58:44 2012 +0900

    [l10n] Update Japanese translation

 po/ja.po | 72 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 34 insertions(+), 38 deletions(-)

commit c3636499187e8aa4d9ce8a489746abd179e5d296
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Feb 17 21:33:25 2012 +0100

    Updated Slovenian translation

 po/sl.po | 82 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 43 insertions(+), 39 deletions(-)

commit 779ee704f6226058adecf4ca88a09ba2db447b02
Author: Marek Černocký <marek@manet.cz>
Date:   Fri Feb 17 12:57:23 2012 +0100

    Updated Czech translation

 po/cs.po | 76 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 36 insertions(+), 40 deletions(-)

commit 19329b19a69b26af507e8919bdfa1de9380e9475
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Feb 17 10:36:39 2012 +0100

    Updated Spanish translation

 po/es.po | 87 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 44 insertions(+), 43 deletions(-)

commit dec52b33199196848a3c2293ebaafc4d83832ac8
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:   Fri Feb 17 13:27:04 2012 +0900

    Fix Bug 670260. Make some strings translatable.
    
    Wrap the strings with the gettext funciton.

 libpeas-gtk/peas-gtk-plugin-manager.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d20a8db6a1c29f35119ad0fc261bb4b95fdf5622
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Feb 12 11:11:51 2012 -0500

    extension-js test: clean up Makefile
    
    There were a couple of unsafe things going on in this Makefile.  Fix
    them up so that the build isn't broken.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=669930

 tests/libpeas/plugins/extension-js/Makefile.am | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 79fa68ee23f333d6d26b3632feae7f8e2999c10f
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sat Feb 11 12:15:38 2012 -0800

    Fix out of tree build

 tests/Makefile.plugin                              | 3 ++-
 tests/libpeas/plugins/extension-c/Makefile.am      | 4 +++-
 tests/libpeas/plugins/extension-js/Makefile.am     | 2 ++
 tests/libpeas/plugins/extension-python/Makefile.am | 3 ++-
 4 files changed, 9 insertions(+), 3 deletions(-)

commit fce4e09f2f6f647dc254a57bf5751839d2f67493
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sat Feb 11 11:25:02 2012 -0800

    Fix memory leaks

 loaders/seed/peas-plugin-loader-seed.c    |  4 +---
 tests/libpeas/testing/testing-extension.c | 10 ++++++++--
 tests/testing-util/testing-util.c         |  2 ++
 tests/valgrind.suppressions               | 28 ++++++++++++++++++++++++++++
 4 files changed, 39 insertions(+), 5 deletions(-)

commit 066d0bcd2b5e5ebbf4fd96a997bb042b38611978
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sat Feb 11 09:28:42 2012 -0800

    Fix the docs

 docs/reference/Makefile.am          | 3 ++-
 docs/reference/libpeas-sections.txt | 1 +
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 6c77c2ec246392a9c77423810c91719ca39009e1
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sat Feb 11 08:54:30 2012 -0800

    Fix libpeas pkg-config file

 configure.ac           | 2 +-
 data/libpeas-1.0.pc.in | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 2ee9b846ff9a028d18700531010773606c3d2279
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sun Sep 11 18:41:42 2011 -0700

    Cleanup how we create plugin loaders

 libpeas/peas-engine.c  | 63 ++++++++++++++++++++++----------------------------
 tests/libpeas/engine.c |  1 +
 2 files changed, 29 insertions(+), 35 deletions(-)

commit 8f7533c40910312d4c89512e15a66286ce2bca81
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sun Aug 28 00:01:18 2011 -0700

    Import the C plugin loader into libpeas

 configure.ac                                  |  1 -
 libpeas/Makefile.am                           |  6 ++++--
 libpeas/peas-engine.c                         | 12 +++++++++++-
 {loaders/c => libpeas}/peas-plugin-loader-c.c | 28 +++++++++++++++------------
 {loaders/c => libpeas}/peas-plugin-loader-c.h | 13 +++++--------
 loaders/Makefile.am                           |  2 +-
 loaders/c/Makefile.am                         | 22 ---------------------
 tests/libpeas/engine.c                        |  3 +--
 tests/libpeas/extension-c.c                   |  1 -
 9 files changed, 38 insertions(+), 50 deletions(-)

commit a702253f26bb3a2059fea5e6ee318eb85712eaf0
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Dec 8 18:55:43 2011 -0800

    Assert that testing interfaces are implemented

 tests/libpeas/introspection/introspection-callable.c | 20 +++++++++++---------
 tests/libpeas/plugins/extension-c/callable-plugin.c  |  6 ++++++
 2 files changed, 17 insertions(+), 9 deletions(-)

commit 9496c2aca6e37bcd93ea5a290b6cdb40847773fe
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Dec 8 18:51:08 2011 -0800

    Added peas_plugin_info_get_settings()

 .gitignore                                         |  3 +
 configure.ac                                       |  4 +
 libpeas/Makefile.am                                |  2 +-
 libpeas/peas-plugin-info-priv.h                    |  2 +
 libpeas/peas-plugin-info.c                         | 75 +++++++++++++++++++
 libpeas/peas-plugin-info.h                         |  4 +-
 tests/libpeas/extension-c.c                        | 25 +------
 tests/libpeas/extension-gjs.c                      | 32 --------
 tests/libpeas/extension-python.c                   | 27 +------
 tests/libpeas/extension-seed.c                     | 32 --------
 tests/libpeas/extension-set.c                      |  8 +-
 tests/libpeas/introspection/Makefile.am            | 33 +++++----
 tests/libpeas/introspection/introspection-base.c   | 71 ++++++++++++++++++
 tests/libpeas/introspection/introspection-base.h   | 59 +++++++++++++++
 .../libpeas/introspection/introspection-callable.c |  4 +
 .../introspection/introspection-has-prerequisite.c |  4 +-
 .../libpeas/plugins/extension-c/callable-plugin.c  | 85 +++++-----------------
 .../libpeas/plugins/extension-c/callable-plugin.h  |  9 +--
 .../plugins/extension-c/extension-c-plugin.c       |  3 +-
 .../plugins/extension-c/extension-c.gschema.xml    |  9 +++
 tests/libpeas/plugins/extension-js/Makefile.am     | 17 +++--
 .../plugins/extension-js/extension-js.gschema.xml  |  9 +++
 tests/libpeas/plugins/extension-js/extension-js.js | 39 ++++++----
 .../extension-python/extension-python.gschema.xml  |  9 +++
 .../plugins/extension-python/extension-python.py   | 33 +++++----
 tests/libpeas/testing/testing-extension.c          | 61 +++++++++++++---
 tests/plugins/loadable/loadable-plugin.h           |  5 +-
 27 files changed, 408 insertions(+), 256 deletions(-)

commit 381a25273cb6b847689f4b69ce9df6909e407ebb
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sun Dec 11 08:35:33 2011 -0800

    Silence NULL deref warning

 libpeas/peas-extension.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c33842a325cc5f7bba53c7b6fa128597cec8a75a
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sun Dec 11 08:35:15 2011 -0800

    Add checks to peas_extension_callv()

 libpeas/peas-extension.c | 3 +++
 1 file changed, 3 insertions(+)

commit 498eb80cb0b0c0e81a844de81751b1127cca044b
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sun Dec 11 08:35:02 2011 -0800

    Fix warning
    
    The warning is only emitted when the prop_name is invalid.

 loaders/gjs/peas-plugin-loader-gjs.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a41cd38979057997686d2989d0aaab6b68c8bca8
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Fri Dec 9 15:07:57 2011 -0800

    Fix PEAS_DEBUG to work with glib's new G_MESSAGES_DEBUG

 libpeas/peas-debug.c | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit 016bede1edee289f83a4b840939c3db0cf52b321
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Fri Dec 9 10:09:18 2011 -0800

    Only get the interface info when creating the closures
    
    This avoids having to get the interface info when implementing
    the interface multiple times.

 libpeas/peas-extension-subclasses.c | 46 ++++++++++++++++++++-----------------
 1 file changed, 25 insertions(+), 21 deletions(-)

commit 8449235a89c62b402941b1401631b91caf92bb18
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Fri Dec 9 06:12:04 2011 -0800

    Cleanup extension tests

 tests/libpeas/extension-c.c               |  14 +-
 tests/libpeas/extension-gjs.c             |  12 +-
 tests/libpeas/extension-python.c          |  27 +--
 tests/libpeas/extension-seed.c            |  12 +-
 tests/libpeas/testing/testing-extension.c | 315 ++++++++++++++++--------------
 tests/libpeas/testing/testing-extension.h |  88 ++-------
 6 files changed, 204 insertions(+), 264 deletions(-)

commit 99dcb1e31fe59b4c7942a91d5615b3725f4e4df2
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Dec 8 20:04:27 2011 -0800

    Plug memory leaks

 libpeas/peas-introspection.c           | 2 +-
 loaders/gjs/peas-extension-gjs.c       | 5 ++++-
 loaders/python/peas-extension-python.c | 5 ++++-
 loaders/seed/peas-extension-seed.c     | 5 ++++-
 4 files changed, 13 insertions(+), 4 deletions(-)

commit 0e1385544e623aa89e676ea84ad9200c32f5f744
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Dec 8 19:12:33 2011 -0800

    Warn again when peas_extension_set_call() cannot call the method
    
    This was lost in 38f859208eb1d7a2eab9afc218bf41d67b389725.

 libpeas/peas-extension-set.c  | 7 +++++--
 tests/libpeas/extension-set.c | 2 +-
 2 files changed, 6 insertions(+), 3 deletions(-)

commit f5c9b87a94bb01ad396b7ce13fd41a341a68e85c
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Dec 8 18:26:20 2011 -0800

    Fix prerequisites_sort() in GJS and Seed
    
    Otherwise the order in the array determines if the extension
    can be created or not.

 loaders/gjs/peas-plugin-loader-gjs.c   | 5 +----
 loaders/seed/peas-plugin-loader-seed.c | 5 +----
 2 files changed, 2 insertions(+), 8 deletions(-)

commit 40207b0ece4a6be4fda32a07f4c1498387d04cd1
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Dec 8 18:25:07 2011 -0800

    Add get_type_from_name fast path for GLib

 libpeas/peas-introspection.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 7e12e18f787cc70117a101bce51d66c36999852d
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Dec 8 13:12:28 2011 -0800

    Remove trailing whitespace

 Makefile.gcov                                              | 2 +-
 libpeas-gtk/peas-gtk-plugin-manager-view.c                 | 4 ++--
 libpeas/peas-extension.h                                   | 2 +-
 loaders/gjs/peas-extension-gjs.c                           | 2 +-
 loaders/python/peas-extension-python.c                     | 2 +-
 peas-demo/plugins/pythonhello/Makefile.am                  | 2 +-
 tests/libpeas-gtk/plugin-manager.c                         | 2 +-
 tests/libpeas/plugins/extension-python/extension-python.py | 2 +-
 tests/libpeas/testing/testing-extension.c                  | 2 +-
 tests/testing-util/testing-util.c                          | 2 +-
 10 files changed, 11 insertions(+), 11 deletions(-)

commit 84a46b9cc24b6cd3d81e03e02424e439a4a5fb5e
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Dec 8 12:19:32 2011 -0800

    Correctly check when there are multiple GDK backends

 configure.ac | 8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

commit 16aace6524345da3d09ed3d80e79487dfcff41f8
Author: Evan Nemerson <evan@coeus-group.com>
Date:   Sat Feb 4 11:14:41 2012 -0800

    Fix compilation with gjs >= 8cd5e7bd.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=669373

 configure.ac                     | 2 +-
 loaders/gjs/peas-extension-gjs.c | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 1031aaeeef282ab2bb65cb6ae48fa4abff453c4d
Author: Steve Frécinaux <code@istique.net>
Date:   Mon Jan 30 19:57:41 2012 +0100

    Disable building the vala plugin by default.
    
    The vala plugin is broken very often due to changes in the vala compiler
    losing backward compatibility. Let's fix this once and for all.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 53da8d72183ab1310d72e6624f2135246036220c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Jan 28 17:05:28 2012 +0100

    Updated Norwegian bokmål translation

 po/nb.po | 68 ++++++++++++++++++++++++++--------------------------------------
 1 file changed, 28 insertions(+), 40 deletions(-)

commit 41d4a3c2e9ac77cdccf6e6504db0ea5e38eb201c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Mon Jan 23 20:04:20 2012 +0100

    libpeas-gtk: actually use /* */ for comments

 libpeas-gtk/peas-gtk-plugin-manager.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 805cd7109e5e3da51d7e019e7753d19b591f5087
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sun Jan 22 14:35:11 2012 +0100

    tests: get the buttons from the new widget hierarchy

 tests/libpeas-gtk/plugin-manager.c | 76 ++++++++++++++++++++++++++------------
 1 file changed, 53 insertions(+), 23 deletions(-)

commit b62b1207ee6489e6ae1060d79434640003f87202
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sun Jan 22 14:16:12 2012 +0100

    libpeas-gtk: fix style

 libpeas-gtk/peas-gtk-plugin-manager.c | 26 +++++++++++++++-----------
 1 file changed, 15 insertions(+), 11 deletions(-)

commit e4de2d8f37d11a2e410291d51855207fc71111fc
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sun Jan 22 14:00:56 2012 +0100

    peas-gtk: use an inline toolbar for the manager

 libpeas-gtk/peas-gtk-plugin-manager.c | 41 ++++++++++++++++++++++++++---------
 1 file changed, 31 insertions(+), 10 deletions(-)

commit d0d4a315226e5b61793c5a1386613ba4371a7da1
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Fri Dec 9 11:02:11 2011 +0100

    Fix .pc file to fix build of modules that depend on this

 data/libpeas-1.0.pc.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b0b1a39bef1662b48d24e3b079b558e2316ce804
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Dec 8 08:11:31 2011 -0800

    Use g_object_install_properties() and g_object_notify_by_pspec()

 libpeas-gtk/peas-gtk-disable-plugins-dialog.c | 40 +++++++++--------
 libpeas-gtk/peas-gtk-plugin-manager-store.c   | 25 ++++++-----
 libpeas-gtk/peas-gtk-plugin-manager-view.c    | 42 +++++++++---------
 libpeas-gtk/peas-gtk-plugin-manager.c         | 42 +++++++++---------
 libpeas/peas-engine.c                         | 46 ++++++++++---------
 libpeas/peas-extension-base.c                 | 44 ++++++++++---------
 libpeas/peas-extension-set.c                  | 61 ++++++++++++++------------
 libpeas/peas-object-module.c                  | 63 ++++++++++++++-------------
 8 files changed, 191 insertions(+), 172 deletions(-)

commit 974037f20e1d299a4add2e425ee8f7a1bf466b59
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Dec 8 08:09:56 2011 -0800

    Bump glib version to 2.28

 configure.ac                                  |  5 ++---
 libpeas-gtk/peas-gtk-disable-plugins-dialog.c |  3 +--
 libpeas-gtk/peas-gtk-plugin-manager-store.c   | 10 ++--------
 libpeas-gtk/peas-gtk-plugin-manager-view.c    | 17 ++++-------------
 libpeas-gtk/peas-gtk-plugin-manager.c         | 12 +++---------
 libpeas/peas-engine.c                         |  5 ++---
 libpeas/peas-extension-set.c                  | 17 +++++++++--------
 libpeas/peas-extension-wrapper.c              |  3 +--
 libpeas/peas-object-module.c                  |  2 +-
 libpeas/peas-plugin-info.c                    | 16 ++++------------
 peas-demo/peas-demo-window.c                  |  6 +-----
 11 files changed, 30 insertions(+), 66 deletions(-)

commit 7c3a39a988f78c9b317760a271f4962b6d36de2a
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Wed Dec 7 21:35:02 2011 -0800

    Show tooltip for available plugins
    
    http://bugzilla.gnome.org/show_bug.cgi?id=630252

 libpeas-gtk/peas-gtk-plugin-manager-view.c | 23 +++++++++++++----------
 1 file changed, 13 insertions(+), 10 deletions(-)

commit 4d9871f94148af1655eb9428e2e37935850c6cf2
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sat Nov 19 16:45:36 2011 -0800

    Prevent returning an extension that is not valid
    
    With multiple interfaces an interface could have a prerequisite
    in which case if the extension does not implement that prerequisite
    we would return an extension that is not valid and not NULL.

 libpeas/peas-extension-subclasses.c                | 13 ++++++
 loaders/gjs/peas-extension-gjs.c                   |  5 +++
 loaders/python/peas-extension-python.c             |  5 +++
 loaders/seed/peas-extension-seed.c                 |  5 +++
 tests/libpeas/introspection/Makefile.am            | 16 ++++---
 .../introspection-has-missing-prerequisite.c       | 37 +++++++++++++++
 .../introspection-has-missing-prerequisite.h       | 52 ++++++++++++++++++++++
 tests/libpeas/plugins/extension-js/extension-js.js |  7 ++-
 tests/libpeas/testing/testing-extension.c          | 18 ++++++++
 9 files changed, 149 insertions(+), 9 deletions(-)

commit 0a08b6fba4392bb0dba3a432226279aed75fdcbe
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Wed Sep 21 01:30:29 2011 -0700

    Do not leave a dangling reference in testing plugins

 tests/plugins/builtin/builtin-plugin.c   | 2 +-
 tests/plugins/has-dep/has-dep-plugin.c   | 2 +-
 tests/plugins/loadable/loadable-plugin.c | 2 +-
 tests/plugins/self-dep/self-dep-plugin.c | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 10ccabf48f8729d25463a0679cb207ef60f70c97
Author: Steve Frécinaux <code@istique.net>
Date:   Sat Nov 19 20:58:02 2011 +0100

    Fix building the peas-demo vala plugin example.
    
    Support for Vala classes implementing abstract properties was broken
    and fixed after the vala 0.14 release.

 configure.ac                                       |  2 +-
 .../valahello/peasdemo-vala-hello-plugin.vala      | 34 ++++++++++++++++------
 2 files changed, 26 insertions(+), 10 deletions(-)

commit 38f859208eb1d7a2eab9afc218bf41d67b389725
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Oct 27 16:38:54 2011 -0700

    Allow multiple interfaces for all extensions
    
    Instead of only implementing the required interface implement
    every interface that type implements.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=626644

 libpeas/peas-extension-subclasses.c                | 113 +++++++++++-------
 libpeas/peas-extension-subclasses.h                |   4 +-
 libpeas/peas-extension-wrapper.c                   |  23 +++-
 libpeas/peas-extension-wrapper.h                   |   5 +
 libpeas/peas-extension.c                           |  74 ++++++++++--
 libpeas/peas-introspection.c                       | 132 ++++++++++++++++++---
 libpeas/peas-introspection.h                       |  17 +--
 loaders/c/peas-plugin-loader-c.c                   |   2 +-
 loaders/gjs/peas-extension-gjs.c                   |  35 +++---
 loaders/gjs/peas-extension-gjs.h                   |   1 +
 loaders/gjs/peas-plugin-loader-gjs.c               |  72 ++++++++++-
 loaders/python/peas-extension-python.c             |  19 +--
 loaders/python/peas-extension-python.h             |   3 +-
 loaders/python/peas-plugin-loader-python.c         |   4 +-
 loaders/seed/peas-extension-seed.c                 |  26 ++--
 loaders/seed/peas-extension-seed.h                 |   7 +-
 loaders/seed/peas-plugin-loader-seed.c             |  67 ++++++++++-
 tests/libpeas/extension-set.c                      |  10 +-
 tests/libpeas/introspection/Makefile.am            |  12 +-
 .../introspection-has-prerequisite.c}              |  19 ++-
 .../introspection/introspection-has-prerequisite.h |  52 ++++++++
 .../libpeas/plugins/extension-c/callable-plugin.c  |  89 +++++++++++++-
 .../libpeas/plugins/extension-c/callable-plugin.h  |   3 +
 .../plugins/extension-c/extension-c-plugin.c       |   7 ++
 tests/libpeas/plugins/extension-js/extension-js.js |  19 +--
 .../plugins/extension-python/extension-python.py   |  27 +++--
 tests/libpeas/testing/testing-extension.c          |  33 +++++-
 tests/libpeas/testing/testing-extension.h          |   2 +
 28 files changed, 693 insertions(+), 184 deletions(-)

commit 6abd0e0956f0e03c9d5d7479bc36bc32540f8850
Author: ipraveen <mail2ipn@gmail.com>
Date:   Sat Oct 8 22:20:07 2011 +0530

    Updated Telugu Translation

 po/te.po | 88 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 44 insertions(+), 44 deletions(-)

commit 2d36fe8a234c371ba86c0a0bdb03fb0a5c6027c8
Author: krishnababu k <kkrothap@redhat.ocm>
Date:   Fri Oct 7 20:25:04 2011 +0530

    Updated Telugu Translations done by Sasi Bhushan

 po/te.po | 88 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 44 insertions(+), 44 deletions(-)

commit b1fb2d5067f5cfec9c8c57ea537f8ec218998812
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Sep 29 15:46:49 2011 -0700

    Annotate PeasPluginInfo return values as transfer none
    
    Otherwise GObject-Introspection says that it is transfer full.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=660524

 libpeas-gtk/peas-gtk-plugin-manager-view.c | 2 +-
 libpeas/peas-engine.c                      | 2 +-
 libpeas/peas-extension-base.c              | 3 ++-
 3 files changed, 4 insertions(+), 3 deletions(-)

commit 8f2ed1c70e2d4243c759d505552f46ac3043e3a1
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Sep 27 03:54:04 2011 -0700

    Post-release version bump for 1.3.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fd043313e9ba1dbff020f208d837aee0006a16f4
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Mon Sep 26 16:34:54 2011 -0700

    Release 1.2.0

 NEWS         | 12 ++++++++++++
 configure.ac | 20 +++++++++++++++++---
 2 files changed, 29 insertions(+), 3 deletions(-)

commit cd0753dd00705a64a8b5be52e190a6451abbedf5
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Sat Sep 24 16:41:39 2011 +0530

    Updated Assamese Translations:bugzilla#659595

 po/as.po | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 4b676359b6450c5c00941d94f3db5b371fb2784c
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Sep 22 05:53:26 2011 -0700

    Bind plugin module symbols globally
    
    Binding locally broke the Python plugin loader.

 libpeas/peas-object-module.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit dabc253f96130781e59c314aa4f17ad2e7d41e25
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Wed Sep 21 07:38:22 2011 -0700

    Fix two "no link for" gtk-doc warnings

 libpeas-gtk/peas-gtk-configurable.c | 4 ++--
 libpeas/peas-object-module.h        | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 5ec8852096d6810272efc15b652bbe3492a75ae2
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Wed Sep 21 07:37:44 2011 -0700

    Fix unused variable warnings

 loaders/python/peas-plugin-loader-python.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c73d2ebda24d9f28136a6eed270f3765d72807f5
Author: Tiffany Antopolski <tiffany.antopolski@gmail.com>
Date:   Thu Sep 22 20:35:08 2011 +0200

    Updated Esperanto translation

 po/eo.po | 69 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 34 insertions(+), 35 deletions(-)

commit 9664bc31ee24e8f15438acea5a6d88f37c47a1a4
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Thu Sep 22 19:38:26 2011 +0200

    Updated Assamese translation

 po/as.po | 60 +++++++++++++++++++++++++++---------------------------------
 1 file changed, 27 insertions(+), 33 deletions(-)

commit 9c3a5e01d6554714a670d2914d49cfc29469c31c
Author: ipraveen <mail2ipn@gmail.com>
Date:   Thu Sep 22 20:53:51 2011 +0530

    Added Telugu Translation

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit d3fcc53c7dba2962e0db06ec4c4fabaa010b731f
Author: ipraveen <mail2ipn@gmail.com>
Date:   Thu Sep 22 20:53:27 2011 +0530

    Updated Telugu Translation

 po/te.po | 130 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 130 insertions(+)

commit 5c80d7f240497d20e03c89abf199e7ab75a25018
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Wed Sep 21 04:33:59 2011 -0700

    Post-release version bump for 1.1.5

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a1ad8fbc0434d5f5d4e4e63e031964beb640a43a
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Wed Sep 21 04:31:29 2011 -0700

    Release 1.1.4

 NEWS | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit ed7332ff34da22798b562eb95d8a017f2eed83e4
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Wed Sep 21 04:12:38 2011 -0700

    Improve the Python plugin loader's warnings

 loaders/python/peas-plugin-loader-python.c | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit cdb32f7f27864f663d75f3aad8da6767273f9c84
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Wed Sep 21 04:12:03 2011 -0700

    Remove obsolete PyGObject checks and comments

 configure.ac                               |  3 ---
 loaders/python/peas-plugin-loader-python.c | 20 +-------------------
 2 files changed, 1 insertion(+), 22 deletions(-)

commit 68fb8789bcf125e675d7472b39f33c84ad3218d6
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Wed Sep 21 04:10:30 2011 -0700

    Fix to work with PyGObject 3
    
    If the major versions do not match pygobject_init() fails.

 configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 8a8345f2b967c04ee9ea85a29699005687ad50ee
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Mon Sep 19 21:05:56 2011 -0700

    Merge test plugins extension-gjs and extension-seed

 .gitignore                                         |  4 ++++
 configure.ac                                       |  4 ++--
 tests/libpeas/plugins/Makefile.am                  | 10 ++++-----
 tests/libpeas/plugins/extension-gjs/Makefile.am    |  7 ------
 .../plugins/extension-gjs/extension-gjs.plugin     |  9 --------
 tests/libpeas/plugins/extension-js/Makefile.am     | 22 ++++++++++++++++++
 .../extension-js.js}                               |  2 +-
 .../plugins/extension-js/extension-js.plugin       |  9 ++++++++
 tests/libpeas/plugins/extension-seed/Makefile.am   |  7 ------
 .../plugins/extension-seed/extension-seed.js       | 26 ----------------------
 .../plugins/extension-seed/extension-seed.plugin   |  9 --------
 11 files changed, 43 insertions(+), 66 deletions(-)

commit a261fde4521da1181dcf14181546d8c3168b0a4c
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Mon Sep 19 01:34:17 2011 -0700

    Do not test the properties for C extensions
    
    Because C extensions are no longer wrapped testing
    the properties is just pointless.

 tests/libpeas/extension-c.c                        |  15 +-
 tests/libpeas/plugins/extension-c/Makefile.am      |   4 +-
 .../plugins/extension-c/extension-c-plugin.c       |   6 -
 .../plugins/extension-c/properties-plugin.c        | 180 ---------------------
 .../plugins/extension-c/properties-plugin.h        |  55 -------
 tests/libpeas/testing/testing-extension.h          |  34 ++--
 6 files changed, 30 insertions(+), 264 deletions(-)

commit f957df40176a8ea1ee4e4a71a07c0a26ad6cbc59
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sun Sep 18 06:37:09 2011 -0700

    Disable log hooks used by PyGobject and Seed
    
    https://bugzilla.gnome.org/show_bug.cgi?id=648436

 loaders/python/peas-plugin-loader-python.c |  2 ++
 loaders/seed/peas-plugin-loader-seed.c     | 11 ++++++++++-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit 0d7a4176a0162568bf5a47e1cf90c5791c87caf1
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sun Sep 18 06:08:19 2011 -0700

    Avoid a double unref and a possible unallowed unref
    
    The unallowed unref comes from the GTypeModule
    and the fact that it cannot be unreffed after certain
    things happen but the documentation is not specific
    about it.

 libpeas/peas-engine.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 3f5736547aea71856792aeb1930ea273c9862aef
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sun Sep 18 06:06:56 2011 -0700

    Add an initialize vfunc to PeasPluginLoader
    
    This allows the Python loader to fail and avoid
    having to check if it has failed at every API call.

 libpeas/peas-engine.c                      |  2 +-
 libpeas/peas-plugin-loader.c               | 15 +++++
 libpeas/peas-plugin-loader.h               |  4 ++
 loaders/python/peas-plugin-loader-python.c | 91 +++++++++++-------------------
 4 files changed, 54 insertions(+), 58 deletions(-)

commit 92fd9677c1ede8a2353842461b8f22a9a2f601ca
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sun Sep 18 05:50:02 2011 -0700

    Fix the Seed plugin loader when extensions is not an object
    
    Before if the extensions was not an object it would not warn
    and would return TRUE which could later cause a seg fault.

 loaders/seed/peas-plugin-loader-seed.c | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 01e5bfdf3719adfc4bdf311c3d4145c811de8feb
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sun Sep 18 05:48:37 2011 -0700

    Adds tests for a nonexistent plugin for all loaders
    
    This also fixes the Seed loader so it does not seg fault.

 loaders/seed/peas-plugin-loader-seed.c               | 20 +++++++++++++++-----
 tests/libpeas/extension-c.c                          | 15 +++++++++++++++
 tests/libpeas/extension-gjs.c                        | 14 ++++++++++++++
 tests/libpeas/extension-python.c                     | 13 +++++++++++++
 tests/libpeas/extension-seed.c                       | 14 ++++++++++++++
 tests/libpeas/plugins/Makefile.am                    | 20 ++++++++++++--------
 tests/libpeas/plugins/extension-c-nonexistent.plugin |  8 ++++++++
 .../libpeas/plugins/extension-gjs-nonexistent.plugin |  9 +++++++++
 .../plugins/extension-python-nonexistent.plugin      |  9 +++++++++
 .../plugins/extension-seed-nonexistent.plugin        |  9 +++++++++
 10 files changed, 118 insertions(+), 13 deletions(-)

commit 60abcaf17cbca040c7685736993e68e0e3567cc6
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sat Sep 10 11:08:13 2011 -0700

    Allow the copyright to be a string list and join it with newlines

 libpeas/peas-plugin-info.c | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 79c456ebf232f5de66c15580fff20885dee0bae6
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Sep 1 17:01:41 2011 -0700

    Bind module symbols locally and immediately
    
    This allows us to fail when loading a plugin that has an undefined symbol.

 libpeas/peas-object-module.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cd8ddb38cf85e6ed5c81048b0b3e1a12d5bf6599
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Sep 1 17:00:22 2011 -0700

    Cleanup the docs a bit

 libpeas-gtk/peas-gtk-plugin-manager-view.c |  8 +++++---
 libpeas/peas-engine.h                      |  5 -----
 libpeas/peas-extension-set.c               | 14 ++++++--------
 libpeas/peas-extension.c                   | 16 ++++++++--------
 libpeas/peas-plugin-info.h                 |  6 +++---
 5 files changed, 22 insertions(+), 27 deletions(-)

commit 0cef9606b4eebe757388d75cec70a53c3e852682
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Sep 1 16:59:02 2011 -0700

    Do not expose the old peas_extension_set_call* API to g-ir-scanner
    
    We hide all the peas_extension_set_call* API as this
    deprecated API is not in a good shape for GI anyway.

 libpeas/peas-extension-set.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 653669cd590b39f642b70c07df96f64c7959f28a
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Sep 1 06:42:11 2011 -0700

    Tell gtk-doc about our deprecation guards

 docs/reference/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit cc5aa8b2ab30e888720eeb375126f741c08aae8d
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Sep 1 06:40:35 2011 -0700

    Print the test report name for easy viewing

 tests/Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit d221ca2ebc7b2725628cbf2536c8ba4a859184a4
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Sep 1 06:39:07 2011 -0700

    libintrospection does not use libpeas

 tests/libpeas/introspection/Makefile.am | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 02ccafeed620e7739b4340387e608f9b9916757e
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Sep 1 06:37:58 2011 -0700

    Fix a few typos

 Makefile.am                | 4 ++--
 loaders/python/Makefile.am | 2 +-
 tests/Makefile.tests       | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 7d4ac8fe8978bba0b07add0297492d34f49038d1
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Sep 1 06:37:31 2011 -0700

    Fix test reporting when $srcdir != $builddir

 tests/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f8106cba573fd8812999e956942a5e6354b2990c
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Sep 1 05:02:23 2011 -0700

    Use peas_extension_set_foreach() in the demo

 peas-demo/peas-demo-window.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 14c40c71c028372e4efd652e6dbb3e51ed28b765
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Aug 30 14:55:52 2011 -0700

    Fix building introspection when libpeas is not installed

 libpeas-gtk/Makefile.am                 | 2 +-
 tests/libpeas/introspection/Makefile.am | 4 +++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 5720edd49d61c74060c3eda37322ca76a10ef409
Author: Xandru Armesto <xandru@softastur.org>
Date:   Sat Sep 17 19:07:18 2011 +0200

    Added asturian language

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit d1ba9585de48147bea5c024266176e0ad59851d5
Author: Xandru Armesto <xandru@softastur.org>
Date:   Sat Sep 17 19:07:06 2011 +0200

    Updated asturian translation

 po/ast.po | 151 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 151 insertions(+)

commit 738eeeb792aa2f9656a644fd7bab75aa51fad737
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Fri Sep 16 10:08:28 2011 +0300

    Added Belarusian translation.

 po/LINGUAS |   1 +
 po/be.po   | 126 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 127 insertions(+)

commit 0f47475bf0d10d8453c73d3eaf07291545c7afed
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:   Fri Sep 16 12:10:38 2011 +0700

    Added Thai translation.

 po/LINGUAS |   1 +
 po/th.po   | 129 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 130 insertions(+)

commit b4181131d209b3fc2491ed4002974c4f851baa52
Author: Steve Frécinaux <code@istique.net>
Date:   Tue Aug 30 23:00:50 2011 +0200

    Post-release version bump for 1.1.4

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 16cfe28eddf71327627703bfb57d688321851009
Author: Steve Frécinaux <code@istique.net>
Date:   Tue Aug 30 22:58:42 2011 +0200

    Release 1.1.3

 NEWS | 7 +++++++
 1 file changed, 7 insertions(+)

commit ad0e1d63fd22d5955c7c3730c0e51dd427f60c82
Author: Steve Frécinaux <code@istique.net>
Date:   Tue Aug 30 22:45:04 2011 +0200

    Force the Glade catalog to install in libpeas' prefix.
    
    We should never try to install stuff outside of the prefix we were
    assigned, due to permission errors, etc.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=654106

 configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 4bd48a8ffd1fbdc7acb975f85b8e5a662e909ebf
Author: Steve Frécinaux <code@istique.net>
Date:   Tue Aug 30 22:18:38 2011 +0200

    Fix typo in configure.ac

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2885547e78a64aa7e5461965acfab286f94a4a06
Author: Steve Frécinaux <code@istique.net>
Date:   Tue Aug 30 22:06:11 2011 +0200

    Do not expose the old peas_extension_* API to g-ir-scanner.
    
    g-ir-scanner chokes because it fails to associate the GObject type
    returned by the fake _get_type() method with the 'Peas' namespace we use
    for this library. So we hide all the peas_extension API as the rest of
    this deprecated API is not in a good shape in GI anyway.
    
    Adapted from a patch of Pavel Holejsovsky.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=657586

 libpeas/peas-extension.h | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 2e5cc92802fd368ef1aa6a60fcedda9ff7903fe2
Author: Steve Frécinaux <code@istique.net>
Date:   Tue Aug 30 16:46:09 2011 +0200

    Fix undefined value in extension set tests.

 tests/libpeas/extension-set.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a538f4e68fca7dc80b1d207d4c245eed45f37def
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sun Aug 28 15:22:44 2011 -0700

    Fix warning when running the demo

 peas-demo/peas-demo.c | 1 +
 1 file changed, 1 insertion(+)

commit 174c88472de5183e477b1fb537fd721d114440fa
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sun Aug 28 05:06:21 2011 -0700

    Fix all undocumented symbols

 libpeas-gtk/peas-gtk-configurable.h        | 12 ++++++++++++
 libpeas-gtk/peas-gtk-plugin-manager-view.h |  9 +++++++++
 libpeas-gtk/peas-gtk-plugin-manager.h      |  7 +++++++
 libpeas/peas-activatable.h                 | 15 +++++++++++++++
 libpeas/peas-engine.h                      |  9 +++++++++
 libpeas/peas-extension-base.h              |  7 +++++++
 libpeas/peas-extension-set.h               | 14 ++++++++++++++
 libpeas/peas-extension.h                   |  5 +++++
 libpeas/peas-object-module.h               |  7 +++++++
 9 files changed, 85 insertions(+)

commit f6c0cd2f1e7286301bc09ad39cafb153eae640be
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sun Aug 28 05:05:21 2011 -0700

    Update the image of the PeasGtkPluginManager

 docs/reference/images/peas-gtk-plugin-manager.png | Bin 18968 -> 26928 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit d431344374b98390ca5b0d772f5ce2ba24a77036
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sun Aug 28 00:12:41 2011 -0700

    Add a test for peas_extension_set_foreach()

 tests/libpeas/extension-set.c | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

commit 5e27723a788d1742560d878fdee64746d41e97bc
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sun Aug 28 00:12:22 2011 -0700

    Remove unneeded PeasPluginInfo (un)refs
    
    Because these are tied to the lifetime of the
    PeasEngine (un)refing them in unneeded.

 libpeas/peas-extension-base.c | 14 +-------------
 libpeas/peas-extension-set.c  |  3 ---
 2 files changed, 1 insertion(+), 16 deletions(-)

commit a827244742c48e3dea3b01c6a613fd91ecb13985
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sat Aug 27 17:13:12 2011 -0700

    Fix FSF Address
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652993

 COPYING                                            |  7 +++----
 libpeas-gtk/peas-gtk-configurable.c                |  2 +-
 libpeas-gtk/peas-gtk-configurable.h                |  2 +-
 libpeas-gtk/peas-gtk-disable-plugins-dialog.c      |  2 +-
 libpeas-gtk/peas-gtk-disable-plugins-dialog.h      |  2 +-
 libpeas-gtk/peas-gtk-plugin-manager-store.c        |  2 +-
 libpeas-gtk/peas-gtk-plugin-manager-store.h        |  2 +-
 libpeas-gtk/peas-gtk-plugin-manager-view.c         |  2 +-
 libpeas-gtk/peas-gtk-plugin-manager-view.h         |  2 +-
 libpeas-gtk/peas-gtk-plugin-manager.c              |  2 +-
 libpeas-gtk/peas-gtk-plugin-manager.h              |  2 +-
 libpeas-gtk/peas-gtk.h                             |  2 +-
 libpeas/peas-activatable.c                         |  2 +-
 libpeas/peas-activatable.h                         |  2 +-
 libpeas/peas-debug.c                               |  2 +-
 libpeas/peas-debug.h                               |  2 +-
 libpeas/peas-dirs.c                                |  2 +-
 libpeas/peas-dirs.h                                |  2 +-
 libpeas/peas-engine-priv.h                         |  2 +-
 libpeas/peas-engine.c                              |  2 +-
 libpeas/peas-engine.h                              |  2 +-
 libpeas/peas-extension-base.c                      |  2 +-
 libpeas/peas-extension-base.h                      |  2 +-
 libpeas/peas-extension-set.c                       |  2 +-
 libpeas/peas-extension-set.h                       |  2 +-
 libpeas/peas-extension-subclasses.c                |  2 +-
 libpeas/peas-extension-subclasses.h                |  2 +-
 libpeas/peas-extension-wrapper.c                   |  2 +-
 libpeas/peas-extension-wrapper.h                   |  2 +-
 libpeas/peas-extension.c                           |  2 +-
 libpeas/peas-extension.h                           |  2 +-
 libpeas/peas-helpers.c                             |  2 +-
 libpeas/peas-helpers.h                             |  2 +-
 libpeas/peas-i18n.c                                | 24 +++++++++++-----------
 libpeas/peas-i18n.h                                | 24 +++++++++++-----------
 libpeas/peas-introspection.c                       |  2 +-
 libpeas/peas-introspection.h                       |  2 +-
 libpeas/peas-object-module.c                       |  2 +-
 libpeas/peas-object-module.h                       |  2 +-
 libpeas/peas-plugin-info-priv.h                    |  2 +-
 libpeas/peas-plugin-info.c                         |  2 +-
 libpeas/peas-plugin-info.h                         |  2 +-
 libpeas/peas-plugin-loader.c                       |  2 +-
 libpeas/peas-plugin-loader.h                       |  2 +-
 libpeas/peas.h                                     |  2 +-
 loaders/c/peas-plugin-loader-c.c                   |  2 +-
 loaders/c/peas-plugin-loader-c.h                   |  2 +-
 loaders/gjs/peas-extension-gjs.c                   |  2 +-
 loaders/gjs/peas-extension-gjs.h                   |  2 +-
 loaders/gjs/peas-plugin-loader-gjs.c               |  2 +-
 loaders/gjs/peas-plugin-loader-gjs.h               |  2 +-
 loaders/python/peas-extension-python.c             |  2 +-
 loaders/python/peas-extension-python.h             |  2 +-
 loaders/python/peas-plugin-loader-python.c         |  2 +-
 loaders/python/peas-plugin-loader-python.h         |  2 +-
 loaders/seed/peas-extension-seed.c                 |  2 +-
 loaders/seed/peas-extension-seed.h                 |  2 +-
 loaders/seed/peas-plugin-loader-seed.c             |  2 +-
 loaders/seed/peas-plugin-loader-seed.h             |  2 +-
 peas-demo/peas-demo-window.c                       |  2 +-
 peas-demo/peas-demo-window.h                       |  2 +-
 peas-demo/peas-demo.c                              |  2 +-
 .../helloworld/peasdemo-hello-world-configurable.c |  2 +-
 .../helloworld/peasdemo-hello-world-configurable.h |  2 +-
 .../helloworld/peasdemo-hello-world-plugin.c       |  2 +-
 .../helloworld/peasdemo-hello-world-plugin.h       |  2 +-
 peas-demo/plugins/pythonhello/pythonhello.py       |  2 +-
 peas-demo/plugins/secondtime/second-time.c         |  2 +-
 peas-demo/plugins/secondtime/second-time.h         |  2 +-
 peas-demo/plugins/seedhello/seedhello.js           |  2 +-
 tests/libpeas-gtk/plugin-manager-store.c           |  2 +-
 tests/libpeas-gtk/plugin-manager-view.c            |  2 +-
 tests/libpeas-gtk/plugin-manager.c                 |  2 +-
 .../builtin-configurable/builtin-configurable.c    |  2 +-
 .../builtin-configurable/builtin-configurable.h    |  2 +-
 .../plugins/builtin-configurable/builtin-plugin.c  |  2 +-
 .../plugins/builtin-configurable/builtin-plugin.h  |  2 +-
 .../plugins/configurable/configurable-plugin.c     |  2 +-
 .../plugins/configurable/configurable-plugin.h     |  2 +-
 tests/libpeas-gtk/testing/testing.c                |  2 +-
 tests/libpeas-gtk/testing/testing.h                |  2 +-
 tests/libpeas/engine.c                             |  2 +-
 tests/libpeas/extension-c.c                        |  2 +-
 tests/libpeas/extension-gjs.c                      |  2 +-
 tests/libpeas/extension-python.c                   |  2 +-
 tests/libpeas/extension-seed.c                     |  2 +-
 tests/libpeas/extension-set.c                      |  2 +-
 .../libpeas/introspection/introspection-callable.c |  2 +-
 .../libpeas/introspection/introspection-callable.h |  2 +-
 .../introspection/introspection-properties.c       |  2 +-
 .../introspection/introspection-properties.h       |  2 +-
 .../introspection/introspection-unimplemented.c    |  2 +-
 .../introspection/introspection-unimplemented.h    |  2 +-
 tests/libpeas/plugin-info.c                        |  2 +-
 .../libpeas/plugins/extension-c/callable-plugin.c  |  2 +-
 .../libpeas/plugins/extension-c/callable-plugin.h  |  2 +-
 .../plugins/extension-c/extension-c-plugin.c       |  2 +-
 .../plugins/extension-c/extension-c-plugin.h       |  2 +-
 .../plugins/extension-c/properties-plugin.c        |  2 +-
 .../plugins/extension-c/properties-plugin.h        |  2 +-
 tests/libpeas/testing/testing-extension.c          |  2 +-
 tests/libpeas/testing/testing-extension.h          |  2 +-
 tests/libpeas/testing/testing.c                    |  2 +-
 tests/libpeas/testing/testing.h                    |  2 +-
 tests/plugins/builtin/builtin-plugin.c             |  2 +-
 tests/plugins/builtin/builtin-plugin.h             |  2 +-
 tests/plugins/has-dep/has-dep-plugin.c             |  2 +-
 tests/plugins/has-dep/has-dep-plugin.h             |  2 +-
 tests/plugins/loadable/loadable-plugin.c           |  2 +-
 tests/plugins/loadable/loadable-plugin.h           |  2 +-
 tests/plugins/self-dep/self-dep-plugin.c           |  2 +-
 tests/plugins/self-dep/self-dep-plugin.h           |  2 +-
 tests/testing-util/testing-util.c                  |  2 +-
 tests/testing-util/testing-util.h                  |  2 +-
 114 files changed, 138 insertions(+), 139 deletions(-)

commit 2aaca1c161eef8ca901c36a4e7e5daeea3b61a4d
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sun Aug 28 00:11:22 2011 -0700

    Fix a memory leak in the GJS plugin loader

 loaders/gjs/peas-plugin-loader-gjs.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e1f7ad9dd3f9c0eecf16e8a818c04b8083c47867
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sun Aug 28 00:04:05 2011 -0700

    Prevent recurse complaints when printing unhit log hooks

 tests/testing-util/testing-util.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit eb3c046ff3c9e3fc6fbf5621b776b14ec6088330
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Sun Aug 21 12:01:04 2011 -0700

    Use the correct hook when printing error message

 tests/testing-util/testing-util.c | 1 +
 1 file changed, 1 insertion(+)

commit d92de7a737d2ec1f3fb971b4affaa10759ad8803
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Mon Aug 22 11:33:23 2011 -0700

    Fix make clean when $srcdir = $builddir

 tests/Makefile.plugin | 1 +
 1 file changed, 1 insertion(+)

commit edb0f8673a60ded794316e9305a835013ca47754
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sun Aug 21 22:05:51 2011 +0200

    Post-release version bump for 1.1.3

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a0ca60fce6dd6ca21271c87cfc1d2e2f9a7e9514
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sun Aug 21 20:07:22 2011 +0200

    Relese 1.1.2

 NEWS | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 25e198482fb3d7e5811d4771addeeaab16e8a716
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sun Aug 21 20:06:44 2011 +0200

    Fix distcheck

 tests/Makefile.plugin | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit f55034556d39f9cdd0eedf544be812e97a1e9833
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sun Aug 21 17:56:12 2011 +0200

    We need a ChangeLog file

 ChangeLog | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 0cee06c36977991d70ad627ceb3c40430b9dfcf9
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Aug 1 09:16:46 2011 +0200

    Adapt to and require gjs 1.29.16
    
    gjs-gi was merged in gjs, so update the build system as well as path to
    headers.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655475

 configure.ac                         | 8 ++++----
 loaders/gjs/peas-extension-gjs.c     | 4 ++--
 loaders/gjs/peas-plugin-loader-gjs.c | 6 +++---
 tests/libpeas/extension-gjs.c        | 2 +-
 4 files changed, 10 insertions(+), 10 deletions(-)

commit ad68ae3e029a66b6cd6ac0ae98b739471a6ccf02
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sun Aug 21 16:57:16 2011 +0200

    Pass the right distcheck commands

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c4c2402f8f3ca6b28947559343202c0bae61cf29
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sun Aug 21 16:22:09 2011 +0200

    configure.ac: create tar.xz

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 707940c86434b81e39444dfbdef7bfd6e5f1a358
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sun Aug 21 13:13:18 2011 +0200

    Do not make a direct reference to gedit extension points.

 libpeas/peas-activatable.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8b8f47f4ed275649a2cf3db714990777c2a05a8d
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Fri Aug 12 12:05:47 2011 -0700

    Fix doc typo

 libpeas/peas-extension.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2b4041ca56abbdbea37972ad98f5e9b67b847e94
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Thu Aug 18 14:38:29 2011 -0700

    Fix warning

 loaders/python/peas-plugin-loader-python.c | 2 --
 1 file changed, 2 deletions(-)

commit f039f715f774eccad250c83205d2e119b83c78e6
Author: Andika Triwidada <andika@gmail.com>
Date:   Fri Aug 19 12:49:20 2011 +0700

    Updated Indonesian translation

 po/id.po | 50 ++++++++++++++++++++------------------------------
 1 file changed, 20 insertions(+), 30 deletions(-)

commit 653f943222a9642533771932f4eb0430438a69af
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Mon Aug 15 13:13:45 2011 +0200

    Link against pygobject 3.

 configure.ac                                       | 10 ++++-----
 loaders/python/peas-plugin-loader-python.c         | 24 ++++++---------------
 peas-demo/plugins/pythonhello/pythonhello.py       |  8 +++----
 .../plugins/extension-python/extension-python.py   | 25 ++++++++--------------
 4 files changed, 25 insertions(+), 42 deletions(-)

commit 5ce8998755d0703ce5080370411da7a087868a22
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Wed Jun 29 22:12:31 2011 -0500

    docs: update libpeas-sections.txt
    
    It was missing the new peas_extension_set_foreach and had some old
    functions.
    
    Bug #653703

 docs/reference/libpeas-sections.txt | 2 ++
 1 file changed, 2 insertions(+)

commit d5073f3a5cf6d279849e4a2f4a9ae6c1a4c64800
Author: Steve Langasek <steve.langasek@canonical.com>
Date:   Wed Aug 10 08:37:02 2011 -0700

    Do not cast pointers to unsigned integers, not 64-bit-safe
    
    GType is an opaque pointer, not an unsigned integer, which means that when
    you cast it to one, instead of using the ACTUAL RETURN TYPE THAT'S BEEN
    DECLARED, you get immediate segfaults on 64-bit architectures.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655751

 libpeas/peas-extension.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e41b5fb194f1a3e952ac88d39c98a62144aca5e8
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Mon Jul 25 09:51:05 2011 -0700

    Post-release version bump for 1.1.2

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9e34558bce602cf9943b007af33494721eadeeda
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Mon Jul 25 09:44:05 2011 -0700

    Release 1.1.1

 NEWS | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 5f05767d818250237bed8a578a8bc1c58e3c89c7
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Mon Jul 25 09:42:52 2011 -0700

    Fix distcheck

 docs/reference/libpeas-sections.txt                | 3 ---
 tests/libpeas/plugins/extension-gjs/Makefile.am    | 6 ++++--
 tests/libpeas/plugins/extension-python/Makefile.am | 3 +--
 3 files changed, 5 insertions(+), 7 deletions(-)

commit b5ea94463b7ceb499f75ca67433772535f1716e7
Author: Steve Frécinaux <code@istique.net>
Date:   Mon Jul 25 17:09:53 2011 +0200

    Add Garrett Regier to our DOAP file.
    
    Welcome to the new maintainer!

 libpeas.doap | 8 ++++++++
 1 file changed, 8 insertions(+)

commit f8820617f0e186a79d2fa7c546943ea1770c3f64
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Mon Jul 18 17:26:26 2011 -0700

    Fix PeasPluginLoaderClass VFunc alignment

 libpeas/peas-plugin-loader.h | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 7a5c3ebc1276b45e9e85d158642d291c9a571bde
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Mon Jul 18 17:23:00 2011 -0700

    Avoid a format string warning

 peas-demo/plugins/helloworld/peasdemo-hello-world-configurable.c | 4 ++--
 peas-demo/plugins/helloworld/peasdemo-hello-world-plugin.c       | 8 ++++----
 peas-demo/plugins/secondtime/second-time.c                       | 8 ++++----
 3 files changed, 10 insertions(+), 10 deletions(-)

commit 156a8ffcbaecba96e086089819cf2382f588e857
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Mon Jul 18 03:49:32 2011 -0700

    Show all of the untriggered log hooks
    
    It is useful to know all of the log hooks that were not hit
    as it could give extra information as to where the problem is.

 tests/testing-util/testing-util.c | 69 ++++++++++++++++++++++++++++-----------
 tests/testing-util/testing-util.h |  1 +
 2 files changed, 51 insertions(+), 19 deletions(-)

commit c13f944dc77656c630cff3a7b75509d3874ea8a5
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Mon Jul 18 03:47:43 2011 -0700

    Assert if not all the log hooks were popped
    
    This can happen when you have a test that does not use
    testing_util_engine_free() and forgets to pop the hooks.

 tests/testing-util/testing-util.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 36ebc8d03a0e6ea78221ed7161fb34aaee493a5e
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Mon Jul 18 03:18:32 2011 -0700

    Cleanup PeasExtensionWrapper
    
    - Don't duplicate the PeasExtension docs.
    - Ignore it when generating the docs.
    - Remove peas-extension-priv.h
    - Don't have an "exten-type" property as it could shadow the instance's
       property and C plugins would not have the property.

 docs/reference/Makefile.am             |   2 +-
 libpeas/peas-extension-priv.h          |  52 ---------------
 libpeas/peas-extension-wrapper.c       | 115 ++-------------------------------
 libpeas/peas-extension.c               |   2 +-
 loaders/gjs/peas-extension-gjs.c       |   5 +-
 loaders/python/peas-extension-python.c |   5 +-
 loaders/seed/peas-extension-seed.c     |   5 +-
 7 files changed, 14 insertions(+), 172 deletions(-)

commit 98401dc85fa6d9e686e49f660a3e0703d15ea3a0
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Mon Jul 18 03:03:39 2011 -0700

    Don't show hidden plugins in the PeasGtkDisablePluginsDialog

 libpeas-gtk/peas-gtk-plugin-manager-view.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e5dbe03b6d1b7f50b248735ecd86bd9b78ca48f0
Author: Steve Frécinaux <code@istique.net>
Date:   Fri Jun 24 23:26:02 2011 +0200

    Do not create a wrapper around C extension instances.
    
    There is no need to "proxy" C extensions into wrappers implementing the
    same interface. This makes it possible to use libpeas without
    gobject-introspection as long as you restrain yourself to C plugins.

 libpeas/peas-extension.c         |  30 ++++++++--
 loaders/c/Makefile.am            |   2 -
 loaders/c/peas-extension-c.c     | 120 ---------------------------------------
 loaders/c/peas-extension-c.h     |  56 ------------------
 loaders/c/peas-plugin-loader-c.c |   9 ++-
 tests/libpeas/extension-c.c      |  15 +----
 6 files changed, 35 insertions(+), 197 deletions(-)

commit 706791fb96ff65ca0abc9be01491a2567091d930
Author: Steve Frécinaux <code@istique.net>
Date:   Fri Jun 24 22:53:48 2011 +0200

    Deprecate all the PeasExtension API.

 libpeas/peas-extension.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 18114f3a64b4380840b83af26719c1f2554189a2
Author: Steve Frécinaux <code@istique.net>
Date:   Fri Jun 24 00:51:21 2011 +0200

    Make the extension wrapper a private class.
    
    The previous PeasExtension class was copied into PeasExtensionWrapper.
    The PeasExtension class is now an alias to GObject, and the related API
    has been reimplemented on top of PeasExtensionWrapper.

 libpeas/Makefile.am                    |   3 +-
 libpeas/peas-extension-subclasses.c    |  15 ++-
 libpeas/peas-extension-wrapper.c       | 183 +++++++++++++++++++++++++++++++++
 libpeas/peas-extension-wrapper.h       |  76 ++++++++++++++
 libpeas/peas-extension.c               | 112 ++------------------
 libpeas/peas-extension.h               |  22 +---
 loaders/c/peas-extension-c.c           |  18 ++--
 loaders/c/peas-extension-c.h           |   8 +-
 loaders/gjs/peas-extension-gjs.c       |  18 ++--
 loaders/gjs/peas-extension-gjs.h       |   8 +-
 loaders/python/peas-extension-python.c |  18 ++--
 loaders/python/peas-extension-python.h |   8 +-
 loaders/seed/peas-extension-seed.c     |  18 ++--
 loaders/seed/peas-extension-seed.h     |   8 +-
 14 files changed, 335 insertions(+), 180 deletions(-)

commit e8474effc788cc490c2fcc85e61e5cb28a76619e
Author: Steve Frécinaux <code@istique.net>
Date:   Thu Jun 23 23:02:31 2011 +0200

    Check if the created extension implements the interface.
    
    The currently advertised way of using extensions is to use the
    implemented interface rather than the _call() method. So it's more
    important to ensure the returned object implements the rather than
    ensuring it is a PeasExtension instance.

 libpeas/peas-engine.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 72c6c420f9fbc33e61bb25ff8f999f55a4cd4bfe
Author: Steve Frécinaux <code@istique.net>
Date:   Tue Jun 14 10:21:54 2011 +0200

    Post-release version bump for 1.1.1

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 63ffafa3e4cf39e34de81b8f6beff5b59e4bab7c
Author: Steve Frécinaux <code@istique.net>
Date:   Tue Jun 14 10:06:41 2011 +0200

    Add NEWS for 1.1.0

 NEWS | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit f2896466bf6c496c97d85829a819fcbe7c3de4d9
Author: Garrett Regier <alias301@gmail.com>
Date:   Wed Jun 8 13:52:15 2011 -0700

    Deprecate PeasExtension and PeasExtensionSet call API
    
    Instead the dynamically implemented interface should be used
    or peas_extension_set_foreach().

 libpeas/peas-extension-set.c | 6 ++++++
 libpeas/peas-extension-set.h | 6 ++++++
 libpeas/peas-extension.c     | 6 ++++++
 libpeas/peas-extension.h     | 2 ++
 4 files changed, 20 insertions(+)

commit 0b0e4e0d1d2851864f38b3f8e2938d08feaba7bb
Author: Garrett Regier <alias301@gmail.com>
Date:   Wed Jun 8 13:48:10 2011 -0700

    Added peas_extension_set_foreach()

 libpeas/peas-extension-set.c | 32 +++++++++++++++++++++++++++++++-
 libpeas/peas-extension-set.h | 21 +++++++++++++++++++++
 2 files changed, 52 insertions(+), 1 deletion(-)

commit 1d18e9e6d4657056f9b7d11e5f5e10d9340757b5
Author: Steve Frécinaux <code@istique.net>
Date:   Tue Jun 14 09:41:23 2011 +0200

    Vala: Fix usage of PeasObjectModule within Vala
    
    The registration methods were marked as (skip), so they weren't
    introspected, resulting in Vala not being able to use them.

 libpeas/peas-object-module.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c911498bb9028fec4aaa31786599e3d3c3acbaa2
Author: Steve Frécinaux <code@istique.net>
Date:   Tue Jun 14 09:30:45 2011 +0200

    Drop unused variable GTK_TYPELIB in configure.ac

 configure.ac | 2 --
 1 file changed, 2 deletions(-)

commit db490b9ab964ab0faad77ad232e9ddd8228bc616
Author: Tommi Vainikainen <thv@iki.fi>
Date:   Mon Jun 13 11:51:59 2011 +0300

    Added Finnish translation

 po/fi.po | 24 ------------------------
 1 file changed, 24 deletions(-)

commit ee6fa30c2974bd966c72a090c3d4ae2ff9105e2e
Author: Tommi Vainikainen <thv@iki.fi>
Date:   Mon Jun 13 11:51:06 2011 +0300

    Added Finnish translation

 po/LINGUAS |   1 +
 po/fi.po   | 129 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 130 insertions(+)

commit fbb4239e7ee2261cb92e88b10aa852d7bbc3ed51
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Jun 12 02:40:38 2011 -0700

    Make multi args test more complex.
    
    This was the test used to find and fix the previous fixes.

 tests/libpeas/introspection/introspection-callable.c   | 14 +++++++-------
 tests/libpeas/introspection/introspection-callable.h   | 12 ++++++------
 tests/libpeas/plugins/extension-c/callable-plugin.c    | 11 +++++------
 tests/libpeas/plugins/extension-gjs/extension-gjs.js   |  4 ++--
 .../plugins/extension-python/extension-python.py       |  4 ++--
 tests/libpeas/plugins/extension-seed/extension-seed.js |  4 ++--
 tests/libpeas/testing/testing-extension.c              | 18 +++++++++---------
 7 files changed, 33 insertions(+), 34 deletions(-)

commit 608ef91d47e0efdf0129b3aa8804012a13ff611b
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Jun 12 02:39:12 2011 -0700

    Fix inout arguments in GJS loader

 loaders/gjs/peas-extension-gjs.c | 23 ++++++++++++++++++++---
 1 file changed, 20 insertions(+), 3 deletions(-)

commit 448851135f4f7beb9533fb573aa7641b9316a012
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Jun 12 02:14:27 2011 -0700

    Use the correct argument type in the GJS loader

 loaders/gjs/peas-extension-gjs.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 2613c64b528d37e485346f6fa5630b73bef889af
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Jun 12 02:13:58 2011 -0700

    Fix a typo in the GJS loader
    
    Calling g_base_info_get_name() on a GTypeInfo will cause an assert.

 loaders/gjs/peas-extension-gjs.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2101343d2c8f49a3f809dbbca5867a24c4280ecd
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Jun 12 02:13:00 2011 -0700

    Fix inout arguments in the Seed loader

 loaders/seed/peas-extension-seed.c | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit 010e228cb7f512a4f47a7e8c7f14d54462847725
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Jun 12 01:51:54 2011 -0700

    Keep global variables in the same place

 libpeas/peas-engine.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 3ac3d18f4c8f5e10090e3ca6575ab30d86d30127
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Jun 11 15:42:48 2011 -0700

    Fix a comment to include the new GJS plugin loader

 libpeas/peas-extension-base.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 5f1f3040378a2104af2502c3375914a1f0fb463a
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Jun 11 15:42:18 2011 -0700

    No longer use @Varargs in documentation
    
    This is obsolete and emits a warning.

 libpeas/peas-engine.c        | 2 +-
 libpeas/peas-extension-set.c | 4 ++--
 libpeas/peas-extension.c     | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 425701197654ea65014a8d9a848d4b22938efc3b
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Jun 11 15:41:37 2011 -0700

    Fix a few documentation warnings

 libpeas-gtk/peas-gtk-plugin-manager-view.h |  6 +++
 libpeas-gtk/peas-gtk-plugin-manager.h      |  6 +++
 libpeas/peas-engine.c                      | 14 +++++++
 libpeas/peas-object-module.c               | 62 +++++++++++++++++++++++++-----
 libpeas/peas-object-module.h               |  5 ++-
 libpeas/peas-plugin-info.h                 |  3 ++
 6 files changed, 85 insertions(+), 11 deletions(-)

commit 34e7cdb843f0a6f4bd58d993dab6abb346933c27
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Jun 11 15:40:32 2011 -0700

    Updated the doc sections
    
    This removed old symbols and adds others.

 docs/reference/libpeas-sections.txt | 22 +++++++++++++---------
 1 file changed, 13 insertions(+), 9 deletions(-)

commit a6a25d5e501386215590c4ba765083c9a0303f5c
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Jun 11 15:39:42 2011 -0700

    Cleanup building the docs
    
    Now we only need to ignore files that are not installed
    in libpeas/ and libpeas-gtk/.

 docs/reference/Makefile.am | 35 +++++++++++++----------------------
 1 file changed, 13 insertions(+), 22 deletions(-)

commit 394c8d940d8eae42afb30f00e9c2c366fbcfcda3
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Jun 11 15:37:15 2011 -0700

    No longer use Gtk[HV]Box as it is deprecated

 libpeas-gtk/peas-gtk-plugin-manager.c | 17 ++++++++++-------
 libpeas-gtk/peas-gtk-plugin-manager.h |  4 ++--
 peas-demo/peas-demo-window.c          |  3 ++-
 peas-demo/peas-demo.c                 |  4 ++--
 4 files changed, 16 insertions(+), 12 deletions(-)

commit 4f3b02ca34de2f488098c8365cb33ee31fe20210
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Jun 11 02:01:37 2011 -0700

    Fix exiting if running a test fails

 tests/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 87cd1d8444cd23c1c4c88a222d83ef2c42c407d7
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Jun 11 01:59:36 2011 -0700

    Skip testing-util when generating a report
    
    This is what the test* make rule does.

 tests/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8a12527155e71351e7df6d5fb537bbfa87dcb08b
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Jun 11 01:56:38 2011 -0700

    Fix test so the GJS plugin loader is finalized

 tests/libpeas/extension-gjs.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 017f9acb95f77f9b2c5301913b29602151e5d4ec
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Jun 11 01:55:07 2011 -0700

    Fix generating gcov reports for the GJS loader

 loaders/gjs/Makefile.am | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 43a3e7423a27cfb95972081a171e36058009bf78
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Jun 10 00:18:13 2011 -0700

    Only enable the C plugin loader once

 libpeas/peas-engine.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit ab7a74ef75f235181015c302bf4a55c9c30414ce
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Jun 9 22:39:25 2011 -0700

    Print log hooks that were not hit

 tests/testing-util/testing-util.c | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit e576e208583ed4a74e1f6d063b8c734ea2358b33
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Jun 9 19:27:48 2011 -0700

    Add a test to check that plugin loaders are loaded lazily

 tests/libpeas/testing/testing-extension.h | 2 ++
 1 file changed, 2 insertions(+)

commit f1aec7860dfc702a80f0a91238336c731bd215a7
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Jun 9 17:46:11 2011 -0700

    Remove the "Plugins:" label from the manager

 libpeas-gtk/peas-gtk-plugin-manager.c | 7 -------
 1 file changed, 7 deletions(-)

commit e1bf2c72300d5789d57ab7f2f13cccf076cb2e45
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Jun 9 17:45:09 2011 -0700

    Fix PeasGtkPluginManager to use "Preferences" and not "Configure"
    
    At the same time create the "About" menu item from stock to
    have one less thing to translate.

 libpeas-gtk/peas-gtk-plugin-manager.c | 10 ++--------
 1 file changed, 2 insertions(+), 8 deletions(-)

commit 95388a70df0c767daaed01969ca4c579f08b657c
Author: Garrett Regier <alias301@gmail.com>
Date:   Wed Jun 8 13:16:19 2011 -0700

    Deprecate PeasGtkPluginManagerView:show-builtin
    
    Instead hidden plugins should be used.

 libpeas-gtk/peas-gtk-plugin-manager-view.c | 7 +++++++
 libpeas-gtk/peas-gtk-plugin-manager-view.h | 2 ++
 2 files changed, 9 insertions(+)

commit 2532cac885966fb1813fdb11e666e02c838a2c44
Author: Garrett Regier <alias301@gmail.com>
Date:   Wed Jun 8 13:09:38 2011 -0700

    Change the #define used for disabaling deprecated features
    
    Otherwise when we want to deprecated API we would have to
    wrap the code in the .c files with #ifndef #endif which is bad
    because then we break ABI.

 configure.ac                           | 2 +-
 loaders/seed/peas-plugin-loader-seed.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c8f9e705c55c0405071d39afc72e7b9bfc46376a
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sun May 29 18:53:46 2011 +0200

    [l10n]Added Catalan (Valencian) translation

 po/LINGUAS        |   1 +
 po/ca@valencia.po | 141 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 142 insertions(+)

commit 6365e34adaa4a7488f2837900b2065b8f2fb0047
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:   Mon May 16 05:42:16 2011 +0430

    Added Persian translation

 po/LINGUAS |   1 +
 po/fa.po   | 144 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 145 insertions(+)

commit 64df637d04aa69eadb6d60af3b2a69cfe4295dd4
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Sun May 15 19:37:53 2011 +0200

    Add Esperanto translation

 po/LINGUAS |   1 +
 po/eo.po   | 139 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 140 insertions(+)

commit c2edff212130c1f0dfa328a24e069ab93f2c33ac
Author: Muhammed Eken <gnome@m-eken.com>
Date:   Wed Apr 27 21:32:02 2011 +0300

    Added Turkish translation

 po/LINGUAS |   1 +
 po/tr.po   | 144 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 145 insertions(+)

commit 682304c007166b7d8548a83eaa9455fcf483b149
Author: Jiro Matsuzawa <matsuzawa.jr@gmail.com>
Date:   Mon Apr 25 01:24:08 2011 +0900

    Added Japanese translation.

 po/LINGUAS |   1 +
 po/ja.po   | 143 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 144 insertions(+)

commit 09f10f9da839fdc3dfaec4beff6cecee52172a39
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:   Tue Apr 19 13:35:49 2011 +0200

    Updated Lithuanian translation.

 po/LINGUAS |   1 +
 po/lt.po   | 143 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 144 insertions(+)

commit 6343d82566d84ef529d77b0489588fdce83ffcf4
Author: Steve Frécinaux <code@istique.net>
Date:   Wed Apr 13 10:43:09 2011 +0200

    Drop support for GTK+ 2

 configure.ac                                  | 28 +++++++++------------------
 data/libpeas-gtk-1.0.pc.in                    |  2 +-
 libpeas-gtk/Makefile.am                       |  2 +-
 libpeas-gtk/peas-gtk-disable-plugins-dialog.c |  4 ----
 libpeas-gtk/peas-gtk-plugin-manager-view.c    |  8 --------
 libpeas-gtk/peas-gtk-plugin-manager.c         | 23 ----------------------
 peas-demo/peas-demo.c                         |  2 --
 tests/libpeas-gtk/testing/testing.c           |  2 --
 8 files changed, 11 insertions(+), 60 deletions(-)

commit a3c86a471332487befd91efa47d9152a2db9054a
Author: Steve Frécinaux <code@istique.net>
Date:   Mon Apr 11 12:59:48 2011 +0200

    Update peas-demo to use prototypes in its JS examples.

 peas-demo/plugins/gjshello/gjshello.js   | 15 +++++++++------
 peas-demo/plugins/seedhello/seedhello.js | 15 +++++++++------
 2 files changed, 18 insertions(+), 12 deletions(-)

commit 3e573f833f80545ccbbef92ab3b4227d619ecabb
Author: Steve Frécinaux <code@istique.net>
Date:   Mon Apr 11 10:15:52 2011 +0200

    Seed, GJS: Use proper prototypes for JS extensions.

 tests/libpeas/plugins/extension-gjs/extension-gjs.js  | 17 ++++++++++-------
 .../libpeas/plugins/extension-seed/extension-seed.js  | 19 +++++++++++--------
 2 files changed, 21 insertions(+), 15 deletions(-)

commit a83304679bd152fea7be49576165dd1423e15bc0
Author: Steve Frécinaux <code@istique.net>
Date:   Tue Apr 5 23:56:11 2011 +0200

    Rework ./configure summary.

 configure.ac | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit dc4be16c5288ef9983fcecb36b52869bddfb5110
Author: Steve Frécinaux <code@istique.net>
Date:   Tue Apr 5 23:26:39 2011 +0200

    Seed: add back support for the old way of defining extensions.
    
    The old way, using an array of functions, is officially deprecated but
    should still be supported since the API has been frozen for 1.0. But you
    really should not use it.

 configure.ac                           | 10 ++++++++++
 loaders/seed/peas-plugin-loader-seed.c | 28 +++++++++++++++++++++++++++-
 2 files changed, 37 insertions(+), 1 deletion(-)

commit 71a1f1ccd7b74d78407a7e31f96acc2445301b8f
Author: Steve Frécinaux <code@istique.net>
Date:   Mon Apr 4 23:50:38 2011 +0200

    WIP: use new() keyword for the seed loader.
    
    FIXME: we should still support the old way and warn when it is used.

 loaders/seed/peas-plugin-loader-seed.c             | 41 +++++++++-------------
 peas-demo/plugins/seedhello/seedhello.js           | 20 +++++------
 .../plugins/extension-seed/extension-seed.js       | 24 ++++++-------
 3 files changed, 38 insertions(+), 47 deletions(-)

commit 0a247cd09d7e0bca75860c2a507f2ccb06425760
Author: Steve Frécinaux <code@istique.net>
Date:   Mon Apr 4 23:31:05 2011 +0200

    Seed: Remove useless declaration.
    
    This declaration was useful when Seed didn't export this function.
    This was solved with libseed 3.0.0

 loaders/seed/peas-plugin-loader-seed.c | 4 ----
 1 file changed, 4 deletions(-)

commit 9d6dd5e7538347a140c60594494bf156ef65e231
Author: Steve Frécinaux <code@istique.net>
Date:   Mon Apr 4 22:42:20 2011 +0200

    Make gjs extensions actual objects rather than copied arrays.
    
    Those objects are instantiated using the 'new' keyword, and behave just
    like regular objects created in javascript.

 loaders/gjs/peas-plugin-loader-gjs.c               | 27 ++++++++++++++--------
 peas-demo/plugins/gjshello/gjshello.js             | 20 ++++++++--------
 .../libpeas/plugins/extension-gjs/extension-gjs.js | 22 +++++++++---------
 3 files changed, 38 insertions(+), 31 deletions(-)

commit 1dfe5804501b8e785e4a58e5d180a02ca7a9d531
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Mar 21 07:29:13 2011 -0700

    Implemented GJS plugin loader

 .gitignore                                         |   1 +
 configure.ac                                       |  41 +++
 loaders/Makefile.am                                |   4 +
 loaders/gjs/Makefile.am                            |  21 ++
 loaders/gjs/peas-extension-gjs.c                   | 403 +++++++++++++++++++++
 loaders/gjs/peas-extension-gjs.h                   |  59 +++
 loaders/gjs/peas-plugin-loader-gjs.c               | 307 ++++++++++++++++
 loaders/gjs/peas-plugin-loader-gjs.h               |  55 +++
 peas-demo/peas-demo.c                              |   1 +
 peas-demo/plugins/Makefile.am                      |   4 +
 peas-demo/plugins/gjshello/Makefile.am             |   7 +
 peas-demo/plugins/gjshello/gjshello.js             |  33 ++
 peas-demo/plugins/gjshello/gjshello.plugin         |   9 +
 tests/libpeas/Makefile.am                          |   7 +
 tests/libpeas/extension-gjs.c                      |  80 ++++
 tests/libpeas/plugins/Makefile.am                  |   4 +
 tests/libpeas/plugins/extension-gjs/Makefile.am    |   5 +
 .../libpeas/plugins/extension-gjs/extension-gjs.js |  24 ++
 .../plugins/extension-gjs/extension-gjs.plugin     |   9 +
 19 files changed, 1074 insertions(+)

commit b246ca13d46494f0e2f287cc68edcfa3081c63a1
Author: Steve Frécinaux <code@istique.net>
Date:   Mon Apr 4 21:56:54 2011 +0200

    Post-release version bump for 1.1.0

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit cb3d78fd94b3286e04e2fd5570bdd81530ac6b1d
Author: Steve Frécinaux <code@istique.net>
Date:   Mon Apr 4 21:43:31 2011 +0200

    Update configure.ac for 1.0.0

 configure.ac | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit a904c6cfe035b6ac3af25ad95f2ec9da88d74323
Author: Amitakhya Phukan <amitakhya@svn.gnome.org>
Date:   Mon Apr 4 11:22:42 2011 +0530

    Adding as to LINGUAS

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 72c4c35100b4f346de412b0632fd911e0682c6f6
Author: Amitakhya Phukan <amitakhya@svn.gnome.org>
Date:   Mon Apr 4 11:22:28 2011 +0530

    Updated Assamese translations

 po/as.po | 146 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 146 insertions(+)

commit f71037dbd8fdad1b91cc7a2c1e124d98e5d6239c
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sun Apr 3 12:49:33 2011 +0200

    Added Basque language

 po/LINGUAS |   1 +
 po/eu.po   | 143 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 144 insertions(+)

commit 5fcb802e77be82caa9439c78bcd0b6d7a68b5a66
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Sun Apr 3 08:37:39 2011 +0530

    added Tamil translation

 po/ta.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e9efebe7bcfceb29d62239466f42c3d59aba5de0
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Sun Apr 3 08:36:22 2011 +0530

    Added ta translation

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit ad8360782afcb7c93863bda26fd8f9720721f3d7
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Sun Apr 3 08:35:38 2011 +0530

    added Tamil translation

 po/ta.po | 146 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 146 insertions(+)

commit 92974adffa5245130807f1d297d61f87081f986b
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Fri Apr 1 22:37:16 2011 +0200

    Updated Danish translation

 po/da.po | 120 +++++++++++++++++++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 105 insertions(+), 15 deletions(-)

commit a4b7c2e44f72c1339736f1aff53db8bd150746f0
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Thu Mar 31 21:11:19 2011 +0200

    Updated LINGUAS to include he.

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 21581a8f7c32094c1e265b76e3e52d6fb7190ced
Author: Steve Frécinaux <code@istique.net>
Date:   Thu Mar 31 20:34:39 2011 +0200

    Bump the Seed version requirement.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 96aadb79bc7661ba5c81df0e744c5b66cec0cad8
Author: Steve Frécinaux <code@istique.net>
Date:   Thu Mar 31 20:32:41 2011 +0200

    Remove unused define.

 configure.ac | 4 ----
 1 file changed, 4 deletions(-)

commit 2eba5fa63f41ad0b3ea12401e04bb44dad801ced
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Mar 21 06:56:23 2011 -0700

    Use new seed API to convert SeedValue to and from GIArgument
    
    https://bugzilla.gnome.org/show_bug.cgi?id=645629
    https://bugzilla.gnome.org/show_bug.cgi?id=646332

 configure.ac                       |   4 +
 loaders/seed/peas-extension-seed.c | 176 +++++--------------------------------
 2 files changed, 25 insertions(+), 155 deletions(-)

commit 0c1f34b0945575b0533f9915d68ed782f2ce4338
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Thu Mar 31 02:44:40 2011 -0500

    tests/libpeas: fix extension-seed build
    
    Commit a655d0136520b156088327284c5a0377476008e7 in seed changed the
    seed_*_value API.
    
    Bug #646332

 tests/libpeas/extension-seed.c | 12 +++---------
 1 file changed, 3 insertions(+), 9 deletions(-)

commit 965f08ed8febab9bc794175d12ea68180e8b5b79
Author: Miroslav Nikolić <miroslavnikolic@rocketmail.com>
Date:   Thu Mar 31 11:45:07 2011 +0200

    Added Serbian translation

 po/LINGUAS     |   2 +
 po/sr.po       | 141 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/sr@latin.po | 141 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 284 insertions(+)

commit 1308ad81b20f4a97e3ebc3230aac1604f6bb86e0
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:   Tue Mar 29 22:31:50 2011 +0700

    Added id to LINGUAS
    Added Indonesian translation

 po/LINGUAS |   1 +
 po/id.po   | 143 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 144 insertions(+)

commit d82dae2508eb18b394fc7050cb3f11835d5a8e02
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Mon Mar 28 18:42:43 2011 +0200

    Added UG translation

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit c0b18dd864a16cabf5e01b11c6a81f0575070b9a
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Mon Mar 28 16:33:52 2011 +0530

    hindi added and translated and lingua upodated

 po/LINGUAS |   1 +
 po/hi.po   | 139 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 140 insertions(+)

commit a3ccd011847769909ec46ad54e5f0871e572e9fc
Author: Krasimir Chonov <mk2616@abv.bg>
Date:   Sun Mar 27 17:31:42 2011 +0300

    Updated Bulgarian translation

 po/LINGUAS |   1 +
 po/bg.po   | 143 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 144 insertions(+)

commit 471d447972b83be4a3eaf4e48faef411dc3057a6
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Sun Mar 27 21:34:08 2011 +0200

    Added UG translation

 po/ug.po | 138 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 138 insertions(+)

commit 61936c83e6188719ed3090711166fd46ead868d0
Author: Yuri Kozlov <yaray@komyakino.ru>
Date:   Sun Mar 27 14:33:06 2011 +0400

    Updated Russian translation

 po/LINGUAS |   1 +
 po/ru.po   | 145 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 146 insertions(+)

commit 8db43a2b9ac1c1fc65b02df0e8c083f7147509e9
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sun Mar 27 16:34:41 2011 +0700

    Added Vietnamese translation

 po/LINGUAS |   1 +
 po/vi.po   | 141 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 142 insertions(+)

commit fa1aeb1ecb601e126644373c6b37f47b2dddae87
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Mar 26 04:41:23 2011 -0700

    Remove bad API from PeasGtkPluginManagerView
    
    It would get or set the selected iter, but could return
    an iter that was meant to be used with the filter's model
    and not the view's model which made it awkward to use.

 libpeas-gtk/peas-gtk-plugin-manager-view.c | 73 +++++++-----------------------
 libpeas-gtk/peas-gtk-plugin-manager-view.h |  5 --
 2 files changed, 17 insertions(+), 61 deletions(-)

commit 65474a8b3cf3b8bcd0074b1a0e906d58bf1a8515
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Mar 25 21:15:48 2011 -0700

    Escape the tooltip's markup

 libpeas-gtk/peas-gtk-plugin-manager-view.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 95c8d02ce8480c53bd1c21c53e656f52a38b465e
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Mar 25 08:17:51 2011 -0700

    Fix segfault if pygobject could not be initialized

 loaders/python/peas-plugin-loader-python.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit be28a543cc22e72177dedce188574d866980fc68
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Mar 25 21:15:28 2011 -0700

    Fix showing tooltip in the plugin manager

 libpeas-gtk/peas-gtk-plugin-manager-view.c | 2 ++
 1 file changed, 2 insertions(+)

commit d883e816828cbe2d1f8928bcd13affb36a1ee60b
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Mar 25 21:56:25 2011 -0700

    Make peas_plugin_info_get_authors() consistent with other API.
    
    The PeasPluginInfo getters usually return an empty array rather than
    NULL, so let's be consistent here.

 libpeas/peas-plugin-info.c  | 2 ++
 tests/libpeas/plugin-info.c | 4 +++-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 567f5da7ddcb024ee72a0bec03a3313230044643
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Mar 18 07:29:43 2011 -0700

    Silence a possible overflow warning

 libpeas/peas-plugin-info-priv.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5bfbe44a2ed119e248c7020fed9bb1e5ffc51ce8
Author: Steve Frécinaux <code@istique.net>
Date:   Sat Mar 26 19:40:15 2011 +0100

    Update the DOAP file for the new master.gnome.org script.

 libpeas.doap | 6 ++++++
 1 file changed, 6 insertions(+)

commit 5fb7ba5265f671da877175f618522721b57ca0b5
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Mar 26 13:00:50 2011 +0200

    Updated Hebrew translation.

 po/he.po | 144 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 144 insertions(+)

commit 838fb4f33afeef196f5807572d4ad0169cad8961
Author: A S Alam <aalam@users.sf.net>
Date:   Fri Mar 25 08:42:22 2011 +0530

    Added Punjabi Translation and update LINGUAS file

 po/LINGUAS |   1 +
 po/pa.po   | 145 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 146 insertions(+)

commit 9f991a33ed54c43eff38f0b52201d9fa85c83402
Author: Steve Frécinaux <code@istique.net>
Date:   Fri Mar 25 00:17:01 2011 +0100

    Post-release version bump for 0.9.1 (or will it be 1.0.0?)

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5d553cba78c9a059f47aad654bedbce16b88f245
Author: Steve Frécinaux <code@istique.net>
Date:   Fri Mar 25 00:07:54 2011 +0100

    Set the version to 0.9.0, as a rc for libpeas 1.0

 configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 511ddab967e9f49b49c2ba0609f91b3050733ca1
Author: Steve Frécinaux <code@istique.net>
Date:   Fri Mar 25 00:03:18 2011 +0100

    Drop IAge support for now.
    
    The API will change for IAge, and nobody really uses it right now, so
    better remove it completely for now and add a sensible API later than
    having to try and support this API until libpeas 2.0

 docs/reference/libpeas-sections.txt            |  1 -
 libpeas/peas-plugin-info-priv.h                |  1 -
 libpeas/peas-plugin-info.c                     | 28 --------------------------
 libpeas/peas-plugin-info.h                     |  2 --
 tests/libpeas/plugin-info.c                    |  9 ---------
 tests/libpeas/plugins/Makefile.am              |  1 -
 tests/libpeas/plugins/info-missing-iage.plugin |  3 ---
 tests/libpeas/testing/testing.c                |  2 --
 8 files changed, 47 deletions(-)

commit e1ed351ebe325fe24dc378bc3c4e1ed6ea898822
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Mar 21 06:48:40 2011 -0700

    Use stack-allocation in Seed loader

 loaders/seed/peas-extension-seed.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 9c57921ec56858442c89d12e9ec254830407900b
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Mar 21 06:40:10 2011 -0700

    Add tests for extensions being able to get the PeasPluginInfo

 tests/libpeas/Makefile.am        |  5 +++--
 tests/libpeas/extension-c.c      | 28 ++++++++++++++++++++++++
 tests/libpeas/extension-python.c | 27 +++++++++++++++++++++++
 tests/libpeas/extension-seed.c   | 47 ++++++++++++++++++++++++++++++++++++++++
 4 files changed, 105 insertions(+), 2 deletions(-)

commit 81bbfd09da1d9444b943f0445dea75b96cbb3824
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Mar 21 06:39:04 2011 -0700

    Set a plugin_info property for Seed plugins
    
    There was a bug about it in the bugzilla but bugzilla.gnome.org is down
    so I cannot put the URL in this commit message...

 loaders/seed/peas-plugin-loader-seed.c | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit ab6e1616cecfa630afe79bac2e4b8744961d5d64
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Mar 21 06:38:05 2011 -0700

    Privatize PeasExtensionClass
    
    Subclassing PeasExtension has never been supported. Only loaders
    embedded in libpeas should use such subclasses.

 libpeas/peas-extension-priv.h             | 18 +++++++++++++++++-
 libpeas/peas-extension.h                  | 23 -----------------------
 loaders/c/peas-extension-c.h              |  2 +-
 loaders/python/peas-extension-python.h    |  2 +-
 loaders/seed/peas-extension-seed.h        |  2 +-
 tests/libpeas/testing/testing-extension.c | 21 ---------------------
 tests/libpeas/testing/testing-extension.h |  2 --
 7 files changed, 20 insertions(+), 50 deletions(-)

commit a86b11259478f11b9cb0fc2245fade06fb048b3b
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Mar 21 06:36:23 2011 -0700

    Privatize PeasExtensionBase
    
    This is an API change but that API is supposed to be private and
    unused. The ABI should be safe since we are replacing a pointer with
    another pointer.

 libpeas/peas-extension-base.c | 19 ++++++++++++++-----
 libpeas/peas-extension-base.h |  7 ++++---
 2 files changed, 18 insertions(+), 8 deletions(-)

commit 57ec1969cb3f416fac6b922f8be8d1d6c2a465b1
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Mar 18 09:18:12 2011 -0700

    Support inout arguments in Seed extensions

 loaders/seed/peas-extension-seed.c | 25 ++++++++-----------------
 1 file changed, 8 insertions(+), 17 deletions(-)

commit 0aaa9e4156b7604c6ccacfe7081fe6a2139849b0
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Mar 18 09:16:49 2011 -0700

    Reformat some parts of the Seed loader

 loaders/seed/peas-extension-seed.c     | 35 +++++++++++++++++-----------------
 loaders/seed/peas-plugin-loader-seed.c | 30 ++++++++++++++---------------
 2 files changed, 33 insertions(+), 32 deletions(-)

commit bff0f9148690e3fbe33ed8dc50ba731fc83861e4
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Mar 17 16:57:55 2011 -0700

    Fix out arguments with Seed extensions
    
    Out arguments are always pointers.

 loaders/seed/peas-extension-seed.c                 | 48 ++++++++++------------
 loaders/seed/peas-plugin-loader-seed.c             |  2 +-
 tests/libpeas/extension-seed.c                     | 25 +----------
 .../plugins/extension-seed/extension-seed.js       |  2 +-
 4 files changed, 25 insertions(+), 52 deletions(-)

commit 45b9104b656fa0900d1ad987a34ee7392a45a9fb
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Mar 17 13:56:43 2011 -0700

    Use g_arg_info_load_type not get_type in Seed loader

 loaders/seed/peas-extension-seed.c | 26 +++++++++-----------------
 1 file changed, 9 insertions(+), 17 deletions(-)

commit 2893558d550391f26bf231aa9a6a35e2a29462dd
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Mar 10 05:11:52 2011 -0800

    Fix getting and setting Seed properties

 libpeas/peas-extension-subclasses.c                |  29 +++---
 libpeas/peas-extension.c                           |   2 +-
 libpeas/peas-extension.h                           |   1 -
 loaders/c/peas-extension-c.c                       |  33 ++++++-
 loaders/python/peas-extension-python.c             |  47 +++++++++-
 loaders/seed/peas-extension-seed.c                 | 100 ++++++++++++++++++++-
 loaders/seed/peas-plugin-loader-seed.c             |   4 +-
 tests/libpeas/extension-seed.c                     |   4 -
 .../plugins/extension-seed/extension-seed.js       |   5 +-
 9 files changed, 189 insertions(+), 36 deletions(-)

commit 22a2b507736218085ba73b56268cbea61466bae5
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Mar 7 22:37:19 2011 -0800

    Don't use properties to store the extension instance
    
    The properties were intended for the tests but we can just as
    easily include the loader's extension.h file and acess it directly.
    
    In the future we will be using get_property() and set_property()
    for getting and setting properties on extension instances and if
    extensions had their own properties they could shadow the properties
    of the instances.

 loaders/c/peas-extension-c.c           | 64 ++++-------------------------
 loaders/python/peas-extension-python.c | 68 ++++---------------------------
 loaders/seed/peas-extension-seed.c     | 74 ++++++----------------------------
 tests/libpeas/extension-c.c            | 10 ++---
 tests/libpeas/extension-python.c       | 15 ++++---
 5 files changed, 41 insertions(+), 190 deletions(-)

commit a5ebd16c7e47dbd7472650a9aca72137dac6c4d4
Author: Joan Duran <jodufi@gmail.com>
Date:   Thu Mar 24 23:20:51 2011 +0100

    [l10n]Added Catalan translation

 po/LINGUAS |   1 +
 po/ca.po   | 141 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 142 insertions(+)

commit 4fcb48ea9177fc9a80be55950fdc26efd96d5b89
Author: Steve Frécinaux <code@istique.net>
Date:   Thu Mar 24 17:36:50 2011 +0100

    Fix typo

 loaders/python/peas-plugin-loader-python.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 75e3f29484f946a2fcfaa7689b11633eb89cdd6a
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Mar 20 10:11:56 2011 -0700

    Fix checking for valac

 configure.ac | 23 ++++++++++++++++++++++-
 1 file changed, 22 insertions(+), 1 deletion(-)

commit 771317d9703cc7b2000417b045fd6eed6f963744
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Mar 17 17:04:45 2011 -0700

    Exit if running a test with valgrind or callgrind fails

 tests/Makefile.tests | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 486789aa68752f71feb8a78aa0ae0ddd19bbc78a
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Mar 21 10:15:45 2011 -0700

    Use plugin's module name in debug and warning messages

 libpeas/peas-engine.c                      | 13 +++++++------
 loaders/c/peas-plugin-loader-c.c           |  4 +---
 loaders/python/peas-plugin-loader-python.c |  2 +-
 tests/libpeas/engine.c                     |  4 ++--
 4 files changed, 11 insertions(+), 12 deletions(-)

commit 835c455b26694cef3c09b92377f0d58dcb90a28f
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Mar 19 14:16:16 2011 -0700

    Add valgrind suppression file

 tests/Makefile.tests        |   1 +
 tests/valgrind.suppressions | 328 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 329 insertions(+)

commit 84c29795e9d502631a670fcabfe0011f17bea717
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Mar 19 14:06:20 2011 -0700

    Fix test make rule dependencies

 tests/Makefile.am    |  4 ++--
 tests/Makefile.tests | 10 +++++-----
 2 files changed, 7 insertions(+), 7 deletions(-)

commit 90dcb0b840b1088e51eb41402de45266095a2443
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Mar 19 14:05:21 2011 -0700

    Avoid creating the fixture when not needed in the plugin-manager tests

 tests/libpeas-gtk/plugin-manager.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 2a9380688d07e42446c24646c3e1e45ca5e2046f
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Mar 18 09:01:54 2011 -0700

    Cleanup testing comments

 tests/libpeas/engine.c            | 9 ++-------
 tests/testing-util/testing-util.c | 4 ++--
 2 files changed, 4 insertions(+), 9 deletions(-)

commit 971e7e6d071e19e20f184afd9fe10a953543719a
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Mar 18 07:29:43 2011 -0700

    Fix extension subclass initialization

 libpeas/peas-extension-subclasses.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 020cd6495ef3b21128e48a6128f6c9f6456eba19
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Mar 18 07:14:27 2011 -0700

    Fix variable shadow in plugin manager test

 tests/libpeas-gtk/plugin-manager.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit cce72eaefbc2aa5d73dbd0d9d389d8fa90796b6c
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Mar 18 07:13:03 2011 -0700

    Cleanup engine loader tests

 tests/libpeas-gtk/plugin-manager-store.c |  2 +-
 tests/libpeas-gtk/plugin-manager.c       |  4 ++--
 tests/libpeas/engine.c                   | 41 ++++++++++++++------------------
 3 files changed, 21 insertions(+), 26 deletions(-)

commit 5455402ac012d73c1497901e8092d83175d1a82a
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Mar 18 06:44:18 2011 -0700

    Cleanup test for peas_plugin_info_has_dependency()

 tests/libpeas/plugin-info.c | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit 83307d033826e60b4d6ded09fab47935a54263ed
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Mar 18 06:43:21 2011 -0700

    Don't return an already created engine in testing_util_engine_new()

 tests/testing-util/testing-util.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 8b6524a44bee9ddd071576f113c9b8fc1121d4fc
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Mar 18 06:40:07 2011 -0700

    Fix testing_init() in libpeas' libtesting

 tests/libpeas/testing/testing.c | 2 ++
 1 file changed, 2 insertions(+)

commit 264dbf243794a040a24363b5d11675c3d9315cf0
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Mar 18 06:38:54 2011 -0700

    Avoid creating an engine when not needed in the engine tests

 tests/libpeas/engine.c | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit 7ca3efdf8ceb737e013755595290394a6520b29f
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Mar 18 07:28:26 2011 -0700

    Support VOID introspection type
    
    VOID is for void *

 libpeas/peas-introspection.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit a9656f5939d6575931472cf223c54a21e0b8e842
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Mar 17 19:46:00 2011 -0700

    Support gunichar in introspection
    
    It was added in 0.10.0

 libpeas/peas-introspection.c       | 3 +++
 loaders/seed/peas-extension-seed.c | 2 ++
 2 files changed, 5 insertions(+)

commit b9184f8b95eaec0d03fac4289db28ed47a3c3455
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Mar 7 22:52:13 2011 -0800

    Fix memory leak when overriding properties

 libpeas/peas-extension-subclasses.c | 2 ++
 1 file changed, 2 insertions(+)

commit 967cef10db7ab824589fd5074dd946716691dea0
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Mar 7 22:51:51 2011 -0800

    Fix memory leak in Python extension test

 tests/libpeas/extension-python.c | 2 ++
 1 file changed, 2 insertions(+)

commit bffbb475a6a44fb7ed2f37a5218c532028250d08
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Mar 7 22:37:57 2011 -0800

    Clean up the macros used for extension tests

 tests/libpeas/extension-c.c               |  6 +++---
 tests/libpeas/extension-python.c          | 11 +++++-----
 tests/libpeas/extension-seed.c            | 34 +++++++++++++++----------------
 tests/libpeas/testing/testing-extension.h | 16 +++++++--------
 4 files changed, 33 insertions(+), 34 deletions(-)

commit 03c592584f168383f446b9f06e594a2b020e9ef6
Author: Djavan Fagundes <djavan@comum.org>
Date:   Wed Mar 23 16:18:20 2011 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 115 +++++++++++++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 99 insertions(+), 16 deletions(-)

commit 7b8f45a39348303a711e8a386b1a25c2d073e7d1
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Mar 22 19:47:44 2011 +0800

    Added Traditional Chinese translation(Hong Kong and Taiwan)

 po/LINGUAS  |   2 +
 po/zh_HK.po | 141 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/zh_TW.po | 141 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 284 insertions(+)

commit b661a1df6972e82d32cbf4a4330741c7a754e084
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Tue Mar 22 16:41:13 2011 +0530

    Updated Gujarati Translations & Added LINGUAS

 po/LINGUAS |   1 +
 po/gu.po   | 144 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 145 insertions(+)

commit c9d548706bdd39469caf7c0f303a01217a430a88
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Mar 22 11:10:24 2011 +0100

    Updated Norwegian bokmål translation

 po/nb.po | 106 +++++++++++++++++++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 93 insertions(+), 13 deletions(-)

commit 8a10c02acf4e5f0c690355209f52327a5365e67a
Author: Xhacker Liu <liu.dongyuan@gmail.com>
Date:   Sun Mar 20 02:55:47 2011 +0000

    Update Simplified Chinese translation.

 po/zh_CN.po | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit 1fcbec1dc71079e5b3fe6be979e78a96ca75b273
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sat Mar 19 21:14:37 2011 +0200

    Added Latvian translation.

 po/LINGUAS |   1 +
 po/lv.po   | 144 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 145 insertions(+)

commit d3e9e44689e26a1a4241cd45bfb6e27207156543
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Sat Mar 19 18:08:59 2011 +0100

    Added Dutch translation by Wouter Bolsterlee

 po/LINGUAS |   5 +--
 po/nl.po   | 144 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 146 insertions(+), 3 deletions(-)

commit 1ab4525b3044751b7cfede301ad65ea896cb0762
Author: Yinghua Wang <wantinghard@gmail.com>
Date:   Fri Mar 18 23:13:19 2011 +0800

    Update Simplified Chinese translation.

 po/zh_CN.po | 113 ++++++++++++++++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 98 insertions(+), 15 deletions(-)

commit 20574898fd10b6171c6ec8a0401f093cd1e473ae
Author: Simos Xenitellis <simos@gnome.org>
Date:   Wed Mar 16 13:39:17 2011 +0200

    l10n: Updated Greek translation for libpeas

 po/el.po | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit e2d37e7de62d1578afd7251543337f228a7c56c9
Author: Michael Kotsarinis <mk73628@gmail.com>
Date:   Wed Mar 16 13:33:15 2011 +0200

    l10n: Updated Greek translation for libpeas

 po/el.po | 59 ++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 32 insertions(+), 27 deletions(-)

commit 945707a354a396fdfeef4ded136c9c72bf8e324b
Author: António Lima <amrlima@gmail.com>
Date:   Tue Mar 15 23:40:47 2011 +0000

    Updated Portuguese translation

 po/pt.po | 110 ++++++++++++++++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 95 insertions(+), 15 deletions(-)

commit b04955c76987c3ce720af7a2ce15e056c29ca4f8
Author: Priit Laes <plaes@plaes.org>
Date:   Tue Mar 15 13:49:42 2011 +0200

    Added Estonian (et) to LINGUAS

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 55e0ff63894a6e42cab0680e8b1edd0afcdffe4e
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   Tue Mar 15 13:48:23 2011 +0200

    [l10n] Updated Estonian translation

 po/et.po | 116 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 116 insertions(+)

commit 03d4b0b6a49933fbb4bdf9711650aeacaf896c7c
Author: Fran Diéguez <fran@openhost.es>
Date:   Tue Mar 15 01:16:24 2011 +0100

    Updated Galician translations

 po/gl.po | 114 +++++++++++++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 97 insertions(+), 17 deletions(-)

commit 2c38cf6244adbaccbd5bdd081ca04e2bc68b5dfa
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Mon Mar 14 02:22:47 2011 +0100

    Updated Romanian translation

 po/ro.po | 116 ++++++++++++++++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 100 insertions(+), 16 deletions(-)

commit 270e8f840573f9f09e4a19e613d75fa8808666d5
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Mon Mar 14 02:19:17 2011 +0100

    Updated Hungarian translation

 po/hu.po | 112 ++++++++++++++++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 97 insertions(+), 15 deletions(-)

commit 0963a5ed3698f2d3ae1e17430ac912045f9c5801
Author: Simos Xenitellis <simos@gnome.org>
Date:   Sun Mar 13 20:34:18 2011 +0200

    Added Greek (el) to LINGUAS

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 1589e6c733bb3b552b945a6909b1ed78fbbb9572
Author: Simos Xenitellis <simos@gnome.org>
Date:   Sun Mar 13 20:33:33 2011 +0200

    l10n: Added Greek translation for libpeas

 po/el.po | 138 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 138 insertions(+)

commit f9dfdd67b6bbb0ee781fd0a51768a1a66b31ec41
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sun Mar 13 22:10:17 2011 +0900

    Added Korean translation

 po/LINGUAS |   1 +
 po/ko.po   | 141 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 142 insertions(+)

commit 78b4341580ec955502da72df8e1cc41d095afc83
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Sun Mar 13 14:20:38 2011 +0200

    Uploaded Ukranian

 po/LINGUAS |   1 +
 po/uk.po   | 143 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 144 insertions(+)

commit a6ad0d626d34f03d122eadc6ed27ae2fa152c432
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Sun Mar 13 02:50:48 2011 +0100

    Updated Romanian translation

 po/ro.po | 142 +++++++++++++++------------------------------------------------
 1 file changed, 34 insertions(+), 108 deletions(-)

commit edb4dccc3e9658d89917cd8eeed382b9a0f4c7ca
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Sun Mar 13 02:49:00 2011 +0100

    Add Romanian to LINGUAS

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit d2248acfaec6ebdf2dbcbe72345dda482fc51001
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Sun Mar 13 02:48:39 2011 +0100

    Added Romanian translation

 po/ro.po | 138 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 138 insertions(+)

commit 174e9fc0211ffd46dcdffbdf8b1f4bfec8cca992
Author: Steve Frécinaux <code@istique.net>
Date:   Sat Mar 12 23:15:19 2011 +0100

    Fix missing typedef in enum declaration.

 libpeas-gtk/peas-gtk-plugin-manager-store.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0b1a7c943a20de40107e37e696640424aca70841
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Sat Mar 12 17:57:23 2011 +0000

    Added British English translation

 po/LINGUAS  |   1 +
 po/en_GB.po | 142 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 143 insertions(+)

commit ccd743d1fe72a0bf6fa6a1ad4b2454f7925b5757
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sat Mar 12 14:51:11 2011 +0100

    Set homepage to live.gnome.org page

 libpeas.doap | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8f03463643922df75da31a41ce172f3969ff0ac5
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sat Mar 12 14:45:21 2011 +0100

    Add a translator comment for the 'Show Builtin' property

 data/glade/libpeas-gtk.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 745f04d16e437d3451389c1b90bc8efb50da0304
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sat Mar 12 14:40:39 2011 +0100

    Updated French translation

 po/fr.po | 112 +++++++++++++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 94 insertions(+), 18 deletions(-)

commit e555a202280fd385ea4eddc7a416c51940a0c627
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Fri Mar 11 22:21:17 2011 +0100

    Added Italian translation

 po/LINGUAS |   1 +
 po/it.po   | 140 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 141 insertions(+)

commit 8be0cd0be971067a81da95c8e8ee329535b574ed
Merge: b6b7e15 fd43a21
Author: Steve Frécinaux <code@istique.net>
Date:   Thu Mar 10 19:02:19 2011 +0100

    Merge remote-tracking branch 'origin/master'

commit b6b7e1563a71403905bde831fe6a3d5c0c910660
Author: Steve Frécinaux <code@istique.net>
Date:   Thu Mar 10 19:01:39 2011 +0100

    Post-release version bump for 0.7.5

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ba4ac0ed4be2b24f418c58051c31a43b35280781
Author: Steve Frécinaux <code@istique.net>
Date:   Thu Mar 10 11:56:02 2011 +0100

    Increase pygobject dependency to 2.28.0
    
    This release fixes refcounting bugs that are important for us.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=639597

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fd43a21c5c6c53c8e92fec30b8b674b786341d51
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Mar 9 21:41:33 2011 +0100

    Updated Polish translation

 po/pl.po | 106 +++++++++++++++++++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 93 insertions(+), 13 deletions(-)

commit 9eaab35364a18c9a67bb414629b0539784261872
Author: Steve Frécinaux <code@istique.net>
Date:   Mon Mar 7 19:19:34 2011 +0100

    Do not drop all the test plugin files when running make distclean.
    
    Those are not generated so they shouldn't get discarded by the build
    system.

 tests/libpeas-gtk/plugins/Makefile.am                      | 1 -
 tests/libpeas-gtk/plugins/builtin-configurable/Makefile.am | 1 -
 tests/libpeas-gtk/plugins/configurable/Makefile.am         | 1 -
 tests/libpeas-gtk/plugins/valid-custom-icon/Makefile.am    | 1 -
 tests/libpeas/plugins/Makefile.am                          | 1 -
 tests/libpeas/plugins/extension-c/Makefile.am              | 1 -
 tests/libpeas/plugins/extension-python/Makefile.am         | 1 -
 tests/libpeas/plugins/extension-seed/Makefile.am           | 1 -
 tests/plugins/Makefile.am                                  | 1 -
 tests/plugins/builtin/Makefile.am                          | 1 -
 tests/plugins/has-dep/Makefile.am                          | 1 -
 tests/plugins/loadable/Makefile.am                         | 1 -
 tests/plugins/self-dep/Makefile.am                         | 1 -
 13 files changed, 13 deletions(-)

commit 9f7f9917e57706fe843fd87650542e5beb098610
Author: Steve Frécinaux <code@istique.net>
Date:   Mon Mar 7 19:14:56 2011 +0100

    Drop obsolete CFLAGS and LIBS variables.
    
    Those date back to the glorious time of pygtk. They were not set
    anymore.

 loaders/python/Makefile.am | 6 +-----
 tests/libpeas/Makefile.am  | 2 +-
 2 files changed, 2 insertions(+), 6 deletions(-)

commit 21be89bf572efa80769ebb43e353b38f730b71a3
Author: Steve Frécinaux <code@istique.net>
Date:   Mon Mar 7 11:48:44 2011 +0100

    Python: add a PeasActivatable test to check reference counts.
    
    The python bindings used to leak references on the object instance
    we put in the property value. So let's check it doesn't happen again
    since it was preventing eog to shut down.

 tests/libpeas/extension-python.c                   | 46 +++++++++++++++++++++-
 .../plugins/extension-python/extension-python.py   | 16 +++++++-
 2 files changed, 60 insertions(+), 2 deletions(-)

commit 1ab75ec6e1036600ee3a1d14d8d6e39f9f1d49e3
Author: Steve Frécinaux <code@istique.net>
Date:   Sun Mar 6 19:47:32 2011 +0100

    Add a test to check the refcount of python extensions.

 loaders/python/peas-extension-python.c | 21 ++++++++++++++++++++-
 tests/libpeas/Makefile.am              |  1 +
 tests/libpeas/extension-python.c       | 34 ++++++++++++++++++++++++++++++++++
 3 files changed, 55 insertions(+), 1 deletion(-)

commit 6ba828d38c7e3b985a64c12ba7ca7dd38d67de6d
Author: Steve Frécinaux <code@istique.net>
Date:   Sun Mar 6 19:34:11 2011 +0100

    Add a test to check the refcount of the instance of C extensions
    
    To do so I had to make the "instance" property of PeasExtensionC readable.

 loaders/c/peas-extension-c.c              | 21 +++++++++++++++++++-
 tests/libpeas/extension-c.c               | 32 +++++++++++++++++++++++++++++++
 tests/libpeas/testing/testing-extension.h |  9 ++++++++-
 3 files changed, 60 insertions(+), 2 deletions(-)

commit cc7dbeb1ecaaec973d6e14689e45cff519c6dea3
Author: Steve Frécinaux <code@istique.net>
Date:   Sun Mar 6 19:16:20 2011 +0100

    Tests: do not include main() in the EXTENSION_TESTS macro

 tests/libpeas/extension-c.c               | 12 +++++++++++-
 tests/libpeas/extension-python.c          | 12 +++++++++++-
 tests/libpeas/extension-seed.c            |  7 +------
 tests/libpeas/testing/testing-extension.h | 26 ++++++++------------------
 4 files changed, 31 insertions(+), 26 deletions(-)

commit 4a4b41dab2db8f51e2076f8aadbcab4c96b7be30
Author: Steve Frécinaux <code@istique.net>
Date:   Sun Mar 6 19:05:09 2011 +0100

    Use properties to store python and C extension instances
    
    This is meant to make testing of loader-specific stuff easier.

 loaders/c/peas-extension-c.c           | 46 ++++++++++++++++++++++++++------
 loaders/python/peas-extension-python.c | 48 +++++++++++++++++++++++++++++-----
 2 files changed, 79 insertions(+), 15 deletions(-)

commit 173394286b788764b7d8fea49b04a50ff2e70f6b
Author: Steve Frécinaux <code@istique.net>
Date:   Sun Mar 6 18:58:41 2011 +0100

    Seed: remove unused value in enum

 loaders/seed/peas-extension-seed.c | 1 -
 1 file changed, 1 deletion(-)

commit 0c8fc7a5c068df1673a459ac1ff399b2cf827e65
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Mar 7 08:04:34 2011 -0800

    Small introspection and extension-c properties cleanup
    
    G_PARAM_CONSTRUCT is pointless in a write-only property.

 tests/libpeas/introspection/introspection-properties.c | 2 +-
 tests/libpeas/plugins/extension-c/properties-plugin.c  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 65c5d8400116bfc25de701687c50566c164c4945
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Mar 7 08:03:16 2011 -0800

    Enable all Python property tests

 tests/libpeas/extension-python.c                   | 45 +---------------------
 .../plugins/extension-python/extension-python.py   | 15 ++------
 2 files changed, 5 insertions(+), 55 deletions(-)

commit e8a73351d9b520420605f59df2c2b9feef02c923
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Mar 7 08:02:47 2011 -0800

    Don't test properites for things that should fail
    
    This has issues when the log is redirected like in the Python loader.

 tests/libpeas/testing/testing-extension.c | 13 -------------
 1 file changed, 13 deletions(-)

commit 8c819c777682e87381c193c0bbb3e8124d7181ad
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Mar 7 08:00:27 2011 -0800

    Use GObject API instead of GI API to override properties

 libpeas/peas-extension-subclasses.c | 38 ++++++++++++++++---------------------
 1 file changed, 16 insertions(+), 22 deletions(-)

commit 6a3dcd627a57546522c6f4d1f8d9c8526869d7d4
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Mar 7 01:49:04 2011 -0800

    Fix releasing the gil state in the Python loader

 loaders/python/peas-plugin-loader-python.c | 24 ++++++++++--------------
 1 file changed, 10 insertions(+), 14 deletions(-)

commit 348cbd3342f8df18d026459d7925d24f723a4d1f
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Mar 7 01:47:35 2011 -0800

    Fix possible memory leak in Python loader

 loaders/python/peas-plugin-loader-python.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d321fdd1d39d1b15b008ce884ea8a5d0fbc8546e
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Mar 7 01:42:34 2011 -0800

    Don't save and restore stdout and stderror in construct-only test
    
    This trick was not meant to be commited.

 tests/libpeas/testing/testing-extension.c | 6 ------
 1 file changed, 6 deletions(-)

commit 3f9e55319c215e7ac216bfa75894061a747dee4d
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Mar 7 01:43:31 2011 -0800

    Small cleanup in PeasObjectModule

 libpeas/peas-object-module.c | 11 +----------
 1 file changed, 1 insertion(+), 10 deletions(-)

commit 934e64e907f585c01ff023fdffe9b4a7ada4e28a
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Mar 6 06:28:45 2011 -0800

    Remove plugins that fail to load in the C plugin loader

 loaders/c/peas-plugin-loader-c.c | 1 +
 1 file changed, 1 insertion(+)

commit 2b0c6531e63acb60eacabd43694da43d324ea32b
Author: Steve Frécinaux <code@istique.net>
Date:   Thu Jan 20 16:55:19 2011 +0100

    Python: cleanup the way we instantiate new extensions

 loaders/python/peas-plugin-loader-python.c | 48 +++++++-----------------------
 1 file changed, 11 insertions(+), 37 deletions(-)

commit 0a6d215f42c82be9cb69c81165abbc1b7e5cc418
Author: Steve Frécinaux <code@istique.net>
Date:   Sun Mar 6 17:10:14 2011 +0100

    Add a sample vala plugin.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=622664

 .gitignore                                         |  1 +
 configure.ac                                       | 32 +++++++++++++-
 peas-demo/plugins/Makefile.am                      |  4 ++
 peas-demo/plugins/valahello/Makefile.am            | 22 ++++++++++
 .../valahello/peasdemo-vala-hello-plugin.vala      | 49 ++++++++++++++++++++++
 peas-demo/plugins/valahello/valahello.plugin       |  7 ++++
 6 files changed, 114 insertions(+), 1 deletion(-)

commit e69e2565ea18bf1282f49cb10306442fe2f1159b
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Mar 6 06:28:21 2011 -0800

    Fix test-gdb, test-valgrind and test-callgrind rules

 Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f2569787d8b965da824662fa0c1974364090a807
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Mar 6 05:00:48 2011 -0800

    Return FALSE if creating the view's popup failed

 libpeas-gtk/peas-gtk-plugin-manager-view.c | 18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)

commit 943c9691f49a336476b50926115804e199d6bc28
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Mar 6 04:58:46 2011 -0800

    Don't select the first plugin when reloading
    
    We don't do this in other places so don't bother.

 libpeas-gtk/peas-gtk-plugin-manager-view.c | 18 ------------------
 1 file changed, 18 deletions(-)

commit bd6cdece900e71491173ca8db981f85b04871215
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Mar 6 04:52:17 2011 -0800

    Fix GTK+ 2 test build

 libpeas-gtk/peas-gtk-disable-plugins-dialog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4dc3060ab6fbdbf0b17ac7f4770cb98da97e940b
Author: Steve Frécinaux <code@istique.net>
Date:   Sun Mar 6 15:58:52 2011 +0100

    Ensure we hold the GIL when calling into python extensions.
    
    This fixes a crash in python 3.0, despite it doesn't seem to affect
    older python versions at all.

 loaders/python/peas-extension-python.c | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit fb42727555f1390d595c3cc2697835e2e99346af
Author: Steve Frécinaux <code@istique.net>
Date:   Sun Mar 6 15:06:19 2011 +0100

    Make libpeas build with Python 3

 loaders/python/peas-plugin-loader-python.c   | 56 ++++++++++++++++++++++++++--
 peas-demo/plugins/pythonhello/pythonhello.py |  6 +--
 2 files changed, 55 insertions(+), 7 deletions(-)

commit 8f40fb4b7db10065eeb0464f0a70dbfa1a284e8f
Author: Steve Frécinaux <code@istique.net>
Date:   Sun Mar 6 15:37:40 2011 +0100

    Remove peas_plugin_loader_add_module_directory()
    
    This private API has not been used since we switched from static
    bindings to gobject-introspection ones, ages ago.

 libpeas/peas-plugin-loader.c               | 14 --------------
 libpeas/peas-plugin-loader.h               |  6 ------
 loaders/c/peas-plugin-loader-c.c           |  8 --------
 loaders/python/peas-plugin-loader-python.c | 21 ---------------------
 loaders/seed/peas-plugin-loader-seed.c     | 23 -----------------------
 5 files changed, 72 deletions(-)

commit 514ed201b0b6a7999b62f58a2b967494d95f57bc
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Mar 5 19:43:29 2011 -0800

    Don't create a PeasPluginManagerView in the store tests

 tests/libpeas-gtk/plugin-manager-store.c | 85 +++++++++-----------------------
 1 file changed, 23 insertions(+), 62 deletions(-)

commit bd7023c664d1396094eaa0f092f0170b6a698b51
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Mar 5 09:44:09 2011 -0800

    Free C modules that fail to be used
    
    This is possible because the plugin's types wouldn't
    have been registered.

 loaders/c/peas-plugin-loader-c.c | 1 +
 1 file changed, 1 insertion(+)

commit a0336597eb489f09e528e69aa4f0e2923a7724b4
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Mar 5 06:43:08 2011 -0800

    Clean test-callgrind output files

 tests/Makefile.tests | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c3a5e4283528e112474d188a0c8323cbbf1c1309
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Mar 5 06:42:23 2011 -0800

    Fix checking for gcov

 configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit db510cf8a4e6b33601642b64ee9c7b9a830645e5
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Mar 5 06:42:08 2011 -0800

    Added check for gdb and valgrind for test-gdb and test-valgrind

 Makefile.am          | 26 +++++++++++++++++++++++++-
 configure.ac         | 20 ++++++++++++++++++++
 tests/Makefile.am    |  3 ++-
 tests/Makefile.tests | 20 +++++++++++++++++++-
 4 files changed, 66 insertions(+), 3 deletions(-)

commit d691bc4746a8de2e8a6626ecd1f3046cc618bda3
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Mar 5 06:37:51 2011 -0800

    Add an extension set test for creating an invalid extension set

 tests/libpeas/extension-set.c | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit 8d6b3502087299585419c0a5e12a3e2da430ae9e
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Mar 5 06:36:15 2011 -0800

    Add an extension set test for plugins that don't provide an extension

 tests/libpeas/extension-set.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 8177303181e08034c3a2824749dc4525cdf4f5d3
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Mar 5 06:33:10 2011 -0800

    Rework extension-set tests to create the PeasExtensionSet in the test case

 tests/libpeas/extension-set.c | 161 +++++++++++++++++++++++++++---------------
 1 file changed, 105 insertions(+), 56 deletions(-)

commit 9ea7fa34b5b134e64efd8d36f5e54f033d6a507f
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Mar 5 06:20:26 2011 -0800

    Link extension-c with libintrospection

 tests/libpeas/plugins/extension-c/Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit e9f45c9c2db9179fdc2f81b3425cd16236dd9f33
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Mar 5 00:55:39 2011 -0800

    Remove any noncommon allowed log patterns from libtesting-util

 tests/libpeas-gtk/plugin-manager-store.c |  2 ++
 tests/libpeas-gtk/plugin-manager.c       |  4 ++++
 tests/libpeas/engine.c                   |  8 ++++++++
 tests/libpeas/testing/testing.c          | 10 ++++++++++
 tests/testing-util/testing-util.c        | 11 +----------
 5 files changed, 25 insertions(+), 10 deletions(-)

commit 0f96facfcb652be7a80ba397cdb2f0afc21a554a
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Mar 5 00:40:57 2011 -0800

    Add an extension test for an invalid property

 tests/libpeas/testing/testing-extension.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit eeeba0bb26c92055c002099bf5047457099acc52
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Mar 5 00:38:36 2011 -0800

    Add a test for a plugin that is not loadable

 tests/libpeas/engine.c                    | 23 +++++++++++++++++++++++
 tests/libpeas/plugins/Makefile.am         |  1 +
 tests/libpeas/plugins/not-loadable.plugin |  7 +++++++
 3 files changed, 31 insertions(+)

commit 74e0511c85390fe910fbe819403ae47400fe9292
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Mar 5 00:37:10 2011 -0800

    Implemented log hooks in libtesting-util
    
    This allow us to add hooks for warning and criticals that are required
    during tests.
    
    These have several advantages over globally allowed patterns in that they
    avoid crossover issues when a test expects a warning but another
    test's pattern causes it to not be emitted. They are required to be triggered
    which avoids old patterns from being kept around when no longer needed.
    Most importantly they allow us to test that libpeas handles errors correctly.

 libpeas/peas-engine.c                     |  10 +++
 tests/libpeas/engine.c                    |   3 +
 tests/libpeas/extension-set.c             |  10 +--
 tests/libpeas/plugin-info.c               |  11 ++-
 tests/libpeas/testing/testing-extension.c | 114 ++++++++++--------------------
 tests/testing-util/testing-util.c         | 105 ++++++++++++++++++++++-----
 tests/testing-util/testing-util.h         |  11 +--
 7 files changed, 151 insertions(+), 113 deletions(-)

commit 69cb3565900b3a96aa0fe5860db83ce3d9659218
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Mar 5 00:00:34 2011 -0800

    Improve missing plugin dependency warning

 libpeas/peas-engine.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 926e833ed47f5b1e127bef28772e57bc07005b6f
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Mar 4 23:59:17 2011 -0800

    Emit debug messages when a plugin is loaded or unloaded

 libpeas/peas-engine.c | 4 ++++
 1 file changed, 4 insertions(+)

commit a46316bef89bca5198ad58f82d1ea1753463425d
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Mar 4 23:57:36 2011 -0800

    Fix two leaks in the Python plugin loader

 loaders/python/peas-plugin-loader-python.c | 36 ++++++++++++++++--------------
 1 file changed, 19 insertions(+), 17 deletions(-)

commit 63153f709e4ed60a6e895ac00f6631094f1ae97b
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Mar 4 22:47:19 2011 -0800

    Warn if creating an extension fails

 libpeas/peas-engine.c                      | 15 +++++++++++++--
 libpeas/peas-extension-set.c               |  6 ++++--
 loaders/python/peas-plugin-loader-python.c |  3 +--
 tests/libpeas/testing/testing-extension.c  | 14 +++++++++-----
 4 files changed, 27 insertions(+), 11 deletions(-)

commit 11ed85c2b85dad4a499d4bb8d299db2774baed2e
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Mar 4 22:46:28 2011 -0800

    Don't warn multiple times if _valist_to_parameter_list() fails

 libpeas/peas-engine.c        | 4 +++-
 libpeas/peas-extension-set.c | 5 +++--
 2 files changed, 6 insertions(+), 3 deletions(-)

commit 2b4f261a3d583a55b9eb11a65e978c2e230e0050
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Mar 4 22:43:59 2011 -0800

    Don't warn multiple times if peas_gi_get_method_info() fails

 libpeas/peas-extension-set.c | 5 ++++-
 libpeas/peas-extension.c     | 5 ++++-
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 6f647dba8c113191f985a11e904e9a94e93b1b57
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Mar 4 22:41:54 2011 -0800

    Fix error when more that 16 properties are given to _valist_to_parameter_list()

 libpeas/peas-helpers.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 4fb70310a1b5656208e61aa687fe19bdc2682937
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Mar 4 22:41:12 2011 -0800

    Fix memory leak in _valist_to_parameter_list()

 libpeas/peas-helpers.c | 29 ++++++++++++++++++++---------
 1 file changed, 20 insertions(+), 9 deletions(-)

commit b2ae6235475b6ed8536f957012e62c368e3ffd13
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Mar 4 22:39:13 2011 -0800

    Cleanup the plugin loaders

 loaders/c/peas-plugin-loader-c.c           | 14 ++------
 loaders/python/peas-plugin-loader-python.c | 54 +++++++++++-------------------
 loaders/seed/peas-plugin-loader-seed.c     | 13 ++-----
 3 files changed, 24 insertions(+), 57 deletions(-)

commit 08fc6bbe0bc4453ca521b4267a4af895bd7ba21c
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Mar 4 05:58:02 2011 -0800

    Created libtesting-util for common libtesting code

 configure.ac                                       |   1 +
 tests/Makefile.am                                  |   4 +-
 tests/libpeas-gtk/Makefile.am                      |   4 +-
 tests/libpeas-gtk/testing/Makefile.am              |   4 +-
 tests/libpeas-gtk/testing/testing.c                | 100 +-----------------
 tests/libpeas-gtk/testing/testing.h                |   8 +-
 tests/libpeas/Makefile.am                          |  12 ++-
 tests/libpeas/testing/Makefile.am                  |   4 +-
 tests/libpeas/testing/testing.c                    | 113 +--------------------
 tests/libpeas/testing/testing.h                    |   7 +-
 .../testing => testing-util}/Makefile.am           |  17 ++--
 .../testing.c => testing-util/testing-util.c}      |  23 ++---
 .../testing.h => testing-util/testing-util.h}      |  19 ++--
 13 files changed, 61 insertions(+), 255 deletions(-)

commit 70f4d35c1397cf7b6456cf6a8c3ad1d864274d45
Author: Steve Frécinaux <code@istique.net>
Date:   Sun Mar 6 12:53:06 2011 +0100

    Remove debug statement.

 libpeas-gtk/peas-gtk-plugin-manager-view.c | 2 --
 1 file changed, 2 deletions(-)

commit 4b147efeaba4b9e71402088836155aff3f8c55a6
Author: Steve Frécinaux <code@istique.net>
Date:   Sun Mar 6 12:48:26 2011 +0100

    Fix crash when searching a plugin in the manager.
    
    When the show-builtins property is set to false, we need to convert the
    original tree model iter to a filtered tree model iter before using it
    or things will go wrong.

 libpeas-gtk/peas-gtk-plugin-manager-view.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 772d67ab43a97f062a61b9bae9b1255a0ae8807b
Author: Steve Frécinaux <code@istique.net>
Date:   Sun Mar 6 12:38:57 2011 +0100

    PeasGtk: Use gtk_tree_model_get_value() instead of gtk_tree_model_get()
    
    This makes debugging easier, especially since we're only getting a
    single column value each time.

 libpeas-gtk/peas-gtk-plugin-manager-store.c | 33 +++++++++++++++++++++--------
 libpeas-gtk/peas-gtk-plugin-manager-view.c  |  2 ++
 2 files changed, 26 insertions(+), 9 deletions(-)

commit e659d2bc6879ce32710ef678917be3edfac07a7e
Merge: b812820 7f193c7
Author: Steve Frécinaux <code@istique.net>
Date:   Fri Mar 4 10:37:10 2011 +0100

    Merge remote-tracking branch 'gregier/fixes'

commit 7f193c786c73e76e0c1096ac09afcba4f9964619
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Mar 3 04:47:32 2011 -0800

    Add .PHONY to Makefile.tests

 tests/Makefile.tests | 2 ++
 1 file changed, 2 insertions(+)

commit 5fa94f3d4ff95ecebec2422f595a3b8f37c89a89
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Mar 3 04:47:12 2011 -0800

    Expand peas_engine_set_loaded_plugins() test

 tests/libpeas/engine.c | 59 ++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 47 insertions(+), 12 deletions(-)

commit 64c187410c2d055d151e62dcf2ba0ffb7fb74e72
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Mar 3 04:46:21 2011 -0800

    Test multiple engine shutdown in the test case

 tests/libpeas/engine.c | 1 +
 1 file changed, 1 insertion(+)

commit 439233dd32004678b8bd4db1ec669629a9593df7
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Mar 3 04:44:50 2011 -0800

    Add tests for peas_engine_provides_extension()

 tests/libpeas/extension-python.c          |  3 ++
 tests/libpeas/extension-seed.c            |  3 ++
 tests/libpeas/testing/testing-extension.c | 51 +++++++++++++++++++++++++++++++
 tests/libpeas/testing/testing-extension.h |  5 +++
 4 files changed, 62 insertions(+)

commit 6a0b340ec93b0a00bb11fd361c8802868c5db91d
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Mar 3 04:43:49 2011 -0800

    Check that the extension GType is an interface

 libpeas/peas-engine.c                     |  2 ++
 tests/libpeas/testing/testing-extension.c | 11 +++++++----
 2 files changed, 9 insertions(+), 4 deletions(-)

commit 44af1b09d3b706e2d08ff2e91cc62bb2e0615bd0
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Mar 3 04:36:48 2011 -0800

    Add an extension test for garbage collection

 tests/libpeas/extension-python.c          |  2 ++
 tests/libpeas/extension-seed.c            |  2 ++
 tests/libpeas/testing/testing-extension.c | 15 +++++++++++++++
 tests/libpeas/testing/testing-extension.h |  3 +++
 4 files changed, 22 insertions(+)

commit 9d19252e045e255417ce1652ea81e4e93defcfd0
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Mar 3 04:34:43 2011 -0800

    Add a test for an invalid loader

 tests/libpeas/engine.c                                         | 10 +++++++++-
 tests/libpeas/plugins/Makefile.am                              |  3 ++-
 .../plugins/{loader-disabled.plugin => disabled-loader.plugin} |  4 ++--
 tests/libpeas/plugins/invalid-loader.plugin                    |  8 ++++++++
 tests/libpeas/testing/testing.c                                |  1 +
 5 files changed, 22 insertions(+), 4 deletions(-)

commit 94174f6e7675e26850b92c9c9d7f12be7a9dadbe
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Mar 3 04:29:56 2011 -0800

    Add tests for (un)loading plugins that are already (un)loaded

 tests/libpeas/engine.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 9ec6b2e505054ee203f8ea0c210df78bd5bd1f76
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Mar 3 04:27:08 2011 -0800

    Add a test for an invalid GKeyFile formatted PeasPluginInfo

 tests/libpeas/plugins/Makefile.am    | 1 +
 tests/libpeas/plugins/invalid.plugin | 1 +
 tests/libpeas/testing/testing.c      | 4 +++-
 3 files changed, 5 insertions(+), 1 deletion(-)

commit 2aff50dd0bbac0fff4e29427b1fae8ed6310336b
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Mar 3 04:19:46 2011 -0800

    Add a test for an nonexistent search path

 tests/libpeas/engine.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 5bb42425fbabc4514b8701e520f055fde766f700
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Mar 3 04:13:11 2011 -0800

    Don't use g_atexit() in the tests
    
    It seems that gcov will not register statements that are called
    in an atexit() handler so add testing_run_tests() to run
    the tests and then call peas_engine_shutdown().

 tests/libpeas-gtk/plugin-manager-store.c  |  2 +-
 tests/libpeas-gtk/plugin-manager-view.c   |  2 +-
 tests/libpeas-gtk/plugin-manager.c        |  2 +-
 tests/libpeas-gtk/testing/testing.c       | 15 +++++++++++++++
 tests/libpeas-gtk/testing/testing.h       |  2 ++
 tests/libpeas/engine.c                    |  2 +-
 tests/libpeas/extension-python.c          |  2 +-
 tests/libpeas/extension-seed.c            |  2 +-
 tests/libpeas/extension-set.c             |  2 +-
 tests/libpeas/plugin-info.c               |  2 +-
 tests/libpeas/testing/testing-extension.h |  2 +-
 tests/libpeas/testing/testing.c           | 17 +++++++++++++++--
 tests/libpeas/testing/testing.h           |  3 +++
 13 files changed, 44 insertions(+), 11 deletions(-)

commit 8313b080ee1f7929405c0cea31bfcf4aacff0ed4
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Mar 3 03:21:41 2011 -0800

    Add a gcov make rule
    
    This generates .gcov files for C files in libpeas, libpeas-gtk and
    the loaders and then it reports the coverage for each of the libs.

 .gitignore                 |  1 +
 Makefile.am                | 22 +++++++++++++++++++++-
 Makefile.gcov              | 37 +++++++++++++++++++++++++++++++++++++
 configure.ac               | 34 ++++++++++++++++++++++++++++++++++
 libpeas-gtk/Makefile.am    |  7 ++++++-
 libpeas/Makefile.am        | 22 +++++++++++++---------
 loaders/Makefile.am        |  5 +++++
 loaders/c/Makefile.am      |  6 +++++-
 loaders/python/Makefile.am |  6 +++++-
 loaders/seed/Makefile.am   |  6 +++++-
 10 files changed, 132 insertions(+), 14 deletions(-)

commit 2cc0d36fd2a35117d1c1f7c3cf7faacd45e967bc
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Mar 3 02:59:50 2011 -0800

    Add testing_init() to libpeas-gtk's libtesting
    
    This is to keep it in sync with libpeas' libtesting.

 tests/libpeas-gtk/testing/testing.c | 42 ++++++++++++++++++++-----------------
 tests/libpeas-gtk/testing/testing.h |  2 ++
 2 files changed, 25 insertions(+), 19 deletions(-)

commit 3db4dc42c8f840c5833e801bf4d66e0f4d9a10e6
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Mar 3 02:59:05 2011 -0800

    Don't use interned strings in C plugin loader

 loaders/c/peas-plugin-loader-c.c | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

commit 655c6ba21fcb20fbd83486e41349c8e4cd78eaa9
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Mar 3 02:58:44 2011 -0800

    Fix comment in Python plugin loader

 loaders/python/peas-plugin-loader-python.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b3af3a0821bb403b3baa52fa8979fb7aa3c2a577
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Mar 3 02:29:51 2011 -0800

    Fix handling invalid loaders

 libpeas/peas-engine.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b812820b09bcd4326501a24725134ad34db9f9df
Author: Daniel Nylander <po@danielnylander.se>
Date:   Thu Feb 24 08:26:34 2011 +0100

    Updated Swedish translation

 po/sv.po | 110 ++++++++++++++++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 95 insertions(+), 15 deletions(-)

commit 5aaafca39d8d8204d8cfec6063ecbaa02321caef
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Feb 23 15:04:10 2011 +0100

    Updated Czech translation

 po/cs.po | 60 ++++++++++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 46 insertions(+), 14 deletions(-)

commit 1df54f26ae6c1660cf185dfdd69445068551258e
Author: Steve Frécinaux <code@istique.net>
Date:   Wed Feb 23 00:32:00 2011 +0100

    Post-release version bump for 0.7.4

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 92b255f9b76a8bed118d1901105e6a87e7014b9f
Author: Steve Frécinaux <code@istique.net>
Date:   Tue Feb 22 13:56:45 2011 +0100

    python: Rework refcounting to explicit extension ownership
    
    Previously the python reference was transferred to the Python extension
    object. It is more correct to increment the refcount in the extension
    and decrement it in the loader, because it's more explicit and won't
    break in bizarre way if we create more than one Python extension wrapper
    around the same object.

 loaders/python/peas-extension-python.c     | 1 +
 loaders/python/peas-plugin-loader-python.c | 2 ++
 2 files changed, 3 insertions(+)

commit f546844c03dc9f05c234c36638e2ccf3e4a645d3
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Mon Feb 21 19:37:56 2011 +0200

    Updated Arabic translation

 po/ar.po | 105 +++++++++++++++++++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 92 insertions(+), 13 deletions(-)

commit 5241a06c1480838ea7eb69deac82a48ab42eed99
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Feb 21 03:02:11 2011 -0800

    Free the loaded plugins hash table in the Seed loader

 loaders/seed/peas-plugin-loader-seed.c | 29 +++++++++++++++++++++++++----
 1 file changed, 25 insertions(+), 4 deletions(-)

commit 3573668083ebedca22d81584e7f041fa76ef2c0c
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Feb 20 13:52:35 2011 +0100

    Updated Slovenian translation

 po/sl.po | 108 ++++++++++++++++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 94 insertions(+), 14 deletions(-)

commit 157d10dfe6ff3a4ed9d1e17693184d00525ad785
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sat Feb 19 23:44:49 2011 +0100

    [l10n] Updated German translation

 po/de.po | 64 ++++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 44 insertions(+), 20 deletions(-)

commit 2fe3b1ae664d3d97bb15bf09e93cb25aec6c3b6c
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Feb 19 06:08:47 2011 -0800

    Correctly Fix C plugins that do not inherit from PeasExtensionBase

 libpeas/peas-object-module.c     |  4 ++--
 loaders/c/peas-plugin-loader-c.c | 50 +++++++++++++++-------------------------
 2 files changed, 21 insertions(+), 33 deletions(-)

commit dc8ac36be40526baa4ae3a71af5db0e193263384
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Feb 19 15:08:19 2011 +0100

    Updated Spanish translation

 po/es.po | 115 +++++++++++++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 97 insertions(+), 18 deletions(-)

commit d0ea5001e61e098c08bbc9fc891ef468f2ee0b24
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Feb 17 20:11:22 2011 -0800

    Add PeasPluginInfo:Hidden
    
    This allows plugins be be hidden even when builtin
    plugins are being shown in the plugin manager.

 libpeas-gtk/peas-gtk-plugin-manager-store.c |  7 +++++--
 libpeas/peas-plugin-info-priv.h             |  1 +
 libpeas/peas-plugin-info.c                  | 31 +++++++++++++++++++++++++++++
 libpeas/peas-plugin-info.h                  |  1 +
 tests/libpeas-gtk/plugin-manager-store.c    | 22 ++++++++++++++++----
 tests/libpeas-gtk/plugins/Makefile.am       |  1 +
 tests/libpeas-gtk/plugins/hidden.plugin     |  8 ++++++++
 tests/libpeas-gtk/testing/testing.c         | 19 +++++++++++-------
 tests/libpeas-gtk/testing/testing.h         |  2 +-
 9 files changed, 78 insertions(+), 14 deletions(-)

commit fec5441d795869d5bbf4d86204019efe937a43d4
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Feb 17 20:11:13 2011 -0800

    Drop PeasPluginInfo:file as it is unused

 libpeas/peas-plugin-info-priv.h | 1 -
 libpeas/peas-plugin-info.c      | 3 ---
 2 files changed, 4 deletions(-)

commit 2b0339e493fd8dd1896bd942e075d0addfc63a49
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Feb 17 22:13:36 2011 -0800

    Fix building a clean checkout

 tests/Makefile.plugin | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 8a125f613d1a7303b9124380f73c398b4fbf00af
Author: Garrett Regier <alias301@gmail.com>
Date:   Tue Jan 25 09:43:47 2011 -0800

    Show dialog when disabling a plugin which is depended on

 docs/reference/Makefile.am                    |   1 +
 libpeas-gtk/Makefile.am                       |   8 +-
 libpeas-gtk/peas-gtk-disable-plugins-dialog.c | 308 ++++++++++++++++++++++++++
 libpeas-gtk/peas-gtk-disable-plugins-dialog.h |  63 ++++++
 libpeas-gtk/peas-gtk-plugin-manager-view.c    |  75 ++++++-
 po/POTFILES.in                                |   1 +
 6 files changed, 450 insertions(+), 6 deletions(-)

commit 939b12fd6b6f2e1d0dd42b6e02c9e7e2f43a2990
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Feb 17 07:18:23 2011 -0800

    Don't add extra ref on python instance

 loaders/python/peas-extension-python.c | 1 -
 1 file changed, 1 deletion(-)

commit db7bf1bc725782e1a60af852bd03ad7d2c471fef
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Feb 17 07:17:29 2011 -0800

    Free the engine in the demo

 peas-demo/peas-demo.c | 2 ++
 1 file changed, 2 insertions(+)

commit aa448d6e1afe6f8f18cb223984bc204b1cb55ecd
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Feb 17 07:17:05 2011 -0800

    Unref the window in the second time plugin

 peas-demo/plugins/secondtime/second-time.c | 1 +
 1 file changed, 1 insertion(+)

commit 984f23f66f21464a400251094f3fe70f51a9ad4a
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Feb 17 07:16:43 2011 -0800

    Fix refcount issues in the test suite

 tests/libpeas-gtk/plugin-manager-store.c  |  3 +++
 tests/libpeas-gtk/plugin-manager-view.c   |  3 +++
 tests/libpeas-gtk/plugin-manager.c        | 11 +++++++++--
 tests/libpeas/engine.c                    |  7 +++++++
 tests/libpeas/extension-python.c          |  1 +
 tests/libpeas/extension-seed.c            |  1 +
 tests/libpeas/testing/testing-extension.h |  1 +
 7 files changed, 25 insertions(+), 2 deletions(-)

commit 45b1374e3893fedb3750c3f9d441e71d2898130b
Author: Garrett Regier <alias301@gmail.com>
Date:   Tue Feb 15 03:37:35 2011 -0800

    Fix make distcheck

 tests/Makefile.plugin                                      | 11 +++++++++++
 tests/libpeas-gtk/plugins/Makefile.am                      |  7 +++++--
 tests/libpeas-gtk/plugins/builtin-configurable/Makefile.am |  7 +++++--
 tests/libpeas-gtk/plugins/configurable/Makefile.am         |  7 +++++--
 tests/libpeas-gtk/plugins/valid-custom-icon/Makefile.am    |  8 ++++++--
 tests/libpeas-gtk/testing/Makefile.am                      |  3 ++-
 tests/libpeas-gtk/testing/testing.c                        |  6 ++++--
 tests/libpeas/plugins/Makefile.am                          |  7 +++++--
 tests/libpeas/plugins/extension-c/Makefile.am              |  7 +++++--
 tests/libpeas/plugins/extension-python/Makefile.am         | 10 ++++++++--
 tests/libpeas/plugins/extension-seed/Makefile.am           |  7 +++++--
 tests/libpeas/testing/Makefile.am                          |  3 ++-
 tests/libpeas/testing/testing.c                            |  6 ++++--
 tests/plugins/Makefile.am                                  |  7 +++++--
 tests/plugins/builtin/Makefile.am                          |  7 +++++--
 tests/plugins/has-dep/Makefile.am                          |  7 +++++--
 tests/plugins/loadable/Makefile.am                         |  7 +++++--
 tests/plugins/self-dep/Makefile.am                         |  7 +++++--
 18 files changed, 92 insertions(+), 32 deletions(-)

commit ba06534958aac190e15bcc63c36fd7ee42ca34b8
Author: Garrett Regier <alias301@gmail.com>
Date:   Tue Feb 15 01:58:54 2011 -0800

    Don't try to open a directory as a .plugin
    
    This prevents directories with a .plugin suffix to
    be opened as if they were .plugin files.

 libpeas/peas-engine.c | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit 38397fb6a9ed777838b760c6cdec66a23dcece6e
Author: Garrett Regier <alias301@gmail.com>
Date:   Tue Feb 15 01:52:47 2011 -0800

    Only emit notify::plugin-list when it has changed

 libpeas/peas-engine.c                   | 14 +++++++++++---
 tests/libpeas-gtk/plugin-manager-view.c |  2 +-
 2 files changed, 12 insertions(+), 4 deletions(-)

commit 3dada6e293491d2c10a4745841804c1db45cf7aa
Author: Garrett Regier <alias301@gmail.com>
Date:   Tue Feb 15 01:46:41 2011 -0800

    Fix copy & paste error in PeasExtensionSet docs

 libpeas/peas-extension-set.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e4953c2dda244452a3883eb049241bff09a74123
Author: Garrett Regier <alias301@gmail.com>
Date:   Tue Feb 15 01:46:18 2011 -0800

    Don't GC plugin loaders that fail
    
    If a plugin loader fails then it is a NULL entry in the
    loaders hashtable. So GC would segfault as it attempted
    to dereference a NULL pointer.

 libpeas/peas-engine.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0baded50a08e3cc99e3ac88aef5187965bd0981d
Author: Garrett Regier <alias301@gmail.com>
Date:   Tue Feb 15 00:51:57 2011 -0800

    Fix PeasExtensionSet example in the docs

 libpeas/peas-extension-set.c | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit 33397686e12c909bd6155ddf0576268e28c47e67
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Feb 14 08:48:44 2011 -0800

    Fix C plugins that do not inherit from PeasExtensionBase

 loaders/c/peas-plugin-loader-c.c                   | 44 +++++++++++++++-------
 .../libpeas/plugins/extension-c/callable-plugin.c  |  2 +-
 .../libpeas/plugins/extension-c/callable-plugin.h  |  7 +++-
 3 files changed, 36 insertions(+), 17 deletions(-)

commit 6194a2d1e485b3635aa732ca201106f971feb111
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Feb 17 08:22:45 2011 +0100

    Updated Czech translation

 po/cs.po | 38 +++++++++++++++++++++++++++++++++-----
 1 file changed, 33 insertions(+), 5 deletions(-)

commit 39de352d57ccca743c04993071f2306bbb17d0d1
Author: Steve Frécinaux <code@istique.net>
Date:   Mon Feb 14 00:23:08 2011 +0100

    Post-release version bump for 0.7.3

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit af0a2868666d9e3da650d516f13e18d01969a4a7
Merge: b7da831 e0b3fa9
Author: Steve Frécinaux <code@istique.net>
Date:   Mon Feb 14 00:20:51 2011 +0100

    Merge remote branch 'origin/master'

commit b7da8312ad4a472ddce84febb037a9925712aa8b
Author: Steve Frécinaux <code@istique.net>
Date:   Mon Feb 14 00:10:41 2011 +0100

    Make the interface age 0.
    
    We broke API and ABI.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c74a811fe659a007a52ec83af4ca0d5545da56f2
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Feb 13 08:59:14 2011 -0800

    Drop peas_plugin_info_get_keys()
    
    It is not used by anyone, is bad API and has only been used for Builtin
    plugins in Totem. But now that we have that it's no longer needed.

 libpeas/peas-plugin-info-priv.h |   1 -
 libpeas/peas-plugin-info.c      | 101 ----------------------------------------
 libpeas/peas-plugin-info.h      |   2 -
 3 files changed, 104 deletions(-)

commit e0b3fa98d23b9dc2559f61c09da87dbf30018f94
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Feb 13 13:56:08 2011 -0800

    Fix bug when lazy loading fails

 libpeas/peas-engine.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 88e85c78d368c5175b39bad1d14e979a5b019e30
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Feb 13 00:33:41 2011 -0800

    Lazy load the plugin loaders

 libpeas/peas-engine.c | 110 ++++++++++++++++++++------------------------------
 1 file changed, 44 insertions(+), 66 deletions(-)

commit 83a724bea319a1caaaa36bb7fab596e9feb55ad7
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Feb 11 03:11:49 2011 -0800

    Check that the manager's view has the same engine

 libpeas-gtk/peas-gtk-plugin-manager.c | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit e4e0058df2bbb6332fcb4bbfe13b4eb1b35e9b6a
Author: Garrett Regier <alias301@gmail.com>
Date:   Wed Feb 9 23:55:29 2011 -0800

    Allow multiple instances of PeasEngine

 libpeas/peas-engine.c               | 58 +++++++++++++++++--------------------
 libpeas/peas-engine.h               |  1 +
 tests/libpeas-gtk/testing/testing.c |  2 +-
 tests/libpeas/engine.c              | 49 ++++++++++---------------------
 tests/libpeas/testing/testing.c     |  2 +-
 5 files changed, 46 insertions(+), 66 deletions(-)

commit fd2074dde1c8a7d188c460e2a0c1174d2de3d598
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Feb 10 22:33:47 2011 -0800

    Allow the engine to be NULL in PeasExtensionSet

 libpeas/peas-extension-set.c | 25 +++++++++++++++++--------
 1 file changed, 17 insertions(+), 8 deletions(-)

commit f875e35a412be9077d9ec3c13b8d7c9937eac842
Author: Garrett Regier <alias301@gmail.com>
Date:   Wed Feb 9 23:53:49 2011 -0800

    Added optional engine parameter back to libpeas-gtk API
    
    This is needed for multiple engines.

 libpeas-gtk/peas-gtk-plugin-manager-store.c | 87 +++++++++++++++++++++++++++--
 libpeas-gtk/peas-gtk-plugin-manager-store.h |  2 +-
 libpeas-gtk/peas-gtk-plugin-manager-view.c  | 71 ++++++++++++++++++-----
 libpeas-gtk/peas-gtk-plugin-manager-view.h  |  2 +-
 libpeas-gtk/peas-gtk-plugin-manager.c       | 71 ++++++++++++++++-------
 libpeas-gtk/peas-gtk-plugin-manager.h       |  2 +-
 peas-demo/peas-demo.c                       |  2 +-
 tests/libpeas-gtk/plugin-manager-store.c    |  2 +-
 tests/libpeas-gtk/plugin-manager-view.c     |  2 +-
 tests/libpeas-gtk/plugin-manager.c          |  2 +-
 10 files changed, 198 insertions(+), 45 deletions(-)

commit 4e49d2ca2b4dd41163504730e794fefd8d807787
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Feb 12 18:27:13 2011 -0800

    Fix two clang warnings

 tests/libpeas/testing/testing-extension.c | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit 9e1d0b0123761cd9e3b33850c0bf5df80cc2be36
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Feb 12 03:32:50 2011 -0800

    Don't link to libpeas in test Introspection
    
    It does not use libpeas or GIRepository and just causes
    it to be rebuilt needlessly.

 tests/libpeas/introspection/Makefile.am | 11 +++--------
 1 file changed, 3 insertions(+), 8 deletions(-)

commit 24b10d1b68e2d7f92a23c3c627bfe37ec24dec8c
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Fri Feb 11 22:52:03 2011 +0100

    [l10n] Updated German translation

 po/de.po | 77 ++++++++++++++++++++++++++++++++++++++++++++++++++++------------
 1 file changed, 63 insertions(+), 14 deletions(-)

commit ed7bddc84212a478fc81cee8d0613b6658850103
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Feb 11 03:08:17 2011 -0800

    State why C plugins are resident
    
    Reason was found in gedit commit:
    http://git.gnome.org/browse/gedit/commit/?id=da7c0a948e344493c3301177243c6e5914d2f40a

 loaders/c/peas-plugin-loader-c.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit c86b3c8d8581018c1f659e9a73c52d3636858fae
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Feb 11 02:36:12 2011 -0800

    Validate function arguments

 libpeas/peas-engine.c        | 26 ++++++++++++++++++++++----
 libpeas/peas-extension-set.c | 12 ++++++++++++
 libpeas/peas-extension.c     |  3 +++
 libpeas/peas-object-module.c | 16 ++++++++++++++++
 4 files changed, 53 insertions(+), 4 deletions(-)

commit 6a952cf25d5874074acda9dff1f0618d34c0a44c
Author: Garrett Regier <alias301@gmail.com>
Date:   Fri Feb 11 01:44:35 2011 -0800

    Add (array zero-terminated=1) annotation to API

 libpeas/peas-engine.c      | 9 ++++++---
 libpeas/peas-plugin-info.c | 4 ++--
 2 files changed, 8 insertions(+), 5 deletions(-)

commit a3bb19e23029f73628ef560773c8f68c84baf13d
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Feb 10 00:45:58 2011 -0800

    Replace plugin loader disabling with enabling
    
    This way applications are future proof in new
    loaders are enabled that would have been disabled.

 libpeas/peas-engine.c                     | 34 ++++++++++-----------
 libpeas/peas-engine.h                     |  2 +-
 peas-demo/peas-demo.c                     |  3 ++
 tests/libpeas/engine.c                    | 25 +++++-----------
 tests/libpeas/extension-python.c          |  6 ++--
 tests/libpeas/extension-seed.c            |  6 ++--
 tests/libpeas/testing/testing-extension.h |  6 ++++
 tests/libpeas/testing/testing.c           | 49 ++++++++++++++++---------------
 tests/libpeas/testing/testing.h           |  2 ++
 9 files changed, 68 insertions(+), 65 deletions(-)

commit a1bc5e801d539caf3c197cc68de934cd218f17ee
Author: Garrett Regier <alias301@gmail.com>
Date:   Wed Feb 9 22:33:56 2011 -0800

    Show a tooltip for unavailable plugins
    
    https://bugzilla.gnome.org/show_bug.cgi?id=511672

 libpeas-gtk/peas-gtk-plugin-manager-store.c  |  2 +-
 libpeas-gtk/peas-gtk-plugin-manager-view.c   | 50 +++++++++++++++++++++++++++-
 libpeas/peas-engine.c                        | 31 ++++++++++++++---
 libpeas/peas-plugin-info-priv.h              |  2 ++
 libpeas/peas-plugin-info.c                   | 25 +++++++++++++-
 libpeas/peas-plugin-info.h                   | 31 ++++++++++++++++-
 tests/libpeas/engine.c                       | 29 ++++++++++++++--
 tests/libpeas/plugin-info.c                  |  8 +++--
 tests/libpeas/plugins/Makefile.am            |  1 +
 tests/libpeas/plugins/nonexistent-dep.plugin |  9 +++++
 10 files changed, 174 insertions(+), 14 deletions(-)

commit ae30f06cffabdc049d58876a2e8eae429343a163
Author: Garrett Regier <alias301@gmail.com>
Date:   Wed Feb 9 22:30:50 2011 -0800

    Renamed invalid-loader test to nonexistent-loader
    
    This is more accurate as to what the test actually tests.

 tests/libpeas/engine.c                                              | 6 +++---
 tests/libpeas/plugins/Makefile.am                                   | 2 +-
 .../plugins/{invalid-loader.plugin => nonexistent-loader.plugin}    | 6 +++---
 3 files changed, 7 insertions(+), 7 deletions(-)

commit b68f81bb0d6679345aafe27c915a6faef7d4fb05
Author: Garrett Regier <alias301@gmail.com>
Date:   Wed Feb 9 22:37:55 2011 -0800

    Fix testing_show_widget()
    
    It now allows you to show a widget with a parent
    and no longer add the widget twice in the case that
    it had to create a window.

 tests/libpeas-gtk/testing/testing.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 06905343f86273aa553f01a40c80f29718c072c8
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Feb 9 14:17:42 2011 +0100

    Updated Czech translation

 po/cs.po | 51 +++++++++++++++++++++++++++++++++++----------------
 1 file changed, 35 insertions(+), 16 deletions(-)

commit efb86469e41ccae163028d8935ffcbea594672fc
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Wed Feb 9 12:19:49 2011 +0100

    Add padding to public classes.

 libpeas-gtk/peas-gtk-plugin-manager-view.h | 2 ++
 libpeas-gtk/peas-gtk-plugin-manager.h      | 2 ++
 libpeas/peas-engine.h                      | 2 ++
 libpeas/peas-extension-base.h              | 2 ++
 libpeas/peas-extension-set.h               | 2 ++
 libpeas/peas-extension.h                   | 2 ++
 libpeas/peas-object-module.h               | 2 ++
 7 files changed, 14 insertions(+)

commit a17121b13f30ffbca2df0b2a2239c3efe4a96b7e
Author: Garrett Regier <alias301@gmail.com>
Date:   Tue Feb 8 18:22:01 2011 -0800

    Add Glade catalog for libpeas-gtk

 .gitignore                    |  1 +
 configure.ac                  | 40 ++++++++++++++++++++++++++++++++++++++--
 data/Makefile.am              |  4 ++++
 data/glade/Makefile.am        | 13 +++++++++++++
 data/glade/libpeas-gtk.xml.in | 37 +++++++++++++++++++++++++++++++++++++
 po/POTFILES.in                |  1 +
 6 files changed, 94 insertions(+), 2 deletions(-)

commit 73cfe8d3d90fb6e6b1ab44458b3a597ccd46b5ba
Author: Garrett Regier <alias301@gmail.com>
Date:   Tue Feb 8 15:43:01 2011 -0800

    Add a GtkBuilder test

 tests/libpeas-gtk/plugin-manager.c | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

commit 2b5cdb50c990cd91c7a50a9b76cd74bf6353bbd4
Author: Garrett Regier <alias301@gmail.com>
Date:   Tue Feb 8 15:30:22 2011 -0800

    Added the view property to PeasPluginManager
    
    This is needed for GtkBuilder support.

 libpeas-gtk/peas-gtk-plugin-manager.c | 94 +++++++++++++++++++++++++++++++----
 1 file changed, 83 insertions(+), 11 deletions(-)

commit 7ae32dc70c0eca049257973bd4172d36acc559a6
Author: Garrett Regier <alias301@gmail.com>
Date:   Wed Feb 9 01:14:52 2011 -0800

    Don't return NULL in the constructor
    
    Instead use g_error() which aborts the program

 libpeas/peas-engine.c | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit 776c94113e1f98e89676b65d06f06951a82d2b54
Author: Garrett Regier <alias301@gmail.com>
Date:   Wed Feb 9 00:59:55 2011 -0800

    Make peas_engine_shutdown() semi-private

 libpeas/Makefile.am                 |  1 +
 libpeas/peas-engine-priv.h          | 31 +++++++++++++++++++++++++++++++
 libpeas/peas-engine.c               |  1 +
 libpeas/peas-engine.h               |  1 -
 peas-demo/peas-demo.c               |  2 --
 tests/libpeas-gtk/testing/testing.c |  2 +-
 tests/libpeas/engine.c              |  2 ++
 tests/libpeas/testing/testing.c     |  2 +-
 8 files changed, 37 insertions(+), 5 deletions(-)

commit 05a55764513f59c381a012ac71a7e134bdd02b7f
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Feb 6 12:01:05 2011 -0800

    Fix PeasEngine:loaded-plugins to return a proper array of strings
    
    This also fixes applications using GSettings to bind a setting
    to PeasEngine:loaded-plugins.

 libpeas/peas-engine.c  | 13 ++-----------
 tests/libpeas/engine.c |  4 +++-
 2 files changed, 5 insertions(+), 12 deletions(-)

commit 30d41d46993a3e7231c2e0e45dce6b5b142c3ede
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Feb 6 03:46:33 2011 -0800

    Added a test for running PeasEngine's dispose
    
    It has been broken before and this would have shown that.

 tests/libpeas/engine.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 71bc92d78f70f83e52794a63da5144d3b0efe920
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Feb 6 03:45:44 2011 -0800

    Added peas_engine_shutdown()
    
    It frees the memory the memory that is shared
    by PeasEngines.

 libpeas/peas-engine.c               | 49 +++++++++++++++++++++++++++++++++++++
 libpeas/peas-engine.h               |  1 +
 peas-demo/peas-demo.c               |  6 +++--
 tests/libpeas-gtk/testing/testing.c |  2 ++
 tests/libpeas/engine.c              | 45 ++++++++++++++++++++++++++++++++++
 tests/libpeas/testing/testing.c     |  2 ++
 6 files changed, 103 insertions(+), 2 deletions(-)

commit 20ceafbd5c4592c411714777fac313156b7ddfe8
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Feb 6 03:40:03 2011 -0800

    Port tests to creating a new engine for each test

 tests/libpeas-gtk/testing/testing.c | 58 +++++++++++++++++------------------
 tests/libpeas/engine.c              | 16 +---------
 tests/libpeas/testing/testing.c     | 60 ++++++++++++++++++-------------------
 3 files changed, 58 insertions(+), 76 deletions(-)

commit 115e2efcabd36f265014d45909c6c8e5b185365a
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Feb 6 03:34:37 2011 -0800

    Fix PeasEngine to be capable of being created multiple times

 libpeas/peas-engine.c            | 31 ++++++++++++---------------
 loaders/c/peas-plugin-loader-c.c | 46 +++++++++++++---------------------------
 2 files changed, 28 insertions(+), 49 deletions(-)

commit 2c3f820909dc0ac9474a980ae8aebf99ac557405
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Feb 6 03:32:19 2011 -0800

    Move the module support check to constructor
    
    Otherwise using libpeas API would cause a
    segfault if modules were not supported.

 libpeas/peas-engine.c | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit 8a9a4795aedb10399cd865e66ba565bc3f7f69c6
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Feb 6 03:03:48 2011 -0800

    Make PeasEngine a proper singleton
    
    Before it would assert if you used g_object_new()
    after the default instance was created.

 libpeas/peas-engine.c  | 27 +++++++++++++++++++++------
 tests/libpeas/engine.c | 21 ++++++++++++++++++++-
 2 files changed, 41 insertions(+), 7 deletions(-)

commit 5bb947ec977551e45e1e0850ddc6e81f127ec664
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Feb 6 04:53:15 2011 -0800

    Add a make rule for running the tests under callgrind
    
    The rule runs all the tests under callgrind with the appropriate enviroment
    variables and options set and the log is saved to cgdump-$$test_prog.

 .gitignore           |  1 +
 Makefile.am          |  2 +-
 tests/Makefile.am    |  2 +-
 tests/Makefile.tests | 11 +++++++++++
 4 files changed, 14 insertions(+), 2 deletions(-)

commit d88d62f5c00e5ec765373847ba02a8bb881b81b0
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Feb 6 04:51:51 2011 -0800

    Have GSlice debug when running tests, except for valgrind

 tests/Makefile.tests | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit dc9e93340cfb93525f7b2300b8321b357172696c
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Feb 6 03:59:14 2011 -0800

    Fix disabling a loader multiple times

 libpeas/peas-engine.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit b71ad5937a824188948a0d9645fd8fc622ca531e
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Feb 6 03:29:47 2011 -0800

    Don't rescan for plugins in the tests
    
    When a search path is added it is automatically scanned,
    thus this was causing them to be scanned twice.

 tests/libpeas-gtk/testing/testing.c | 1 -
 tests/libpeas/testing/testing.c     | 1 -
 2 files changed, 2 deletions(-)

commit 7b82c470e7429d9f123feef2d8da1801e3ad4132
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Feb 6 03:13:17 2011 -0800

    Check that the plugin is loaded before creating an extension
    
    This also fixes a test that was disguised as a resident modules issue.

 libpeas/peas-engine.c                     | 1 +
 tests/libpeas-gtk/plugin-manager.c        | 4 +++-
 tests/libpeas/testing/testing-extension.c | 5 +----
 3 files changed, 5 insertions(+), 5 deletions(-)

commit bbf9dfd78136b5402e823473120e87dbe00a642c
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Feb 6 02:57:05 2011 -0800

    Fix disable-loader test and expand it

 tests/libpeas/engine.c                       | 30 +++++++++++++++++++---------
 tests/libpeas/plugins/Makefile.am            |  1 +
 tests/libpeas/plugins/loader-disabled.plugin |  8 ++++++++
 tests/libpeas/testing/testing.c              |  6 +++++-
 4 files changed, 35 insertions(+), 10 deletions(-)

commit 84108e35d6e42070331c1b155a04f559c0aebb6d
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Feb 6 02:43:40 2011 -0800

    Add a test for an invalid loader

 tests/libpeas/engine.c                      | 13 +++++++++++++
 tests/libpeas/plugins/Makefile.am           |  1 +
 tests/libpeas/plugins/invalid-loader.plugin |  9 +++++++++
 tests/libpeas/testing/testing.c             |  2 +-
 4 files changed, 24 insertions(+), 1 deletion(-)

commit c1d79fd7438c80b8eb80370b1d91175dd4e8f4e5
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Feb 6 02:37:15 2011 -0800

    Fix typo in os-dependant-help and add it to Makefile.am

 tests/libpeas/plugins/Makefile.am              | 3 ++-
 tests/libpeas/plugins/os-dependant-help.plugin | 2 +-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit cdef41d39c928f2c1561c41224db632fcecd7182
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Feb 6 02:36:55 2011 -0800

    Add a test for reloading plugins

 tests/libpeas/extension-python.c          |  2 ++
 tests/libpeas/extension-seed.c            |  2 ++
 tests/libpeas/testing/testing-extension.c | 15 +++++++++++++++
 tests/libpeas/testing/testing-extension.h |  3 +++
 4 files changed, 22 insertions(+)

commit b803149433975b1295bd733aaabc32d442f61385
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Feb 6 02:33:55 2011 -0800

    Fix PeasEngine's dispose
    
    Before it would cause a double free if run more than once.

 libpeas/peas-engine.c | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

commit 03644ef060aaefb47f6e9f5a0fc1e96a345adf56
Author: Steve Frécinaux <code@istique.net>
Date:   Mon Feb 7 12:56:20 2011 +0100

    Fix building libpeas when it is not installed yet.

 libpeas-gtk/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 4c47b043ba0e2b0bf2f8d2ffba1449a81a47bc4b
Author: Michal Hruby <michal.mhr@gmail.com>
Date:   Fri Feb 4 14:39:21 2011 +0100

    Add missing EXPORT_PACKAGES, bump required gobject-introspection version
    
    The EXPORT_PACKAGES are used by vala, so it can get proper cflags and
    libs when compiling apps using the gir.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=640252

 configure.ac                            | 2 +-
 libpeas-gtk/Makefile.am                 | 1 +
 libpeas/Makefile.am                     | 1 +
 tests/libpeas/introspection/Makefile.am | 3 ++-
 4 files changed, 5 insertions(+), 2 deletions(-)

commit 81a2bbc5d2e59ba50879edfe118aacff0c8c0786
Author: Steve Frécinaux <code@istique.net>
Date:   Thu Jan 27 00:48:36 2011 +0100

    Fix comment style to avoid puzzling gtk-doc

 libpeas-gtk/peas-gtk-plugin-manager.c | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit cc0f1ed24d8a557e923a4ee1bbd44c37de777d58
Author: Steve Frécinaux <code@istique.net>
Date:   Thu Jan 27 00:44:36 2011 +0100

    Do not marshall out arguments in extension subclasses
    
    This is pointless as out args are pointers and the pointer target
    doesn't change when the pointer is copied from the argv to the
    GIArgument.

 libpeas/peas-extension-subclasses.c | 15 ---------------
 1 file changed, 15 deletions(-)

commit 1f377ab45a3eb0551607103734f9ba8da96fbde4
Author: Steve Frécinaux <code@istique.net>
Date:   Wed Jan 26 20:46:28 2011 +0100

    Fix PeasExtensionSet example to comply with the latest behaviour.
    
    Since the destroying of the extension set fires the extension-removed
    signal, there is no need to connect on the delete-event signal anymore,
    so let's reflect it in the example.

 libpeas/peas-extension-set.c | 11 -----------
 1 file changed, 11 deletions(-)

commit 509074835d79666fb050066fac8569d5a2eb51bc
Author: Steve Frécinaux <code@istique.net>
Date:   Wed Jan 26 01:08:20 2011 +0100

    Post-release version bump for 0.7.2

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 84c01eb4669f39aea3b8c40fbf28f4297200e886
Author: Steve Frécinaux <code@istique.net>
Date:   Wed Jan 26 00:58:03 2011 +0100

    Fix build when srcdir != builddir

 libpeas-gtk/Makefile.am                            | 4 +++-
 tests/libpeas-gtk/plugins/configurable/Makefile.am | 2 +-
 tests/libpeas/testing/Makefile.am                  | 2 +-
 3 files changed, 5 insertions(+), 3 deletions(-)

commit 70aa792fd8cacb8fc47f2624860daaeedd6a38f1
Author: Steve Frécinaux <code@istique.net>
Date:   Tue Jan 25 19:49:01 2011 +0100

    Add tests/libpeas/extension-{python,seed}.c in POTFILES.skip
    
    For some reason these files are understood by intltool as containing
    translatable strings, but they don't.

 po/POTFILES.skip | 2 ++
 1 file changed, 2 insertions(+)

commit f896a1ec724339a762caab31f816d210976cce88
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Jan 17 16:42:36 2011 -0800

    Added Seed version of PeasExtension tests
    
    For now the calling with args and property tests are disabled.

 .gitignore                                         |  1 +
 configure.ac                                       |  1 +
 tests/libpeas/Makefile.am                          | 40 +++++++-------
 tests/libpeas/extension-seed.c                     | 63 ++++++++++++++++++++++
 tests/libpeas/plugins/Makefile.am                  |  4 ++
 tests/libpeas/plugins/extension-seed/Makefile.am   |  5 ++
 .../plugins/extension-seed/extension-seed.js       | 20 +++++++
 .../plugins/extension-seed/extension-seed.plugin   |  9 ++++
 8 files changed, 124 insertions(+), 19 deletions(-)

commit 9c666fcc0cc6dff42c72fb5fed587e9131226a38
Author: Steve Frécinaux <code@istique.net>
Date:   Tue Jan 18 17:47:40 2011 +0100

    peas-demo: use peas_engine_get_default()

 peas-demo/peas-demo-window.c | 11 ++---------
 1 file changed, 2 insertions(+), 9 deletions(-)

commit c895bc888e8cb1542ea102a9f96f19c584a79bc4
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Jan 23 12:35:07 2011 -0800

    Do not create the window twice in testing_show_widget()

 tests/libpeas-gtk/testing/testing.c | 1 -
 1 file changed, 1 deletion(-)

commit f584ebf63d2900552b28868d3bb19f6718045866
Author: Steve Frécinaux <code@istique.net>
Date:   Tue Jan 25 19:52:22 2011 +0100

    Do not call peas_activatable_deactivate() twice in DemoWindow
    
    The "extension-removed" callback already takes care of doing that, so
    there is no point doing it once more.
    
    The "extension-removed" documentation was also updated to reflect this
    behaviour.

 libpeas/peas-extension-set.c |  3 ++-
 peas-demo/peas-demo-window.c | 12 ------------
 2 files changed, 2 insertions(+), 13 deletions(-)

commit 240826e0f9bf1465721228c015f13d106ba8c8d4
Author: Garrett Regier <alias301@gmail.com>
Date:   Tue Jan 25 09:17:25 2011 -0800

    Revert "Free PeasEngine after all tests have run"
    
    This reverts commit b95e82e46c3b1f8445b95f87488fc3e1e6c64f77.
    The engine was freed before the tests which is pointless.
    
    Conflicts:
    
    	tests/libpeas/extension.c

 tests/libpeas-gtk/plugin-manager-store.c  | 2 --
 tests/libpeas-gtk/plugin-manager-view.c   | 2 --
 tests/libpeas-gtk/plugin-manager.c        | 2 --
 tests/libpeas/engine.c                    | 2 --
 tests/libpeas/extension-set.c             | 2 --
 tests/libpeas/plugin-info.c               | 2 --
 tests/libpeas/testing/testing-extension.h | 2 --
 7 files changed, 14 deletions(-)

commit 781ac2d092124eaeec92c540f00c4134e016a128
Author: Garrett Regier <alias301@gmail.com>
Date:   Tue Jan 25 09:15:35 2011 -0800

    Delete no longer used test file

 tests/libpeas/extension.c | 410 ----------------------------------------------
 1 file changed, 410 deletions(-)

commit c579d8ce41b04df8f6c5e8f99362755bd89d926e
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Jan 23 12:39:07 2011 -0800

    Fix emitting PeasEngine::unload-plugin when unloading plugins in dispose

 libpeas/peas-engine.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9a923717ad1be4ae0f034b91c8aca9b4c4d0dee3
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Jan 23 12:51:56 2011 -0800

    Emit notify::show-builtin when show-builtin is set

 libpeas-gtk/peas-gtk-plugin-manager-view.c | 2 ++
 1 file changed, 2 insertions(+)

commit 76ea3e1a960b057f2ceb0efa40310423852dcc6d
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Jan 23 12:51:11 2011 -0800

    Fixed and added file copyrights and #include <config.h>

 libpeas/peas-activatable.c                         |  2 +-
 libpeas/peas-debug.c                               |  2 +-
 libpeas/peas-extension-base.c                      |  3 +--
 libpeas/peas-extension-base.h                      |  2 +-
 libpeas/peas-extension-subclasses.c                |  2 +-
 libpeas/peas-extension.c                           |  2 +-
 libpeas/peas-helpers.c                             | 26 ++++++++++++++++++++++
 libpeas/peas-helpers.h                             | 21 +++++++++++++++++
 peas-demo/peas-demo.c                              |  2 ++
 .../helloworld/peasdemo-hello-world-configurable.c | 25 +++++++++++++++++++++
 .../helloworld/peasdemo-hello-world-configurable.h | 23 ++++++++++++++++++-
 .../helloworld/peasdemo-hello-world-plugin.c       | 25 +++++++++++++++++++++
 .../helloworld/peasdemo-hello-world-plugin.h       | 23 ++++++++++++++++++-
 peas-demo/plugins/pythonhello/pythonhello.py       | 21 +++++++++++++++++
 peas-demo/plugins/secondtime/second-time.c         | 25 +++++++++++++++++++++
 peas-demo/plugins/secondtime/second-time.h         | 22 +++++++++++++++++-
 peas-demo/plugins/seedhello/seedhello.js           | 21 +++++++++++++++++
 17 files changed, 237 insertions(+), 10 deletions(-)

commit bf38bb977d61c41cb90aeffff41bafb669f47510
Author: Garrett Regier <alias301@gmail.com>
Date:   Tue Jan 25 02:58:02 2011 -0800

    Fix implementing interface vfuncs on 64bit

 libpeas/peas-extension-subclasses.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 343b8efc7566473c53a6311cc377821beabb4587
Author: Garrett Regier <alias301@gmail.com>
Date:   Tue Jan 25 04:11:29 2011 -0800

    Test peas_extension_call() before calling interface vfunc

 tests/libpeas/testing/testing-extension.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit ecbd29ae938b2e917fef8cc00c9c32711a47a1b5
Author: Garrett Regier <alias301@gmail.com>
Date:   Tue Jan 18 01:53:11 2011 -0800

    Added test for implementing interface with a vfunc that has no invoker

 tests/libpeas/introspection/introspection-callable.h | 5 ++++-
 tests/libpeas/testing/testing-extension.c            | 6 ------
 2 files changed, 4 insertions(+), 7 deletions(-)

commit 2ea916d6931e7576aadab498af65fd9033771c6b
Author: Garrett Regier <alias301@gmail.com>
Date:   Sun Jan 16 18:31:39 2011 -0800

    Add a demo rule to the toplevel Makefile.am
    
    Such a rule already existed in peas-demo/Makefile.am

 Makefile.am | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 0a139d6a61c032b14bcea4ed3291f7595b4ce71b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Tue Jan 25 00:06:46 2011 +0100

    Revert "Added --pkg-export option for g-ir-scanner."
    
    This reverts commit 5ab88d6d57c6665a11879bfc12afb676bcc31cc9.
    The reason for this is that libpeas's typelib requires de .pc
    and if we don't have it installed before building the tests
    the building will fail.

 libpeas/Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit 5ab88d6d57c6665a11879bfc12afb676bcc31cc9
Author: Michal Hruby <michal.mhr@gmail.com>
Date:   Sat Jan 22 14:42:59 2011 +0100

    Added --pkg-export option for g-ir-scanner.

 libpeas/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit f3f6b4e120de36e16f9729d12fee9e8567bdd2ae
Author: Steve Frécinaux <code@istique.net>
Date:   Tue Jan 18 16:15:33 2011 +0100

    Use dispose() instead of finalize() to unref extension instances.
    
    This fixes refcount issues with non-native extensions, which prevented
    objects which had extensions attached to ever get finalized.
    
    The window example in peas-demo was also amended to use dispose()
    instead of finalize() to do all the unrefs.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=639597

 loaders/c/peas-extension-c.c           | 11 +++++++----
 loaders/python/peas-extension-python.c |  7 ++++---
 loaders/seed/peas-extension-seed.c     | 14 ++++++++++----
 peas-demo/peas-demo-window.c           | 19 ++++++++++++++-----
 4 files changed, 35 insertions(+), 16 deletions(-)

commit b4973d84c8978c4c8933e09d0b3c91a84177e303
Author: Garrett Regier <alias301@gmail.com>
Date:   Wed Jan 19 02:48:59 2011 -0800

    Fix GI Annotations for va_rarg, va_list and alternative functions

 libpeas/peas-engine.c        | 13 ++++++++-----
 libpeas/peas-extension-set.c | 14 +++++++++-----
 libpeas/peas-extension.c     | 19 +++++++++++++++++--
 3 files changed, 34 insertions(+), 12 deletions(-)

commit fa99fd61b071c3d735f3b669714d1a7b1061f73b
Author: Garrett Regier <alias301@gmail.com>
Date:   Wed Jan 19 02:50:51 2011 -0800

    Annotation and documentation fixes

 libpeas-gtk/peas-gtk-configurable.c                  | 4 ++--
 libpeas-gtk/peas-gtk-plugin-manager-store.c          | 2 +-
 libpeas-gtk/peas-gtk-plugin-manager-view.c           | 6 +++---
 libpeas-gtk/peas-gtk-plugin-manager.c                | 4 ++--
 libpeas/peas-activatable.c                           | 6 +++---
 libpeas/peas-engine.c                                | 6 +++---
 libpeas/peas-extension-base.c                        | 5 +++--
 libpeas/peas-extension.c                             | 9 +++++++--
 libpeas/peas-plugin-info.c                           | 6 +++---
 tests/libpeas/introspection/introspection-callable.c | 2 +-
 10 files changed, 28 insertions(+), 22 deletions(-)

commit 1c61e400788327ee72f1eda40a7e191488c0e6b1
Author: Garrett Regier <alias301@gmail.com>
Date:   Tue Jan 18 01:51:56 2011 -0800

    Added test for OS dependant help

 tests/libpeas/plugin-info.c                    | 21 +++++++++++++++++++++
 tests/libpeas/plugins/os-dependant-help.plugin | 12 ++++++++++++
 2 files changed, 33 insertions(+)

commit fcdb2cfc8b8b67cf6cfcc1f7b7514c7786880eb1
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Jan 17 16:39:20 2011 -0800

    Fix creating reports with failing tests

 tests/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 11bf0c69de2c1d816eb8999830adcef0d3311ae2
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Jan 17 03:25:41 2011 -0800

    Added Python version of PeasExtension tests
    
    For now the property tests are disabled because tests that
    should fail succeed.

 .gitignore                                         |  1 +
 configure.ac                                       |  1 +
 tests/libpeas/Makefile.am                          |  9 ++++
 tests/libpeas/extension-python.c                   | 61 ++++++++++++++++++++++
 tests/libpeas/plugins/Makefile.am                  |  4 ++
 tests/libpeas/plugins/extension-python/Makefile.am |  5 ++
 .../extension-python/extension-python.plugin       |  9 ++++
 .../plugins/extension-python/extension-python.py   | 38 ++++++++++++++
 tests/libpeas/testing/testing.c                    |  2 +-
 9 files changed, 129 insertions(+), 1 deletion(-)

commit 1f388f9c7dc18ce925b8a4fd8b1579cfb025ef5c
Author: Garrett Regier <alias301@gmail.com>
Date:   Mon Jan 17 03:06:34 2011 -0800

    Moved PeasExtension test functions to libtesting
    
    This will allow us to easily run the same tests on other loaders.

